Information: Index

Sothink HTML Editor General Information

Sothink HTML Editor Introduction

A brief introduction of Sothink HTML Editor: its features and enhanced functions.

Sothink HTML Editor 2.5 New Features

New features added to Sothink HTML Editor 2.5.

Sothink HTML Editor Features

Full features of Sothink HTML Editor 2.5.

Release Notes

Release history of all the versions of Sothink HTML Editor and their features and enhanced functions.

Sothink HTML Editor Widgets

A full description of all the Sothink HTML Editor widgets: their features and platforms required.

About SourceTec Software

A company profile about SourceTec's development, products package and outline for future development.


Information: Sothink HTML Editor Introduction

Sothink HTML Editor Introduction

Sothink HTML Editor (previous name is CutePage) is a highly functional, robust HTML editor that offers strong tag support, hosting of smart special effects tools and easy site management.

The enhanced code editing function including popping-up tag's tip, automatic code inserting, colored tags, tag line numbers, bookmarks, etc. that can help all web developers and power users get the best control of the code with ease. It also provides build-in visualized editing mode. The basic editing features are available in the WYSIWYG editing window such as forms, tables, frames, links, images, etc. When you want to see the display of the page, switch to the build-in browser or pick the browser's button to go to the "real" browser.

Sothink HTML Editor's standalone Site Manager lets you have a better management of all the documents in the local site and easily upload them to a defined server with the build-in FTP.

Another charming feature of Sothink HTML Editor is brought out by the gallery of widgets, the tools can help designers to create attractive menus, banners, buttons or other effects to dress up web pages. The user-friendly wizards guide you through the whole process of creating Java/JavaScript/DHTML buttons, menus and etc. without a single line of coding. Each of the widgets contains a rich library of well-designed templates.component.

In short, Sothink HTML Editor is not a trick to make page-creation a drink of tea or a work in the park, but its enhanced code editing, strong tag support, gallery of widget and other marvelous features will simplify this process. Sothink HTML Editor, a good choice for both beginners and experienced web designers for their dreamed web page.

This update includes numerous enhancements and bug fixes. See Features to get more.

Related Topics

About

Features

New Features

Release Notes

Widgets


Information: Sothink HTML Editor Features

Sothink HTML Editor Features

Editor:

Sothink HTML Editor is a highly functional tool that makes HTML coding much easier and faster and helps webmasters get better controls of the coding. It offers a bulk of simple and timesaving dialog boxes to help you work with everything from images, fonts, tables, links and colors to forms and frames. In addition to the basic editor functions, it is specialized on following features:

  • Two Editing Modes: In addition to the basic HTML window for raw coding, Sothink HTML Editor adds a Design window(WYSIWYG) for visual editing. The rudimentary Design window can be used for web page prototyping, initial page layout, widgets inserting and other work that may be inconvenient in HTML coding. The visual mode greatly improves users productivity . Both editing modes can be easily toggled by clicking handy buttons. Refer to Editing with Sothink HTML Editor and Tutorial

  • Properties Panel: The Properties Panel displays the related attributes of tags. You should only input values in the attributes fields and the related code will drop in automatically. By doing it, you can save hours of coding time. In addition, the attributes of each tag that will be displayed on the Properties Panel can be configured in the Tag Define dialog box to make it work in your own way. Refer to Tag Define

  • Code coloring: tags, values and contents are displayed in different colors for better code management. The color settings can be configured in your preferences

  • Tag Attributes: when you press a space key after a tag or after the equal mark "=" , there will be a box to show an attribute list of this tag

  • Tag Hint: when move the cursor to a tag, a general description of this tag will prompt.

  • Line listing: tag line numbers can be toggled from visible to invisible for better view of the code.

  • Bookmark: unlimited bookmarks can be added to the code for quick access to the marked part. This function is remarkably useful when you want to locate desired parts in a long code. You can scroll among different bookmarks simply by clicking.

Site Manager:

Site Manager is for the easy deployment of the local site and upload of documents to the defined servers.

  • Supply a list of free web space providers and their mainly introduction.

  • The links checking utility check links in the local site, report broken links and change links sitewide according to your specification.

  • Selected documents can be uploaded to the server. Buid-in FTP component is provided with no need of external FTP tools.

  • A site map is supported for hierarchical view of the site structure

  • Ten nicely made site templates with different styles can be imported and modified to your own need, making your dream of owning a marvelous web site turn into a snap.

Refer to Site Manager

JavaScript and DHTML:

Sothink HTML Editor also provided pre-made JavaScript and DHTML effects' code. You can add them to the page only by dragging and dropping. All the effects can be edited.

Widgets Extensibility:

The most impressive feature of Sothink HTML Editor is that it can integrate a host of widgets developed by SourceTec. These widgets help you create attractive Java/Javascript/DHTML buttons, menus, banners and other effects to enhance the appearance of your web pages. Each of the widget is robust and functional and bundles many carefully designed templates. The templates can be modified and inserted into the page in a matter of clicking. The widgets include Sothink CoolMenu, CoolButton, SlidingMenu and CoolText. Refer to Widgets for more

File Associations:

This features enable you to specify the file types/extensions that you wish to be opened automatically by Sothink HTML Editor as an optional editor when you right-click the file. You also can add Sothink HTML Editor to be one choice for IE's "Edit" option.

Customizable Interface:

Sothink HTML Editor provides a neat, uncluttered editing environment for users. The user-friendly interface can be customized to work in your own way.

  • Customize the toolbars according your request. Drag and locate tools panel and properties panel anywhere in the editing window

  • Work in full-screen mode for better view

  • Set different color for code as for your own habit

  • Startup settings can be configured to specify a most convenient startup style

  • Dockable toolbars that can be dragged and placed anywhere in the workplace for easy access

Refer to Setting Define

Browsers:

Sothink HTML Editor has its own build-in browser. You also have the option to add other browsers installed in your local disk to the external browsers list and choose to view a document in a preferred browser. Refer to Browsers for more

Related Topics

About

Introduction

New Features

Release Notes

Widgets


Information: Release Notes

Sothink HTML Editor 2.5 New Features

New Features Added to Sothink HTML Editor 2.5

  • Auto complete the code, saving your time!
    When you press a space key after a tag or after the equal mark "=" , there will be a box to show an attribute list of this tag. You can choose an attribute you want from the list instead of typing.

  • Tag's hint let you know the tags with ease!
    When you move to a tag, you will see a yellow box popping out. It will tell you the main usage of this tag. So if you are not familiar with HTML code or forget this tag sometimes, Sothink HTML Editor's "tag hint" will help you to get it back.

  • Free web space, get your own now!
    Sothink HTML Editor's site manger has provided a list for all these famous recommended web space. Each one has general introduction and necessary information for uploading. If you have no a web page yet, follow Site Manager's publish wizard to get your own today.

  • New and good-looking interface!
    On the basis of previous editor "CutePage", the switch buttons and toolbar in Sothink HTML Editor are more vivid.

Features Enhancement

  • Customized Toolbar: You can add or remove the buttons on toolbar. Change the buttons order.

  • Auto match quotation mark and bracket: In HTML editing, when you type a quotation mark or a bracket, this smart function will add the other quotation mark or bracket automatically.

  • Saving file alert dialog: If the file's property is "read only", when you try to save it this alert dialog will show to prompt.

  • Move freely: Press Ctrl key and you can drag the "property panel", "tools panel" or toolbar to any place on Sothink HTML Editor.

Related Topics

About

Introduction

Release Notes

Features

Widgets


Information: Release Notes

Sothink HTML Editor Release Notes

Release History

CutePage 1.0-------Jun. 1999

CutePage 1.5-------Nov. 1999

CutePage 2.0-------Apr. 2000

Sothink HTML Editor 2.5-------May. 2001

Features of CutePage 1.0

  • Keywords coloring;
  • Integrate Java/JavaScript Tools;
  • A Table Designer;
  • A link wizard;
  • Dockable Floating Toolbars/Windows ;
  • FTP Upload;
  • Frame Designer ( templates included);
  • E-mail Link Wizard;
  • Special Characters Inserting;
  • Preview with Browser(s) of your choice;
  • Unlimited Undo & Redo;
  • A color wizard;

New Features Added to CutePage 1.5

  • Build-In Browser;
  • Multiple skins for your choice (not available in Sothink HTML Editor 2.1);
  • "Undo All" supported;
  • "Save All" supported;

New Features Added to CutePage 2.0

  • Site Manager: Site Manager helps you easily arrange the deployment of all the documents in the local site and upload them to the defined servers with the build-in FTP component. The SiteMap function allows you to get a hierarchical view of your site starting from the index page. It also offers ten good-looking site templates, each with its unique style ,that may turn your desire of creating a web site into a snap. You can add contents, links and so on to make it your personalized web site.

  • Properties Panel: the panel lists all the related attributes of a tag . You simply enter the values of the attributes in the attributes fields and all the related code will automatically drop in, which saves plenty of coding time. Moreover, a Tag Define dialog box helps you configure the attributes of a tag that will be displayed on the panel. So you can conveniently add those most useful to you and remove those seldom used in coding. You can even define the values input styles: file browse, color selection, dropdown list, text input and checkbox.

  • Design Window: in addition to the coding window, a visual Design window is offered for web page prototyping, initial page layout, widgets inserting and other work that may be inconvenient in HTML WYSIWYG window. It supports most of the basic editing features including tables, links, images, frames, fonts, list, forms and more. Handy buttons are available for quick switch between the two windows.

New Features Added to Sothink HTML Editor 2.5

  • Auto complete the code, saving your time!
    When you press a space key after a tag or after the equal mark "=" , there will be a box to show a attribute list of this tag. You can choose a attribute you want from the list instead of typing.

  • Tag's hint let you know the tags with ease!
    When you move to a tag, you will see a yellow box popping out. It will tell you the main usage of this tag. So if you are not familiar with HTML code or forget this tag sometimes, Sothink HTML Editor's "tag hint" will help you to get it back.

  • Free web space, get your own now!
    Sothink HTML Editor's site manger has provided a list for all these famous recommended web space. Each one has general introduction and necessary information for uploading. If you have no a web page yet, follow Site Manager's publish wizard to get your own today.

  • New and good-looking interface!
    On the basis of previous editor "CutePage", the switch buttons and toolbar in Sothink HTML Editor are more vivid.

Features Enhancement

  • Customized Toolbar: You can add or remove the buttons on toolbar. Change the buttons order.

  • Auto match quotation mark and bracket: In HTML editing, when you type a quotation mark or a bracket, this smart function will add the other quotation mark or bracket automatically.

  • Saving file alert dialog: If the file's property is "read only", when you try to save it this alert dialog will show to prompt.

  • Move freely: Press Ctrl key and you can drag the "property panel", "tools panel" or toolbar to any place on Sothink HTML Editor.

Related Topics

About

Introduction

Features

New Features

Widgets


Information: Widgets

Sothink HTML Editor Widgets

Sothink HTML Editor widgets are attractive web authoring tools that can help to create various Java/Javascript/DHTML buttons, menus, banners and a lot more effects to dress up your web pages. The user-friendly wizards guide you through all the process of editing without a single line of coding. The widgets can be integrated with Sothink HTML Editor so that all the process of editing, saving, importing can take place inside Sothink HTML Editor. The rich library of smart templates bundled to each widget makes work even easier for both beginners and experts. The widgets include Sothink CoolMenu, Sothink CoolText, Sothink SlidingMenu , Sothink CoolButton and Sothink DHTMLMenu .

Sothink CoolMenu

Sothink CoolMenu is a Java based tool to create smart pop-up menus. It does not require any HTML and Java coding and helps you go through the creation process with ease. The applet provides various effects: buttons, image maps, coolbars, circular menus, etc. It also contains many carefully designed templates to help you start much easily. You can preview the generated applet menu in a defined browser without quitting the wizard.

Sample Image:

Features:

  • Easy to use with no need of coding;
  • Specify sub-menu pop-up direction;
  • Multilevel menus supported;
  • User-friendly graphic interface with text hint;
  • Specify properties of three button states: mouseover, clicked and normal;
  • Three options to insert applet menu into web pages;
  • Audio, image supported;
  • Allow users to define web directory during configuration;
  • Define menu scrolling direction;
  • Item transparent effect supported;
  • Implement various effects: buttons, image maps, coolbars, etc.;
  • Provide templates to make work easier;
  • Define the browser to preview;
  • Preview the generated applet without quitting

Platform: Win 95/98, Win NT 4.0/2000.

To get more info, please visit http://www.sothink.com/webtools/coolmenu/index.htm

Sothink CoolText

Sothink HTML Editor CoolText is a Java based tool that helps users create animated banners. It is easy to use and doesn't require any coding. It supports 14 animation effects and 4 text special effects including text smashing, horizontal or vertical scrolling, text flashing and so on. Users can also customize the speed of animation.

Sample Image:

Features:

  • Easy to use. Doesn't require any coding
  • Create neat, efficient Java banner easily
  • Implement various effects: Scrolling Text; Typing; Smash, etc.
  • Support multi-effects in one banner
  • Audio, image support
  • Work with Sothink HTML Editor perfectly
  • Can be used alone
  • Support users to define web directory for files during configuration ;
  • Specify showing in and exit speed;
  • User defined template support;
  • Provide great text special-effects for item label;
  • Clipboard support;
  • Provide templates to make work easier .
  • Friendly operate interface with guild text on;
  • Supply three ways to add Applet banner into web page;

    • Platform: Win 95/98, Win NT 4.0/2000

    To get more info, please visit http://www.sothink.com/webtools/cooltext/index.htm

    Sothink SlidingMenu

    Sothink SlidingMenu is a powerful tool that guides users to generate Java sliding menu applets. The configuration doesn't require any Java or HTML coding and suits any web designer. With Sothink SlidingMenu, you can implement various effects: Sliding Tree, Radio Buttons and other special effects. It also provides pre-made templates to make your work easier. In addition, you can preview the generated applet without quitting Sothink SlidingMenu.

    Sample Image:

    Features:

  • Easy to use. Doesn't require any coding;
  • Create neat, efficient multilevel sliding Java menus;
  • Three menu states properties(mouse over, mouse click, normal);
  • Audio, image supported;
  • Support users to define web directory for files during configuration;
  • Specify sub-menu sliding speed;
  • Item transparent effect supported;
  • Implement various effects: Sliding Tree, image maps, color button, etc.;
  • Provide templates to make work easier;
  • Specify the browser to preview;
  • Preview the generated applet without quitting;
  • User defined template supported;
  • Multi top-level menus supported;
  • Provide great text special-effects for item label;
  • Clipboard supported;
  • User-friendly interface with text hint;
  • Work with Sothink seamlessly;
  • Three options to add CoolMenu applets into web pages
            •

    Platform: Win 95/98, Win NT 4.0.

    To get more info, please visit http://www.sothink.com/webtools/slidingmenu/index.htm

    Sothink CoolButton

    Sothink CoolButton is a WYSIWYG web page navigation button maker that can create smart, efficient Java button applets (CoolButton) with no need of coding. With Sothink CoolButton, users can add images, text and sound to their button applets. Sothink CoolButton can also be integrated with Sothink HTML Editor.

    Sample Image:

    Features:

    • User-friendly interface;
    • Create buttons in a matter of clicking;
    • Several options to add generated buttons to web pages;
    • WYSIWYG drag-and-drop preview control;
    • Resize and position buttons by dragging and dropping;
    • Unlimited number of buttons supported;
    • Define the web path for image/audio or Java .class file;
    • Insert image(s) into buttons;
    • Undo supported;
    • Use any color for fading effect and more fading style choices;
    • Support transparent button colors;
    • Three states supported (normal, mouseover, clicking);
    • Compatible with I.E. and Netscape;
    • Tutorial and Help supplied to both evaluating and registered users

    Platforms:Win 95/98, Win NT 4.0/2000.

    To get more information, please visit http://www.sothink.com/webtools/coolbutton/index.htm

    Sothink DHTMLMenu

    Sothink DHTMLMenu enable you to create a HTML-based Dynamic Menu while you do not need to write a single line of code. The menu can "floating" over the content of page. This tool provides visual interface as a tree menu structure. Clicking each item in the menu tree, its property will show on the right dialog box. You can set background colors, font style, over effects, etc. by using these property boxes.

    Features of DHTML Menu:

    • Easy to use.Doesn't require any coding;
    • Divided into two layers and will not effect the content of web page;
    • Every mainmenu item can have diferent style;
    • Location of submenu are not limited by mainmenu;
    • Specify the browser to preview;
    • Preview both in IE and Netscape;
    • Select Pre-made templates to make work easier;
    • Preview without quitting the configration interface;
    • User defined template support;
    • Clipboard support;
    • Online Help.

    Platforms: Win 95/98, Win NT 4.0/2000

    Related Topics

    About

    Introduction

    Features

    New Features

    Release Notes


Information: About SourceTec

About SourceTec Software

Founded in Oct., 1997, SourceTec Software Company LTD is a growing software company that is dedicated to the development, distribution and support of web authoring software. SourceTecWe are aiming at producing high-quality, easy-to-use software to meet the demands of both beginners and power users and providing first-class tech support to consumers around the globe.

SourceTec's software package include Java/Javascript/DHTML widgets (Sothink CoolMenu, CoolButton, CoolText, SlidingMenu, etc.), which are helpful to create neat and smart buttons, menus, banners and other marvelous effects to dress up your web pages. The recently released Sothink HTML Editor is a robust and timesaving editor that makes HTML coding all the way easier for designers. webmasters and developers. SourceTec will continuously update and enhance the functions of these products to make them much easier to use , more powerful and stable.

Over the years, the warm remarks from our customers have proved our efforts worthwhile. It is for your support that we are here and will go on. Besides improving existing products and services in the future, we'll extend our business to the fields of web building and management.

Just as the names of our products begin with "Sothink", we wish to help your create your dreamed excellent web pages with our really cool software!

Come to our web sites at www.sothink.com to download the coolest software!

Related Topics

Introduction

Features

New Features

Release Notes

Widgets


Tutorial: Overview

This tutorial provides step-by-step instructions designed to help you learn Sothink HTML Editor easily and quickly. The computer used in this tutorial is installed with Win98 second edition and IE 5.0. The resolution of the monitor is 800*600. All the figures in this tutorial are based on the above environment.

Steps:

  1. Define a New Site

  2. Import the Template

  3. Add a New File

  4. Set Page Properties

  5. Insert a Table

  6. Insert Images

  7. Add Link to the Image

  8. Input Text

  9. Add Links to Text

  10. Insert a Widget

  11. Edit the Widget

  12. Preview the Document

  13. Publish the Local Site


Tutorial: Define a New Site

Define a New Site

Before you start creating web pages for your web site, you should create a folder in your disk to be the root folder of your web pages. All the files and documents belonging to a web site will be stored under this root folder. You can edit all the files in your local site and then upload them to a defined web server.

Steps:

  1. Start Site Manager

  2. In Site Manager, choose "Site/New Site" command from the menu bar to open the dialog box

  3. In the "Site Name" field, give a name "Test" to the new site

  4. In the "Local Root Folder" field, type in the complete path "D:\test"

  5. Click OK

  6. A prompt appears, asking you whether to create the new folder "test". Click OK. The folder "test" will appear on the local site pane.

Tutotial Index Page

Next Tutorial Step

Related Topics

New a Site


Tutorial: Import the Template

Import the Template

Sothink HTML Editor contains ten well-designed templates that are designed to help users quickly create their own web pages. Each template has its unique style with images, tables, navigation bars, etc. Users should only add text, link and other contents to make them their personalized web pages.

Steps:

  1. Click the Import icon on the toolbar

  2. A preview window is opened. Choose "Company Internet" from the catalog list and then "Legends of the Fall" from the template names list. Click the links on the home page to view other pages of the template.

  3. Click the Import button on the top right to copy this template to your local root folder. All the files and documents are displayed in the local site pane. Image files of the template are stored in the "image" folder under the local root folder "test"

    There are nine HTML files in this template.

Tutorial Index Page

Previous Tutorial Step

Next Tutorial Step

Related Topics


Tutorial: Add a File

Add a File

You will add a new file named "comment.htm" to the imported template. The new page will be used to gather feedback from customers or visitors to your web site .

Steps:

  1. Right-click the folder "test" in the local site pane

  2. Choose "New File" from the context menu. A new file icon will appear under the root folder.

  3. Enter a file name "comment.htm" in the name field.

  4. Press Enter.

Note

  1. If you mistakenly enter a wrong name, right-click on the file name, choose "Rename" from the context menu and then enter the right name.

  2. The extension *.htm of the file should not be omitted when you type the file name.

Tutorial Index Page

Previous Tutorial Step

Next Tutorial Step

Related Topics

Work with Files in Site Manager


Tutorial: Set Page Properties

Set Page Properties

You've already added a new HTML file to the template. The style of this page should be consistent with that of the whole template. So you should define the same background image, font style, links color, etc.

Steps:

  1. Double-click the new file to open it in Sothink HTML Editor

  2. Click the Design button on the bottom of the document window to edit the page in the Design (WYSIWYG) window. If a warning appears, check "Don't show this dialog again" to get rid of it. Don't be worried by the warning. The reformatting does not affect the content of your file.

  3. Click OK to proceed

  4. Right-click the mouse on the tool bar and select Properties Panel from the context menu. If the Properties Panel already appears on the right side of the document window, skip this step(you can drag the Properties Panel anywhere in the document window in your convenience).

  5. The <BODY> attributes will be displayed on the Properties Panel. You can set page properties that applies to the whole page. Do as follows:
    ALINK: click in the ALINK field, choose the white block from the drop-down list. It specifies white for all the links that have been clicked
    BGCOLOR: click in the field to select the black block from the drop-down list. It specifies black for the background color of the page. If images with transparent background are inserted into the page, the background color will show through.
    LINK: click in the LINK field, choose the white block from the drop-down list. It specifies white for all the links in normal state.
    VLINK: click in the VLINK field, choose the white block from the drop-down list. It specifies white for all the links that are being clicked.

Tutorial Index Page

Previous Tutorial Step

Next Tutorial Step

Related Topics


Tutorial: Insert a Table

Insert a Table

As you have already seen, each of the template pages has a "logo" image in a golden background on the top of the page. You will be guided to create this effect. But first of all, you should insert a table.

Steps:

  1. In the Design Window, put the cursor on the left top of the document window

  2. Click the [image] icon on the tool bar to open the Table dialog box

  3. In the dialog box, enter the following information

  4. Click OK and a table will appear in the document window

Note

You have set the border width to be "0" so that the border will remain invisible in preview. But for the convenience of editing, a one pixel border is shown around the table in the Design Window.

Tutorial Index Page

Previous Tutorial Step

Next Tutorial Step

Related Topics

Table


Tutorial: Add an Image

Add Images

You will insert an image as the background image of the table and then add an image to the table.

Steps:

  1. Put the cursor on any of the four corners of the table to select it. Handle bars will appear around the border of the table.

  2. Table attributes will appear on the Properties Panel when the table is selected. Click in the BACKGROUND field, press the Browse button, navigate to "D:/test/image/bk.gif" and select it. The image is applied as background of the table.

  3. Put the cursor inside the table

  4. Click the [image] icon on the tool bar to open the Image dialog box

  5. In the File Name field, press the Browse button, navigate to "D:/test/image/mylogo.gif" and select it

  6. Click OK to close the dialog box. The image is inserted into the table. Since the image has a transparent background, the background image of the table is shown through. The height of the inserted image is larger that that of the table, so the table will automatically adjust itself to fit it.

Tutorial Index Page

Previous Tutorial Step

Next Tutorial Step

Related Topics

Image


Tutorial: Add link to Image

Add Link to Image

You will add a link to the image that is inserted into the left column of the table. When the image is clicked in browsing, the linked page will be opened.

Step:

  1. Click on the image to select it

  2. Click the [image] icon on the tool bar to open the Link dialog box

  3. In the "Type" drop-down list, choose "other"

  4. In the URL field, type "index.htm".

  5. Click OK

  6. On the Properties Panel, enter "0" in the Border field (there is a border around the image by default. You can remove this border by setting border value to be "0")

  7. Click the Preview button on the bottom of the document window to view the file

  8. Click the image to open the index page of the template

Note

If you choose "other" type in the Links dialog box, you can enter the relative path of the file in the URL field. If you choose "http:" type, the path should be a complete one.

Related Topics

Tutorial Index Page

Previous Tutorial Step

Next Tutorial Step

Related Topics

 Links


Tutorial: Input Text

Input Text

When you finish viewing the file, press the Design button to return to the document window. Now you will create a navigation bar in the page. A navigation bar servers to guide visitors to other important pages in the web site.

Steps:

  1. Put the cursor right below the table you inserted in the previous step

  2. Click the [image] icon on the tool bar to open the Table dialog box

  3. Enter the following information in the dialog

  4. Click OK to close the dialog

  5. Put the cursor inside the newly inserted table

  6. Click the [image] icon on the tool bar to open the Font dialog box

  7. Enter the following information in the dialog

  8. Click OK to close the dialog box

  9. Type the following text in the new table:
    "Home|Download|Order|Mailing List|Contact Us|Help"

  10. Select the text and click the [image] icon on the tool bar

  11. Click the [image] icon on the toolbar to align the text to the center of the table

Tutorial Index Page

Previous Tutorial Step

Next Tutorial Step

Related Topics

Input Text

Set Font Properties


Tutorial: Add Links to Text

Add Links to Text

Now that you have inputted text into the second table, you can add links to make it a navigation bar. A navigation bar is used to link the current page to other important web pages in the same site.

Steps:

  1. Select "Home"

  2. Click the [image] icon on the tool bar to open the Link dialog box

  3. Choose "other" from the drop-down list in the Type field

  4. Enter "index.htm" in the URL field

  5. Click OK

  6. Repeat the above steps to other characters. They are linked to respective files as follows:
    Download: download.htm
    Order: order.htm
    Mailing List: maillist.htm
    Contact Us: contact.htm
    Help: help.htm

  7. Click the Preview button on the bottom of the document window to view the page.

  8. Click the "Home" link to view the index page of the site. To return to the current page, right-click and choose "Back" from the context menu

  9. Repeat step 8 to other linked pages on the navigation bar

  10. Click the Design button to return to the visual editing mode

Tutorial Index Page

Previous Tutorial Step

Next Tutorial Step

Related Topics

Add Links


Tutorial: Import a Widget

Import a Widget

Sothink HTML Editor integrates many useful widgets that can help you create various buttons, menus, banners and etc. in web pages. You can import any of the Sothink widgets in CuteaPage HTML Editor simply by clicking. Since the page you are editing in this tutorial is used to gather feedback from visitors or customers, an interactive Javascript form is needed. You can import a Javascript widget of this kind into your page and configure it according to your need. A visitor or customer should only enter comment , suggestion , etc. in the form and then submit it by pressing the Submit button.

Steps:

  1. Put the cursor right below the navigation table

  2. Right-click in the tool bar and choose Tools Panel from the context bar( if the Tools Panel is opened, skip this step)

  3. Click Javascript button on the bottom of the Tools Panel and then click JsBox 1.0 tab. All the JsBox widgets will be listed on the panel

  4. Double-click the "Contents" widget to import it to the current document

  5. A form and submit button will be inserted where the cursor is located

Note

After you import a widget into the document, Sothink HTML Editor will store all the related resources in the default folder "_pgtres" under the local root folder

Tutorial Index Page

Previous Tutorial Step

Next Tutorial Step

Related Topics

Sothink Widgets


Tutorial: Edit A Widget

Edit a Widget

A widget is a template which you can edit to meet your demands. In the previous step, you have inserted a "Contents" widget that will serve as a form to gather feedback. In this step, you will change the width of the Submit button ,add links to the form and align the form and button to the left of the document window.

Steps:

  1. Click the HTML button on the bottom of the document window

  2. Click in the Widget List field on the tool bar and select the name of the inserted widget from the drop-down list

  3. Click the Configure Widget icon next to the list to open the configuration interface

  4. Change the name, width and height of the submit button and the alignment of the form as follows:

  5. Press the button next to the "URL information of the submit" to open the URL dialog box

  6. Enter the URL of the CGI program that is used to receive and process the forms on the side of the web server. E.g. for SourceTec, it should be "www.Sothink .com/sub.cgi".

  7. Click OK to close the URL dialog box

  8. Click OK to close the JsBox configuration interface

  9. Click the Preview button to view the effect

Tutorial Index Page

Previous Tutorial Step

Next Tutorial Step

Related Topics

Sothink Widgets


Tutorial: Preview the Document

Preview the Document

Now that "comment.htm" is completed, you can view the document in IE, Netscape or other browsers installed in your disk. If IE or Netscape is detected in your system, Sothink HTML Editor will automatically add it to your external browsers list. If you have other browsers installed, you can manually add them to the browsers list.

Steps:

  1. Choose "Option/External Web Browsers" from the menu bar to open the dialog box

  2. In the "Specify additional browsers" section, enter the name of the browser. Press the button next to the File Path field, navigate to and select the executable file of the browser and then press Add button. You can repeat this step to add more browsers. Names of the browsers will be listed in the external browsers list.

  3. Click OK to close the dialog box

  4. Click the down arrow beside the [image] icon on the tool bar and select a browser in the external browsers list. The file will be opened in the designated browser.

Note

It may occur that the same HTML file looks different in different browsers. You can modify the file to reduce the difference.

Tutorial Index Page

Previous Tutorial Step

Next Tutorial Step

Related Topics

Preview the Documents

Set External Web Browsers


Tutorial: Publish the Local Site

Publish the Local Site

The final step in the tutorial is to publish the local site to the remote server. You should at first define a web server to which to upload your files and then enter FTP information. Site Manager contains an FTP component that will transfer files from your local site to the remote web server.

Steps:

  1. Choose "File/Site Manager/Switch to SiteManager" to switch to Site Manager

  2. Choose "Site/Define Site" from the menu bar to open the dialog

  3. Click "Test" in the sites list on the left of the dialog to select it

  4. Press the Edit button

  5. Press the "Web Server Info" tab

  6. Enter information about the web server in the box

    FTP Host: name of the FTP host to which the files are uploaded.
    Port: the port through which you connect to the FTP server
    User ID/Password: your login name and password
    Host Directory: the name of the host directory at the remote site where documents visible to the public are stored (also known as the site root)
    Save: check this box to save the password. If you uncheck it, each time you connect to the web server, you will be prompted to enter password

  7. Click OK to close the dialog box

  8. Choose "Edit/Preference" from the menu bar to open the dialog box

  9. Enter information in the dialog:

    Send Buffer:     specify the send buffer size when you upload files
    Enable Proxy Access: if you upload files through a proxy server, enable the checkbox and then go on to the following options
    Host: the host of the proxy server
    Port: the port of the proxy server
    Do Not Use Proxy Server for Addresses: the addresses of some FTP servers to which you upload files without the proxy server.

  10. Click OK to close the dialog box

  11. Choose "Publish/All" from the menu bar and the documents in the local site will be transferred to the remote server. A progress bar appears while files are uploaded.

  12. When the transfer is completed, click the "Refresh" icon on the toolbar. The files that have been uploaded to the server will be displayed in the remote site pane.

Tutorial Index Page

Previous Tutorial Step

Related Topics

New a Site

FTP Preference

Publish Site


Using Sothink HTML Editor: Publish Site

Using Sothink HTML Editor

This section covers the detail information on how to use Sothink HTML Editor .

  • Sothink HTML Editor Workspace

  • Edit HTML Page File

  • Preview

  • Web Site Management

  • Web Site Publish

  • Add Special Effects

  • Widget Tools: Powerful Tools to create professional web site

  • Setting Options


Using Sothink HTML Editor: Edit HTML Page File: Index

HTML Page Editing Index

The following is an index of help files on HTML page editing. For more information, please click the links below.

  • Edit Text
    Input Text
    Set Font Properties
    Change Font Properties
    Edit Font Style
    Set Align

  • Image
    Add Image
    Edit Image

  • Links
    Add Links
    Change Link Properties
    Add Email
    Change Email

  • Line
    Add Line
    Edit Line

  • Page Properties
    Set Page Properties

  • Comment
    Add Comment

  • Special Characters
    Add Special Characters

  • Table
    Insert Table
    Set Table Properties
    Insert Rows, Columns and Cells
    Split and Merge Cells
    Copy and Paste Cells
    Delete Rows, Columns and Cells

  • Frame
    Set Frame

  • Form
    Add Form
    Edit Form


Using Sothink HTML Editor: Edit HTML Page File: Input Text

Input Text

Users can input text directly either in HTML window or Design Window.

In HTML Window

The first way:

  1. Locate the cursor where you want to input text.

  2. Click the icon [image] on the toolbar and the <P> </P> tags will be automatically added to the HTML code.

  3. Type text directly between <P> tag and </P> tag.

The second way: locate the cursor where you want to input text and then type the text directly.

In Design Window

Locate the cursor where you want to input text and then type the text directly.

Related Topics

Edit Page Set Font Properties

HTML References <P>


Using Sothink HTML Editor: Edit HTML Page File: Set Font Properties

Set Font Properties

Users can define font face, size and color.

In HTML Window

Steps:

  1. Put the cursor where you want to insert text

  2. Click the icon [image] on the toolbar or select "Format/Font" command to open the font dialog box.

  3. Select the font, size and color from the drop-down lists

  4. Click OK to close the dialogue box

In Design Window

The first way: follow the above steps

The second way:

  1. Type the text where you want it to be and select it

  2. Right click and choose "Font" from the context menu to open the Font dialog box

  3. Input or select values in the dialog

  4. Click OK

Related Topics

Edit Page Change Font Properties

Workspace Font Dialog

HTML Reference <FONT>


Using Sothink HTML Editor: Edit HTML Page File: Change Font Properties

Change Font Properties

Users can change font properties including color, size, face, etc.

In HTML Window

Steps:

  1. Locate the cursor in the <font color=" "> or <font size=" "> or <font face="">tag

  2. Click in the color, size or face field on the Properties Panel and select in the drop-down lists

Note

  1. If the code of the font properties is <font color="#cccccc" size="3" face="Arial", you can locate the cursor anywhere inside the tag and change font properties on the Properties Panel.

  2. If the code is shown as <font color="#cccccc"> <font size="3"> <font face="Arial">, you should locate the cursor inside the tag that contains the value you want to change and then change it in the corresponding field on the Properties Panel (e.g. if you put the cursor inside the <font color="#cccccc">, you can only change the color value on the Properties Panel instead of the value of face or size.

In Design Window

Steps:

  1. Select the text

  2. Click the [image] icon on the toolbar or select "Format/Font" command or right click and choose "Font" from the context menu

  3. Input or select values in the dialog box

  4. Click OK

Related Topics

Edit Page Set Font Properties

HTML Reference <FONT>


Using Sothink HTML Editor: Edit HTML Page File: Edit Font Style

Edit Font Style

Users can add some styles to text including Bold, Italic, Underline and Strike (e.g. Bold, Italic, Underline and Strike)..

In HTML Window

Steps:

  1. Select the text

  2. Click the icon [image], [image] or [image] on the toolbar or select "Format/Bold", "Format/Italic", "Format/Underline" or "Format/Strike" command.

Note

The "Format/Strike" command is only enabled in HTML window.

In Design Window

Follow the above steps

 Related Topics

Edit Page Set Font Properties

Edit Page Set Align

Workspace Font Dialog

HTML Reference <FONT>


Using Sothink HTML Editor: Edit HTML Page File: Set Align

Set Align

The align font options include Left, Center and Right.

Left | Here is sample text and it shows how text-align properties work .
Center | Here is sample text and it shows how text-align properties work.
Right | Here is sample text and it shows how text-align properties work.

 In HTML Window

The first way:

  1. Select the text

  2. Click the icons [image], [image] or [image] on the toolbar or choose "Format/Left", "Format/Right" or "Format/Center" command.

In Design Window

The first way: the same with the first way in the HTML window

The second way:

  1. Select the text. The text alignment attribute will be displayed on the Properties Panel

  2. Click in the "ALIGN" field and select in the drop-down list

 Related Topics

Edit Page Set Font Properties

Edit Page Edit Font Style


Using Sothink HTML Editor: Edit HTML Page File: Add Image

Add Image into Page

In HTML Window

Steps:

  1. Click the "Insert/Image" command or click the [image] icon on the tool bar. The Image dialog box will open;

  2. Click the Browse button on the right of the File Name field and browse to an image;

  3. To add alternative information to the image, type a message in the "Alternative..." option. The message will be shown when mouse moves on the image;

  4. Users can define the image's appearance on the page. There are layout options at the bottom of the dialog box. Users can define image width, height, align and position. Although the value for width and height is shown as 0, the image will show in its default size.

In Design Window

Please follow the same steps in HTML window.

Note

Although the value for width and height is shown as 0, the image will show in its default size.

If the file is not saved, the image path will be absolute. After you save this page, please choose the image again. Then Sothink HTML Editor will change the path into relative path automatically.

Example

<IMG src="../../image/red81.gif" alt="this is a sample" align="left" border="1">

this is a sample

Related Topics

Edit Page Edit Image

Edit Page Page Properties

Workspace Image

HTML Reference <IMG>


Using Sothink HTML Editor: Edit HTML Page File: Edit Image

Edit Image

In HTML Window

When the cursor is put into the HTML tag, the tag's property values will be shown on the Properties Panel. You can then change the values on the panel.

Steps:

  1. Put cursor inside the <IMG> tag and the corresponding values of the image will be shown on the panel;

  2. Change the values on the panel. The related HTML code will be changed automatically.

In Design Window

In Design Window, users has two choices to edit the image.

First way:

  1. Choose the image by clicking;

  2. Then click the "Insert/Image" command or click the [image] icon on tool bar to open the "Image" dialog box;

  3. Change the values in the box.

Second way:

  1. Choose the image by clicking;

  2. Change the values on the Properties Panel which is the same as the one in HTML window.

Related Topics

Edit Page Edit Image

Edit Page Page Properties

Workspace Image

Workspace Main Workspace Area

HTML Reference <IMG>


Using Sothink HTML Editor: Edit HTML Page File: Add Links

Add Links

User can add links to text and image.

In HTML Window

Steps:

  1. If it is text to which you want to add a link, select the text. If it is an image, select the <IMG src="file path"> tag

  2. Click the icon [image] on the toolbar or choose "Insert/Hyperlink" to open the link dialog box

  3. Enter info in the dialog

    Description: the text or image to which you want to add the link. It is automatically shown in the field

    The "Target" drop-down list in the link dialog box includes the following selections

    Same frame(_self)

    The linked file will be loaded in the same frame or window as the link
    Whole page(_top)

    The linked file will be loaded in the full browser window, thereby removing all frames.
    New Browser Window(_blank)

    The linked file will be loaded in a new, unnamed browser window.
    Parent Frame(_parent)

    The linked file will be loaded in the parent frameset or window of the frame that contains the link. If the frame that contains the link is not nested, the linked file will be loaded in the full browser window.

  4. Click OK to close the dialog box

Note:

If you want to add link to text, you don't have to input the text first. You can put the cursor where you want the text to be, then click open the Hyperlink dialog, input the text in the Description field and then go on to other steps.

In Design Window

Steps:

  1. Select the element (text and image) to which you want to add a link

  2. Click the [image] icon on the tool bar or choose "Insert/Hyperlink" to open the hyperlink dialog box

  3. Select a link type and then input the URL

  4. Click OK to close the dialog box

Related Topics

Edit Page Change Link Properties

Workspace Hyperlink Dialog

HTML Reference <A>


Using Sothink HTML Editor: Edit HTML Page File: Change Links

Change Link Properties

Users can change link properties that were set beforehand.

In HTML Window

  1. Locate the cursor inside the <A href=" "> tag. The HREF value of the corresponding element will be shown on the Properties Panel

  2. Change the URL in the HREF field on the panel

In Design Window

The first way:

  1. Select the element (text, image, etc.)

  2. Click the [image] icon on the toolbar to open the link dialog box

  3. Type the right URL in the dialog

  4. Click OK

The second way:

  1. Select the element (text, image and etc.)

  2. Change the URL in the HREF field on the Properties Panel

Related Topics

Edit Page Add Links

Edit Page Page Properties

Workspace Hyperlink Dialog

HTML Reference <A>


Using Sothink HTML Editor: Edit HTML Page File: Add Line

Add Line

In HTML Window

Steps:

  1. Locate the cursor where you want to insert a horizontal line;

  2. Click the line icon [image] on the tool bar or choose "Insert/Line" command

    Width    : specifies the width of the line( either in pixels or as a percentage of the browser window. Line specified in pixels is better for the precise width of the line while line secified in percentage is a good choice when the proportion of the line is more important than its width).)
    Height: specifies the height of the line;
    Align: aligns the line on the page. There are three options: right, left and center;
    Color :selects the line color;

  3. Set the properties of the line including width, height, align and color;

  4. Click OK

In Design Window

Follow the above steps

Related Topics

Edit Page Edit Line

Workspace Line Dialog

HTML Reference <HR>


Using Sothink HTML Editor: Edit HTML Page File: Page Properties

Set Page Properties

Set Page Properties

Users can specify a variety of options for the page .The most commonly used options are as follows:

Link: specify the color of the links in normal state;
Vlink: specify the color of the link that has been clicked;
Alink: specify the color of the link that's being clicked;
 Background: specify background image;
Bgcolor: specify background color;
Bgsound: specify background sound;
Topmargin: specify the top margin of the page in pixels;
 Leftmargin: specify the left margin of the page in pixels;
Text: specify text color;

In HTML Window

  1. Locate the cursor inside the <body> tag

  2. Set page properties on the Properties Panel

In Design Window

The first way:

  1. Right-click anywhere on the document window and select "Page Properties" from the context menu

  2. Input or select new values in the dialog box

  3. Click OK to close the dialog

The second way:

  1. New a page and the <BODY> attributes will appear on the Properties Panel

  2. Set page properties directly on the panel

Related Topics

Workspace Page Property Dialog

Workspace Main Workspace Area

HTML Reference <BODY>

HTML Reference <BGSOUND>


Using Sothink HTML Editor:Edit Page File:comments

Add Comment

The content in comments will not show in browser. Users can insert comments into the HTML document.

In HTML Window

  1. Locat the cursor where you want to add a comment

  2. Click the comment icon [image] on the tool bar or choose " Insert/Comment " command

  3. Input comment text into the above box.

  4. Click OK.

In Design Window

Users can not add comments in design window.

Example

If you add JavaScript into your page, to differ these JavaScript code with other HTML code, you can use comments just like<!-- begining of JavaScript--> and <!-- end of JavaScript--> to give it a mark.

Related Topics

Workspace Comment Dialog

HTML Reference <COMMENT>

HTML Reference <!-- -->


Using Sothink HTML Editor:Edit Page File:special character

Add Special Characters

The special characters consist of two types: one type of characters have special meaning in HTML documents. For example: the mark "<" is interpreted as part of an HTML tag. If you want to display the mark in the page, you should type "&lt" instead of "<". The other type of characters include those that can not be typed directly from keyboard such as the trademark and copyright mark.

Tag | Special Char | Tag | Special Char | Tag | Special Char | Tag | Special Char | Tag | Special Char
&lt; | < | &gt; | > | &amp; | & | &quot; | " | &reg; | ®
&copy; | © | &Agrave; | À | &Aacute; | Á | &Acirc; | Â | &Atilde; | Ã
&Auml; | Ä | &Aring; | Å | &AElig; | Æ | &Ccedil; | Ç | &Egrave; | È
&Eacute; | É | &Ecirc; | Ê | &Euml; | Ë | &Igrave; | Ì | &Iacute; | Í
&Icirc; | Î | &Iuml; | Ï | &ETH; | Ð | &Ntilde; | Ñ | &Ograve; | Ò
&Oacute; | Ó | &Ocirc; | Ô | &Otilde; | Õ | &Ouml; | Ö | &Oslash; | Ø
&Oacute; | Ú | &Ugrave; | Ù | &Ucirc; | Û | &Uuml; | Ü | &Yacute; | Ý
&THORN; | Þ | &szlig; | ß | &aacute; | á | &aagrave; | à | &acirc; | â
&atilde; | ã | &auml; | ä | &aring; | å | &aelig; | æ | &ccedil; | ç
&egrave; | è | &eacute; | é | &ecirc; | ê | &euml; | ë | &igrave; | ì
&iacute; | í | &icirc; | î | &iuml; | ï | &eth; | ð | &ntilde; | ñ
&oacute; | ó | &ograve; | ò | &ocirc; | ô | &otilde; | õ | &ouml; | ö
&oslash; | ø | &ugrave; | ù | &uacute; | ú | &ucirc; | û | &uuml; | ü
&yacute; | ý | &thorn; | þ | &yuml; | ÿ |  |  |  |

Space Characters
&ensp: half-point space
&emsp: one-point space
&nbsp: none-breaking space
&endash: half-point hyphen
&emdash: one-point hyphen

In HTML Window

Steps:

  1. Put the cursor where you want to insert a special character

  2. Click the icon [image] on the toolbar or choose "Insert/Special Characters" command to open the dialog box;

    There are 73 standard special characters

  3. Choose a special character and double click it. The tag will appear in the "Tags to Insert into HTML" field

  4. Click OK and the corresponding tag will be inserted into the HTML code

In Design Window

Follow the above steps

Related Topics

Workspace Special Character


Using Sothink HTML Editor: Edit HTML Page File: Insert Table

Insert Table

Users can insert table by using the Table dialogue box.

In HTML Window

Steps:

  1. Locate the cursor where you want to insert a table

  2. Click the [image] icon on the toolbar or choose "Insert/Table" command

  3. In the Table dialogue box that appears, enter the following information

    Table Size: specifies the number of rows and columns in the table( when you want to specify the width of the table, check the "Specify Width" and click the spin button or type a number directly in the field. Otherwise the table will be shown in its auto size which means that the width will automatically be adjusted to fit the size of your input).

    Width: specifies the width of the table ( either in pixels or as a percentage of the browser window. Table specified in pixels is better for the precise layout of text and images in the table while table specified in percentage is a good choice when the proportion of the table is more important than its width).

    Border: specifies the border width of the table(the minimum border width is "0" which means that the border of the table will be invisible in browsing. But for the convenience of editing, the border will be shown in light gray in the Design window).

    Cell Padding: specify the amount of spacing between the cell content and the cell boundary

    Cell Spacing: specify the amount of spacing between each table cell, not including the border

In Design Window

Follow the above steps

Examples

The following are figures of three tables with the same table width, border width , number of rows and columns:

cellspacing=0 cellpadding=0 | cellspacing=3 cellpadding=0 | cellspacing=0 cellpadding=3

Related Topics

Edit Page Set Table Properties

Workspace Table Dialog

HTML Reference <TABLE>


Using Sothink HTML Editor: Edit HTML Page File: Set Table Properties

Set Table Properties

Users can set table properties including width, background color, border color and etc.

In HTML Window

Steps:

  1. Put the cursor inside the <TABLE> tag and the table properties will be displayed on the Properties Panel

  2. Set table properties on the panel

In Design Window

The first way:

  1. Put the cursor anywhere inside the table

  2. Right-click and select "Table Properties" from the context menu to open the dialog box

  3. Input or enter values in the dialog

    The Layout section shows the properties set when the table is inserted. You can set border color and background properties in the sections below:
    Border Color
    Color: set the border color for the entire table (if border size is more than "0")
    Light Border/Dark Border: set border colors that have a highlight and shadow effect, respectively, to give a three-dimensional appearance to the border.
    Background
    Color: set background color for the table. If image with transparent background is inserted, the background color will show through.
    Image: set background image for the table. If the size of the image is smaller than that of the table, the image will be tiled to fit the table size.

  4. Click OK to close the dialog

The second way:

  1. Click on any of the corners of the table to select it. When the table is selected, eight selection handles will appear around the table

  2. Set the properties of the table on the Properties Panel that appears

Note

  1. You can follow the same steps to change table properties either in HTML window or Design window

  2. You can also change the size of the table by selecting the table and then dragging one of the handles to resize the table along that dimension. Dragging the corner handle resizes the table along both dimensions.

Example

The following is example of a table with its <TABLE> property attributes and corresponding HTML code.

<TABLE align=center Bycolor=#ffffff border=5 borderColor=f0000 borderColorDark=#000000 borderColorLight=#008000 cellPadding=1 cellSpacing=1 width=200 VALIGN="MIDDLE" >
<TR>
<TD></TD>
<TD></TD><TR>
<TR>
<TD></TD>
<TD></TD> <TR>
<TABLE>

Related Topics

Edit Page Insert Table

Workspace Main Workspace Area

HTML Reference <TABLE>


Using Sothink HTML Editor: Edit HTML Page File: Insert Rows, Columns and Cells

Insert Rows, Columns and Cells

Users can insert multiple rows, columns and cells into tables.

In Design Window

  1. Put the cursor in the table where you want to insert rows, columns or cells

  2. Right-click your mouse and choose "Insert Row", "Insert Column" or "Insert Cell" in the context menu

Note

  1. When you insert a row, the new row will appear right above the row in which the selected cell(s) is located.

  2. When you insert a column, the new column will be to the left of the column in which the selected cell(s) is located.

  3. When you insert a cell to a selected cell, the new cell will be to the left of the selected cell(s).

  4. In all of the above situations, the width of the table will not be changed with all the cells adjusting automatically to hold the inserted columns or cells.

  5. When you select a contiguous range of cells , right-click and use any of the above commands, the command only applies to the first cell on the first row of the selection.

Examples

The following are examples of inserting a row, column or cell into a table

(put the cursor in cell 3 on the second row of the table)

(insert a row and the new row appears right above the row where cell 3 is located)

(insert a column and the new column appears to the left of the column where cell 3 is located)

(insert a cell and the new cell appears to the left of cell 3)

In HTML Window

You should change code manually in HTML editing mode. For the use of HTML tags, please refer to HTML Reference.

Related Topics

Edit Page Insert Tables

Edit Page Set Table Properties

Edit Page Split and Merge Cells

Workspace Table Dialog

Workspace Main Workspace Area

HTML Reference <TABLE>


Using Sothink HTML Editor: Edit HTML Page File: Split and Merge Cells

Split and Merge Cells

Users can merge any number of adjacent cells¡ªas long as the selection is in the same row. You can split a cell into any number of columns, regardless of whether it was previously merged. Sothink HTML Editor automatically restructures the table (adds any necessary COLSPANs or ROWSPANs) to create the specified arrangement.

Split a Cell

In Design Window

Steps:

  1. Place the cursor in the cell you want to split

  2. Right-click and choose "Split" in the context menu. The cell will be split into two cells.

Note:

After a cell is split, the content of the original cell will appear in the cell on the left. If you want to split a cell into more than one cells, repeat the above steps.

Example

The following is an example of splitting a cell

(putting the cursor in cell 4 on the second row of the table)

(splitting cell 4 into two cells with the text in the left cell)

Merge Cells

In Design Window

  1. Place the cursor in the first cell you want to merge with others and drag it across to the last cell

  2. Right-click and choose "Merge" in the context menu that appears

Note

  1. The last cell in the rows of cells that you want to merge should contain content (images, widgets , text and etc.)

  2. When you drag your cursor across the row of cells, stop it on the highlighted content of the last cell and then right-click. You can't stop the cursor outside the highlighted content or the "Merge" command in the context menu will not be enabled.

  3. The content in the original cells will appear in the new cell.

Example

The following is an example of merging cells.

(Selecting cells 3,4,5 in the second row of the table)

(merging cells 3,4,5)

Related Topics

Edit Page Insert Rows, Columns and Cells

Edit Page Copy and Paste Cells

Workspace Main Workspace Area

HTML Reference <TABLE>


Using Sothink HTML Editor: Edit HTML Page File: Copy and Paste Cells

Copy and Paste Cells

Users can copy and paste multiple cells at the same time while preserving the cells' formatting.

In Design Window

Steps:

  1. Drag across the cells you want to copy and stop the cursor at the highlighted content of the last cell.

  2. Right-click and choose "Copy" from the context menu

  3. Place the cursor where you want to paste the cells( the clipboard should be compatible with the selection into which the cells will be pasted)

  4. Right-click and choose "Paste" from the context menu

Note

  1. The cells selected should be contiguous but not necessarily rectangular in shape.

  2. The last cell in the selection of cells over which you drag the cursor across should contain content( text, images and etc.). Otherwise the cells can not be selected.

Example

The following is an example of copying and pasting cells.

(Selecting cells 1,2,3,4,5,6 in the first row and 1,2,3 in the second row)

(pasting the copied cells)

In HTML Window

You should change code manually in HTML editing mode. For the use of HTML tags, please refer to HTML Reference.

Related Topics

Edit Page Insert Rows, Columns and Cells

Edit Page Split and Merge Cells

Edit Page Delete Rows, Columns and Cells

Workspace Main Workspace Area

HTML Reference <TABLE>


Using Sothink HTML Editor: Edit HTML Page File: Delete Rows, Columns and Cells

Delete Rows, Columns and Cells

Users can delete rows, columns and cells in tables.

In Design Window

Steps:

  1. Place the cursor inside a row, column or cell

  2. Right-click and choose "Delete Rows", "Delete Columns" or "Delete Cells" in the context menu

Note

  1. When you select a cell and choose "Delete Columns", the column where the selected cell is located will be deleted. It is the same when you want to delete a row.

  2. You can also delete contiguous columns by selecting contiguous cells in the columns, but the last cell that you drag the cursor across to should contain content ( images, text, etc.) whether you drag from left to right or from right to left. It is the same when you want to delete rows.

  3. When you want to deletes cells, you can delete cells that are contiguous but not necessarily rectangular in shape.

Examples

The following are some examples of deleting rows, columns or cells.

Deleting Cells

(Selecting cells 1,2,3,4,5,6 in the first row and 1,2,3,4 in the second row)

(Deleting cells that have been selected)

Deleting Rows

(Selecting cells 3,4,5,6 in the first row and 1,2,3,4,5 in the second row)

(Deleting the two rows in which the selected cells are located. Here remains the third row of the original table)

Deleting Columns

(Selecting cells 3,4,5 on the second row of the table)

(Deleting the three columns in which the selected cells are located. Here remains columns 1,2,6 of the original table)

In HTML Window

You should change code manually in HTML editing mode. For the use of HTML tags, please refer to HTML Reference.

Related Topics

Edit Page Insert Rows, Columns and Cells

Edit Page Split and Merge Cells

Edit Page Copy and Paste Cells

Workspace Main Workspace Area

HTML Reference <TABLE>


Using Sothink HTML Editor: Edit HTML Page File: Frame

Set Frame

(This operation is only valid in HTML Window !)

Introduce Frame

Frames allow the browser display window to be sub-divided into separate sections, each of which can be updated, or have new documents loaded into it separately from the remaining frame sections. For an explanation of a working frame example, see the example below.

Create a Frame

A Frame document has a basic structure very much like a normal HTML document. The <FRAMESET> tag describes the frame source fles or Frames, which will make up the page. We recommend users to have the source files before you create the frame page. In the frame, users can not editor the source file.

Steps:

  1. New a page and delete the <body></body> tag; Put the cursor after the tag </head>

  2. Open the frame create window by clicking [image] button or use the command "Insert/Frames...";

  3. Choose a frame style from the templates and click "OK" button. A frameset tag will be inserted into the page;

  4. Edit Frameset: Putting the cursor within the HTML tag <FRAMESET>, you can see the "frameset" in the "Properties Panel". Users can set frameset's border, bordercolor, rows, etc., in the panel;

  5. Edit Frame: Putting the cursor within the HTML tag <FRAME>, the frame source, name, scrolling parameters, etc., will show in the "Property Panel". After you input the value in the panel, the HTML code will be generated automatically.

Example

Here is an example of a "Left/Right" frame.

The code for this frame is following:

<html>

<head>
<meta HTTP-EQUIV="Content-Type" CONTENT="text/html; gb_2312-80">
<title>SlidingMenu Samples</title>
</head>

<frameset border="1" frameborder="0" framespacing="1" cols="222,*" bordercolor="#FF0000">
<frame SRC="slidingmenu.htm" NAME="menu" noresize border="0" scrolling="YES" frameborder="YES" bordercolor="#FF0000">
<frame SRC="aboutslidingmenu.htm" NAME="sample" border="0" scrolling="YES" frameborder="YES" bordercolor="#FF0000" noresize>

<noframes>
<body>
<p>This page uses frames, but your browser doesn't support them. </P>
</body>
</noframes>

</frameset>
</html>

Note

This property only valid in HTML window. You can not editor the source file in the frameset page.

The path for the frame source file is absolute path of your local directory. Before you upload it to the web site, please change it to the relative one (e.g. "../Sothink/Sothink.htm") or the absolute path of your web site directory (e.g. "http://www.Sothink.com/Sothink/Sothink.htm").

Related Topics

Workspace Frame

HTML Reference <FRAME>

HTML Reference <FRAMESET>


Using Sothink HTML Editor: Edit HTML Page File: Add Form

Add Form

Introduction of Form

Using Form on the page, you can gather information from visitors to your web site. If you want to request customers' information or have visitors fill out the guest book, forms will do the job.

Forms contain three simple elements:

  • FORM ACTION;

  • Form Field;

  • SUBMIT or RESET Button.

In HTML Window

Steps:

  1. Add the Form Action:

    Choose "Insert/Form Field/Form..." command or click [image] icon on the tool bar and choose "form" from the drop-down menu. A "Form" box will open;

    For example:

    You can define Form Name, Method and Action of the form in the dialogue box.

    Form Name

    Gives a name to the form.

    Method

    Defines how the form data is handled.

    • Get Appends form values to the URL and sends the server a GET request. Because URLs are limited to 8192 characters, don't use the GET method with long forms.

    • Post Sends the form values in the body of a message and sends the server a POST request.

    • Default Uses the browser default method (generally GET)

    Action

    Identifies the server-side application that processes form information, specified as a URL. Enter the path of the application or click the folder icon to locate the file.

  2. Add form elements:

    First, users should put cursor between the tag <Form></Form>.
    Next, click the command "Insert/Form Field/..." or click the [image] icon on tool bar to choose an element of from the drop-down menu.
    Then This element's dialog box will open.

    Sothink HTML Editor supplies such form elements:

    Push Button

    Used to embed buttons directly into HTML documents, that add functionality when used in conjunction with Visual Basic Script, or JavaScript.
    Example:

    Check Box

    Used for simple Boolean attributes (weather a field is chosen or not), or for attributes that can take multiple values at the same time.
    Example:

    Radio Button

    Used for attributes that accept a single value from a set of alternatives.
    Example:

    Hidden Field

    With this input type, no field is presented to the user, but the content of the field is sent with the submitted form.

    One-line Textbox

    Used for a single-line text-entry field.

    Text Area

    For textual input that requires multiple lines, the <TEXTAREA> element for text fields which can accept multiple lines.
    Example:

    Dropdown List

    Used for drop-down menu or item list for users choosing.
    Example:

    Image

    An image field that you can click, causing the form to be immediately submitted.
    Example:

    For more input type, please click here.

  3. Add Submit/Reset button to the form:

    The button is also one of form elemets. Since it has the function to submit or reset the form, we put it alone here.

    Choose the "Insert/Form Field/Push Button..." command or click the [image] button on tool bar and choose "Push Button..." from the drop-down menu to open the "Button" box, e.g.:

    The focus of this box is to define the button's type.

In Design Window

The same step to add Form Action. And after you add a form action, there will be a sentence: "Add your form field here". Put your cursor within this sentence and follow the same steps in HTML window to add form elements. (The sentence "Add your form field here" can be deleted.)

Example

Here is the code example of a form. This form is ued to let visitors submit their comment.

<FORM ACTION="http://www.Sothink.com/comment.cgi"
    METHOD="POST" TITLE="form1">
<TEXTAREA NAME="comments" ROWS="3" COLS="30">
Please give us your comments here </TEXTAREA>
<INPUT TYPE="submit" VALUE="SUBMIT" NAME="submit">
</FORM>

The above code is rendered as following:

Related Topics

Edit Page Edit Form

Workspace: From, Push Button, Check Box, Radio Button, Hidden Field, One-line Text box, Text Area, Dropdown List, Image

HTML Reference <FORM> , <INPUT> , <TEXTAREA> , <SELECT>


Using Sothink HTML Editor: Edit HTML Page File: Edit Form

Edit Form

In both HTML and Design Window, users can edit the from through "Properties Panel" .

In HTML Window

Before you begin edit, you need to put cursor within the HTML tag. For example, if you want to edit form action, please put cursor within the <FORM> tag, the corresponding values will appear on the Properties Panel; if you want to edit form element, please put cursor within the element's HTML tag, the values of this element will also appear on the Properties Panel. Then you can edit them in the panel.

Illustration :

In Design Window

Steps:

  1. Edit Form Action:
    Put the cursor into the form. When the FORM tag appears on the Properties Panel, please edit form action in the panel.

    Illustration :

  2. Edit Form Elements:
    Active the Form Element by clicking. Its parameter values will be shown on the "<element name>" Properties Panel. Edit the element in the panel.

    Illustration :

Related Topics

Edit Page Add Form

Workspace Main Workspace Area

HTML Reference <FORM> , <INPUT> , <TEXTAREA> , <SELECT>


Using Sothink HTML Editor: Preview in Browsers

Preview in Browsers

Users can preview the document either in the build-in browser or a defined browser.

Preview in Build-in Browser

Steps: click the Preview button on the bottom of the document window

Preview in Defined Browser

Users can choose to preview the document in a defined browser. Sothink HTML Editor automatically adds IE or Netscape into its external browsers list if either is installed in your local disk. You should manually add other installed browsers by using the "Option/External Web Browsers" command.

Steps: click the [image] icon on the toolbar to preview the document in the first browser or click the arrow beside the icon to select a browser in the pull-down menu

Related Topics

Set External Browsers


Using Sothink HTML Editor: Site Management: Index

Site Manager Help Index

The following is an index of all the help files on Site Manager. Click the links for more info.

  • Site Window
  • New a Site
  • Define a Site
  • Open a Site
  • Import a Site
  • Import Files
  • Work with Files
  • Check Links
  • Change Links
  • Publish Site
  • Site View
  • Preference


Using Sothink HTML Editor: Site Management: Site Window

Site Manager Overview

Site Manager is a standalone component that helps to structure your site, check links site wide and upload files to the remote server. It provides an easy-to-use interface with a local site pane and a remote site pane. The local site pane displays all the files stored under the defined root folder. You can add, delete, remove and rename files here. You can also double click a file to open it in the default editor. The remote site pane displays all the files that have been uploaded to the web server. It can also show the site map (a hierarchical structure of the whole site starting from the index page).


Using Sothink HTML Editor: Site Management: Define Site

Define a Site

Users can change information of any existing site or create new sites by using this command.

Steps:

  1. Choose "Site/Define Site" or "Site/Open Site/Define Site" command or click the Define Site icon on the toolbar to open the Define Site dialog box

  2. The box on the left column of the dialog lists all the existing sites. Click to select a site
    New: click this button to create a new site.
    Edit: click this button to edit the information of a selected site
    Duplicate: click this button to create a copy of a selected site. The default site name is name of the original site plus Copy. The copied site shares the same information on local folder, web server and index page with the original site. The duplication function is timesaving when you want to create a new site that share much in common with an existing site. You can then change information of the copied site by selecting it and pressing the Edit button.
    Delete: click this button to delete a selected site

  3. Click Done

Related Topics

New a Site


Using Sothink HTML Editor: Site Management: Preference

Preference

Users can specify the options of the FTP server and define an external HTML editor by using the "Edit/Preference" command.

Steps:

  1. Choose "Edit/Preference" command from the menu bar to open the dialog box

  2. Click the FTP Options tab and enter the following information:

    Send Buffer: specify the send buffer size when you upload files
    Enable Proxy Access: if you upload files through a proxy server, enable the checkbox and then go on to the following options
    Host: the host of the proxy server
    Port: the port of the proxy server
    Do Not Use Proxy Server for Addresses: the addresses of some FTP servers to which you upload files without the defined proxy server.

  3. Click the External Editor tab to define an external editor

  4. Press the browse button next to the HTML Editor field, navigate to and select the executable file of the HTML editor installed on your disk

  5. Click OK to close the dialog box

Note

If you have defined an external editor, whenever you double-click an HTML file in Site Manager, the file will be opened in the defined editor. If you want to start Sothink HTML Editor , choose "File/New Window". Leave this option blank and Sothink HTML Editor will be the default editor to open HTML files.

Related Topics

Open Files

Publish a Site

Remote Server


Using Sothink HTML Editor: Site Management: Open Site

Open Site

Users can open existing sites by using the "Site/Open Site" command. The existing sites are shown in the site list. The site that is currently opened will be marked out. Click a site name to open it .

Related Topics

New a Site

Define a Site


Using Sothink HTML Editor: Site Management: Import Site

.

Import Sites

Sothink HTML Editor provides ten carefully designed web page templates. Users can import these templates and edit them according to specific needs. Templates can be imported into a new site or an existing site.

The First Way:

  1. If you want to import a template into a new site, choose "Site/New Site" to open the dialog box. Enter information about site name and local site folder. Then click the "Import site from template" tab at the bottom; If you want to import a template into an existing site, choose "Site/Define Site", select the site in the list, press Edit button and then click "Import Site from Template" tab

  2. A preview window will appear in which you can view any template selected. Each template has a different style. Click the Catalog list on the top left to select a type from the drop-down list. Select a template from the "Template Name" drop-down list on the top right. The list contains all the templates belonging to the same category. When you select a template in the drop-down menu, the index page of the template will be shown in the preview window. You can click the links on the page to view other pages belonging to the same template.

  3. Click Import button on the top right when you find the preferred template

  4. Click OK to close the Site Definition dialog box (if you create a new site)

  5. A progress bar appears, indicating all the files in the template are being imported into the defined local root folder. When it finishes, the files and folders imported will be shown in the local site pane. Image files will be stored in the "Image" folder.

The Second Way:

  1. Choose "Site/New Site" to create a new site or choose "Site/Open Site" to open an existing site

  2. Right click a folder or file in the local site pane and select "Import Site" from the context menu to open the preview window

  3. Select an appropriate site and click the Import button at the right top of the window

The Third Way:

  1. Choose "Site/New Site" to create a new site or choose "Site/Open Site" to open an existing site

  2. Select a file or folder

  3. Choose "File/Import Site" from the menu bar to open the preview window

  4. Select a template and click Import button to import it

Note

  1. If you choose a folder to import a site template, the template will be stored under the selected folder. If you choose a file to import the template, the template will be stored in the same folder as the file selected.

  2. You can add, delete, rename, remove files in the imported template according to your own need. Be careful of any broken links that might occur when you make changes

Related Topics

New a Site

Define a Site

Import Files


Using Sothink HTML Editor: Site Management: Import Files

Import Files

Users can import existing files into a site. If you want to import an existing folder, do the following.

  1. Create a new site or open an existing site

  2. Choose the "File/Import" command to open folder browse dialog box

  3. Scroll and select the folder you want to import

  4. Click OK

If you want to import individual files instead of a whole folder, do the following:

  1. Create a new site or open an existing site

  2. Open Windows Explorer. Resize it to make both the Site Manager and Explorer windows appear on the screen

  3. Scroll and select the desired file(s) in Explorer

  4. Drag the file(s) from Explorer to Site Manager and drop them on the targeted folder

  5. Close Windows Explorer

Related Topics

New a Site

Define a Site

Import a Site Template


Using Sothink HTML Editor: Site Management: Editing Files

Work with Site Files

Users can add, delete, rename, open, and move files in Site Manager. When files or folders are moved or renamed, Sothink HTML Editor can automatically update related links or file references to avoid broken links.

Add Files or Folders

Users can add files or folders in the local site pane.

Steps:

  1. Click the folder or file into which you want to add a new file or a sub-folder

  2. Right-click and select "New Folder" or "New File" from the context menu or choose "File/New File" or "File/New Folder" command from the menu bar.

  3. Enter a name in the name field for the new file or folder

  4. Press "Enter"

Delete Files or Folders

Users can remove files or folders in the local site pane.

Steps:

  1. Click to select the file(s) or folder(s) you want to delete

  2. Right click and select "Delete" in the context menu or choose "File/Delete" command from the menu bar. You will be prompted to confirm the action. If other files in the local site contain links pointing to the deleted file(s), a link report will appear, displaying all the linked files. If you press OK to delete the file(s), it may cause broken links.

  3. Click OK

Rename Files or Folders

Steps:

  1. Click to select the file or folder you want to rename and then choose "File/Rename" command from the menu bar or right click the file or folder and select "Rename" from the context menu

  2. Type in a new name in the name field. You should keep the extensions of files such as "*: gif" or "*.htm" or Site Manager will prompt you to add them

  3. Press "Enter"

Open Files

Users can open files of different types by double-clicking them. The files will be opened in the system default tools. You can define an HTML editor to be the default editor for HTML files by using the "Editor/Preference" command. If no external editor is defined, Sothink HTML Editor will be the default editor to open HTML files. If you have defined an HTML editor, but wish to edit HTML files in Sothink HTML Editor , you can choose "File/New Window" command from the menu bar to start Sothink HTML Editor .

Move Files or Folders

You can drag and drop a file or folder in the local site pane to move it from one folder to another.

Steps:

  1. Select the file or folder you want to move

  2. Hold the mouse and drag it to the folder in which you want to put it.

Note

When you rename or move files or folders, a report box will appear with list of all the files that have links to the renamed or moved files or folders. Click OK and Sothink HTML Editor will automatically update links sitewide. If you click No, it might result in broken links.

Related Topics

Import Files

Preference


Using Sothink HTML Editor: Site Management: Check Links

Check Links

The link checking utility in Site Manager can check links in specified files and folders or the entire site. It checks only links and references to documents within the site. External links will be listed after the checking process without being verified.

Steps:

  1. Choose "Site/Check Links" command and then choose "Selected Files/Folders" (if you have selected some files or folders) or "Entire Site". Sothink HTML Editor will start checking the links.

  2. After Sothink HTML Editor finishes the checking process, a Link Checker box will appear, displaying a list of the checked results including Broken Links, External Links and Orphaned Links. You can select an appropriate item from the Show pop-up menu to view details.

    Broken Links: the files these links refer to can not be found in the local site
    External Links: links that refer to documents outside the local site.
    Orphaned files: files that are not linked in the local site

Related Topics

Change Links


Using Sothink HTML Editor: Site Management: Change Links

Change Links

Users can change all links (including file references and standard URLs) to point somewhere else by using the "Change Links Sitewide" command.

Change File Links Sitewide

Site Manager will update any document that links to the selected file and make them point to a new file.

Steps:

  1. Choose "Site/Change Links Sitewide" command in the menu bar to open the following dialog box

    In this figure, all the files in the local site that have links to maillist.htm will be changed to link to product.htm.

  2. Type an absolute path of a file in the "Change All Links Referring To" box or click the browse button to navigate to and select a file

  3. In the "Into" field, type an absolute path of a file or click the browse button to navigate to and select a file

  4. Click OK

  5. An update box will appear, listing all the files in the local site that have links to the old file

    In this figure, there are 10 HTML files that have links to maillist.htm

  6. Click Update button to go on with the process. If you click Don't Update, the action will be canceled

  7. A progress bar will appear, showing the updating progress. When it disappears, the progress is completed

Change URLs Sitewide

Users can change standard URL.

Steps:

  1. Choose "Site/Change Links Sitewide" command in the menu bar to open the dialog box

  2. Type in the URL you want to change in the "Change Links To" box

  3. Type in a new URL in the "Into Links To" box

  4. Click OK

Example

If your contact email address has been changed from "contact1@Sothink.com" to "contact2@Sothink.com", you can change all the files contact mailto links by using "Change Links Sitewide" command. In the dialog box, enter the following information:

Then all the contact mailto links will be changed to contact2@Sothink.com. It relieves you of the strenuous work of changing the mailto links one by one in the whole site.

Related Topics

Check Links


Using Sothink HTML Editor: Site Management: Publish Site

Publish Site

Users can upload files in their local sites to the remote servers.

The first way:

Choose "Publish/All", "Publish/Modified" or "Publish/Selected" (if you have selected the files or folders) command

All: upload all the files in the local folder to the remote server
Modified: upload files modified since its previous uploading or new files that have not been uploaded
Selected: upload only selected files to the remote server

The second way:

Select the files and folders you want to publish , then right-click and choose "Publish" from the context menu

The third way:

Select the files and folders you want to publish, then click the "Publish" icon on the toolbar. If you want to publish the entire site, click the "Publish" icon directly without making any selection

Related Topics

New a Site

Define a Site

Preference


Using Sothink HTML Editor: Site Management: View Sites

View Sites

Users can view both local and remote sites, refresh them or view site map in the remote site pane.

View Local and Remote Sites

Steps:

  1. Choose "Site/Open Site" command from the menu bar and choose a site from the site list. All the files and folders of the site will be shown in the local site pane.

  2. Click "Connect" icon on the toolbar or choose "Publish/Connect" command from the menu bar to connect to the remote server. The uploaded files and folders in the web server will be listed in the remote site pane. You can repeat the same steps to disconnect from the remote server.

Refresh Local or Remote Sites

Steps: choose the "View/Refresh Remote" or "View/Refresh Local" command to refresh the remote or local site. Or you can click the "Refresh" icon on the toolbar to refresh the remote site.

View Site Map

A site map shows the hierarchical structure of all the site files starting from the index page. If you want to view the site map, an index page should be designated. Though the site map is shown on the remote site pane, it is not related to the remote server. Refer to New a site .

Steps: click the "Site Map" icon on the toolbar or choose "Window/Site Map" command from the menu bar and the site map will appear on the remote site pane.

View Remote Site Files

Steps: click the "Remote" icon on the toolbar or choose "Window/Site File" command to view all the files on the remote server.

Related Topics

New a Site

Define a Site

Publish a Site


Using Sothink HTML Editor: Publish Site

Publish Site

Sothink Site Manager helps users manage their files in their local roots and upload them to the remote servers. Users should define a site first (including Local Root, Web Server and Index Page). They can add or delete files in the local roots on the Site Manager and edit files in Sothink HTML Editor . Then they can set FTP preference and then upload files to the remote servers by choosing the "Publish" command. The files to be uploaded can be selected. Users can choose "All Files", "Selected Files" or "Modified Files".


Using Sothink HTML Editor: Add Special Effects: Index

Add Special Effects

Besides text and HTML tags, you can add Java, JavaScript, DHTML, etc into your Web pages. Avoid coding by user selves, Sothink HTML Editor has its series tools to let users add these special effects into page without coding. These tools are Java button, menu, sliding-down menu, and animated text tool, which we called "Widget Tool". Click here you can get more usage of these tools.

  • JavaScript

    JavaScript Effects Gathery

    JavaScript Resource

  • DHTML

    DHTML Effects Gathery

    DHTML Resource

  • Java Applet

    Navigation Menu

    Sliding Menu

    Applet Button

    Rolling Text/Banner

  • Using Widget

    All above tools are called "Widget Tool" in Sothink HTML Editor .
    If you want to know how to use them with Sothink HTML Editor , please click here.


Using Sothink HTML Editor: Add Special Effects: JavaScript

Add Special Effects: JavaScript

You can create basic Web pages using nothing more than text and HTML tags. However, if you want to create sophisticated, data-driven applications, you can add script to your Web pages.

For example, you can use JavaScript to create these types of Web pages:

    • A page that includes the current time and date along with the text.
    • A page that displays the number of times that the Web site has been visited.
    • A page that displays a form for users to fill in and then returns requested information or updates a database.
    • A page that performs database operations that include transaction processing and other sophisticated data management operations.

But users need to know and can write the JavaScript code to get such effects. This is a annoying thing for each web page creator. Sothink HTML Editor also has a JavaScript Gather, which supplies the basic JavaScript effects.

  • Related Topics

    DHTML Effects, Java Applet, Add Widgets into Page

  • JavaScript Resource

    All JavaScript Resource
    http://javascript.internet.com/

    Beginning JavaScript Tutorials
    http://www.pageresource.com/jscript/index.html

    Builder.com's JavaScript for Beginners
    http://www.cnet.com/Content/Features/Howto/Javascript/

    JavaScript for the Total Non-Programmer
    http://www.webteacher.com/javatour.htm

    JavaScript Tutorial for Progammer
    http://www.wdvl.com/Authoring/JavaScript/Tutorial/

    Sybex Web
    http://www.sybex.com/cig-bin/template.pl?1937down.html

    Netscape Site
    http://home.netscape.com/eng/mozilla/3.0/handbook/javascript

    Gamelan.com
    http://www.gamelan.com/pages/Gamelan.related.javascript.html

    Andrew Wooldridge
    http://www.c2.org/~andreww/javascript


Using Sothink HTML Editor: Add Special Effects: DHTML

Add Special Effects: DHTML

  • Overview

    DHTML (Dynamic HTML) is an extension of HTML supported in Microsoft Internet Explorer 4.0 that exposes a Web page and all the elements on it as scriptable objects. With Dynamic HTML, you can easily add effects to your documents that were previously difficult to achieve. For example, you can:

    • Animate text and images in your document
    • Independently moving each element from any starting point to any ending point
    • Create a select menu list with fade effect
    • Create a form, then instantly read, process, and respond to the data the user enters in the form

    To gain such wonderful effects, normally users are requested to learn and write DHTML code. But with Sothink HTML Editor, which have also supplied a DHTML Gather. It can help you to add above effects easily.

  • Related Topics

    JavaScript , Java Applet , Add Widgets into Page

  • DHTML Resource

    ttp://www.w3.org/

    http://msdn.microsoft.com/workshop/c-frame.htm?/workshop/author/default.asp

    http://developer.netscape.com/tech/dynhtml/

    Cross-Browser Dynamic HTML Resources
    http://www.wdvl.com/Authoring/DHTML/CB/Resources.html


Using Sothink HTML Editor:Index

Sothink HTML Editor 2.5 Workspace Index

  • Main Workspace Area

  • Tag Define

  • Setting Options

  • Dialog Boxes

  • Keyboard


Using Sothink HTML Editor:Sothink HTML Editor workspace

Sothink HTML Editor Main Workspace Area

The Sothink HTML Editor workspace is flexible, so it accommodates different styles of working and levels of expertise. It is made up of Sothink HTML Editor window and Site manager window. There are a few components of the Sothink HTML Editor workspace you use constantly:

  • Menu Bar

    The menu bar is on the top line of workspace.It controls the main commands of Sothink HTML Editor .

  • File Bar

    Excute command"new", "open", "close", and so on.

  • Widget Bar

    Put cursor in the place you want to insert applet code in HTML window and double click one template to insert the code. The imported widget will be shown in the "widgets box" on toolbar.

Configure a selected Widget.
Delete a selected Widget.
Save a Widget as a template.
Add a Widget to Gallery.
Refresh Gallery If be changed.
Refresh the HTML file.
Import a widget.

  • Format Bar

    Click the icons above, you can specify all kinds of properities.

Specify the font properties of document.
Specify the font style as bold Specify the font style as italic.
Specify the font style as underline.
Specify the font style as strike.
Specify a text as the head mode.
Specify the position properties of a paragraph which be situated to the left of senior unit when browse.
Specify the position properties of a paragraph which be situated to the center of senior unit when browse.
Specify the position properties of a paragraph which be situated to the right of senior unit when browse.
Insert tag "<Pre>" into your document.
Insert tag "<P>" into your document.
Insert tag "<Br>" into your document.
Insert a RGB format color value into your document.
Show details in the Edit window.
Show the line number.

  • Insert Bar

    Click the icons above, you can add line, special characters, comments and other elements into your page.

Insert the HTML document header.
Insert an image into the document.
Insert a Hyperlink into the document.
Insert an Email link into the document.
Insert a comment into the document.
Insert a special character into the document.
Insert a horizontal line into the document.
Insert a form field input into the document.
Insert a list into the document.
Insert a frame into the document.
Insert a table into the document.

  • SiteManager Icon Bar

Site Manager is a standalone component that can be used for easy site management and uploading. More information please see site manager overview.

Related topics

Tag Define, Setting Options, Dialog Boxes , Keyboard


Using Sothink HTML Editor: Edit Page File: Keyboard

Keyboard

The following is a list of all hot keys in Sothink HTML Editor . With these keys, users can quickly access some frequently used functions.

Sothink HTML Editor

Shortcut

  • "File..." Menu

Ctrl + N

Create a new file

Ctrl + O

Open an existed file

Ctrl + F4

Close a file

Ctrl + S

Save current file

Ctrl + P

Open the print dialog box
  • "Edit..." Menu

Ctrl + Z

Undo

Ctrl + Y

Redo

Ctrl + Alt + Z

Undo all

Ctrl + Alt + Y

Redo all

Ctrl + X

Cut selected text

Ctrl + C

Copy selected text

Ctrl + V

Paste text from clipboard

Ctrl + A

Select all text

Ctrl + F

Open the find dialog box

F3

Find next

Ctrl + H

Open the replace dialog box

Ctrl + F2

Make a bookmark

F2

Go to next bookmark

Shift + F2

Go to previous bookmark

Ctrl + Shift + F2

Clean all bookmarks
  • "Widget..." Menu

Alt + Enter

Configure a selected Widget

Ctrl + Del

Delete an imported Widget

Ctrl + W

Import a Widget
  • "Format..." Menu

Ctrl + Enter

Insert a break

Ctrl + Alt + C

Open the color value dialog
  • "Insert..." Menu

Ctrl + L

Open the hyperlink dialog

Ctrl + M

Open the comment dialog
  • Open Menu Command

Alt + F

Open "File" command menu

Alt + E

Open "Edit" command menu

Alt + D

Open "Widget" command menu

Alt + R

Open "Format" command menu

Alt + I

Open "Insert" command menu

Alt + O

Open "Option" command menu

Alt + W

Open "Window" command menu

Alt + H

Open Help Menu

Edit Command

F1

Help

Ctrl + F2

Set a bookmark

F2

Next bookmark

Shift + F2

Previous bookmark

Ctrl + Shift + F2

Clean all bookmarks

Ctrl + A

Select All

Ctrl + C

Copy

Ctrl + F

Find

Ctrl + H

Replace

Ctrl + V

Paste

Backspace

Delete a character

Ctrl + Backspace

Delete a word

Alt + Backspace

Undo backspace

Delete

Delete

Shift + Delete

Cut selected text

Ctrl + Down Arrow

Move the scroll bar down

Shift + Down Arrow

Select line down

Down Arrow

Move to next line

End

Move to the end of the current line

Ctrl + End

Move to the end of the document

Shift + End

Select text from cursor position to the end of the line

Ctrl + Shift + End

Select text from cursor position to the end of the document

Ctrl + Shift + F2

Clear all bookmarks

F3

Repeat

Home

Move to the start of the current line

Ctrl + Home

Move to the beginning of document

Shift + Home

Select text from cursor position to the start of the line.

Ctrl + Shift + Home

Select text from cursor position to the start of the document

Insert

Ctrl + Insert

Copy

Shift + Insert

Paste

Left Arrow

Character left

Ctrl + Left Arrow

Move cursor one word left

Shift + Left Arrow

Select a character left

Ctrl + Shift + Left Arrow

Select a word left

Next

Page down

Shift + Next

Select text from cursor position to next page down

Prior

Page up

Shift + Prior

Select text from cursor position to next page up

Right Arrow

Character right

Ctrl + Right Arrow

Move cursor one word right

Shift + Right Arrow

Select a character right

Ctrl + Shift + Right Arrow

Select a word right

Tab

Move over several characters right

Shift + Tab

Move over several characters left

Up Arrow

Line up

Ctrl + Up Arrow

Move the scroll bar up

Shift + Up Arrow

Select line up

Ctrl + X

Cut

Ctrl + Y

Redo

Ctrl + Z

Undo

Page Up

Move one page up

Page Down

Move one page down

Shift + Page Down

Select text from cursor position to next page down

Sothink HTML Editor SiteManager

Shortcut

  • "File..." Menu

Ctrl + N

Open a new window

Ctrl + Alt + Shift + N

New a folder

Ctrl + Shift + N

Create a new page

Ctrl + O

Open an existed file

F2

Rename the folder or file

Del

Delete a file or folder
  • "View..." Menu

Alt + F5

Refresh remote site

Shift + F5

Refresh local site
  • "Site..." Menu

Shift + F8

Check links for the selected files or folder

Ctrl + F8

Check links in the entire site
  • "Window..." Menu

F5

Show the Site File window

Ctrl + F5

Show the Site Map
  • "Publish..." Menu

Ctrl + Shift + P

Publish all files

Ctrl + Alt + Shift + P

Publish modified file

Ctrl + P

Publish selected file or folder

Ctrl + Shift + C

Connect the remote site


Use Sothink HTML Editor: Usage: Customize Toolbar

Customize Toolbar

At the end of each toolbar, there is a drop-down menu. Select "Customize..." command and you can do make a individualized toolbar.

On the left of toolbar, it is available toolbar button and the current toolbar buttons are on the right.

  • Delete buttons from Current Toolbar
    Select the button you do not want to show in current bar and click"Delete". This button will be moved to available button list.

  • Add Buttons
    Select the buttons you want to add from available list and click "Add". You can add it to current toolbar.

  • Move Up/Down
    Choose a button in current button list and click "Move Up/Down" to adjust its position.

  • Reset
    If you do not like you current configuration, click this button and the toolbar will covered to is default status

  • Close
    After you have made modification for toolbar, click "close" button to finish.

Related Topics

Main Workspace Area


Using Sothink HTML Editor: Tag Define: Index

Tags Define Help Index

This section includes information on how to use the Tags Define function. Click each link for more info.

  • Tags Define Dialog Overview

  • Add, Remove and Rename Tags

  • Edit Attributes and Events of Tags

  • Set Attributes and Events Styles


Using Sothink HTML Editor: Tag Define: Overview

Tags Define Overview

The Properties Panel in Sothink HTML Editor helps users enter values of HTML tags easily into the code. When a tag is selected, attributes and events related to the tag will be shown on the panel. Users should only type text, browse to files, click checkboxes or select colors from the color palette on the panel. The corresponding HTML or Javacript codes will be automatically added into the document. Users can remove, rename or add attributes and events of a tag. Click the [image] icon on top of the Properties Panel to open the Tags Define dialog box.

The Tag List on the left of the dialog includes all the HTML tags. You can add, remove or rename any of them. The Properties List in the middle of the dialog includes all the attributes and Javascript events of the selected tag that will be shown on the Properties Panel. You can arrange the attributes and events in different groups, add, remove or rename attributes and events. The Setting List on the right of the dialog consists of two parts: Attribute Type and Enumerated Value. When you select an attribute in the Properties List, you should define its type(Text, File, Enumerate, Check and Color). For the Enumerate type, values should be entered in the Enumerated Values field.

Related Topics

Add, Remove and Rename Tags

Change Attributes and Events

Change Attributes Settings


Using Sothink HTML Editor: Tag Define: Add, Remove and Rename Tags

Add, Remove and Rename Tags

Users can add, remove or rename tags listed in the HTML Tags List.

Add Tags:

Steps:

  1. Click open the dialog and press the Add button beside the Tags List.

  2. In the Input dialog box that appears, enter the name of a valid HTML tag

  3. Click OK and the new tag will be added into the list.

Remove Tags:

Steps:

  1. Select a tag in the Tags List you want to remove

  2. Press the Remove button beside the list

  3. In the prompt that appears, click OK to confirm the action. The tag will be removed from the list

Rename Tags:

Steps:

  1. Select a tag in the Tags List that you want to rename

  2. Press the Rename button beside the Tags List

  3. In the Input dialog, enter a new name.

  4. Click OK and the name of the tag will be changed

Note

  1. Names of tags should be valid HTML names. Invalid tags will be ignored and have no effect on the content of the file

  2. It's strongly recommended that users backup the *.tag files before they make any change in the Tags Define dialog box. Because any change to the tags will be saved. When you want to renew the default settings, you should cover the *.tag files with the original files you have baked up. The *.tag files are stored in the default path: ../Sothink/Tags/Htm

Related Topics

Tags Define Dialog Overview

Edit Attributes and Events of Tags

Set Attributes and Events Styles


Using Sothink HTML Editor: Tag Define: Edit Attributes and Events of Tags

Edit Attributes and Events of Tags

The Properties List includes attributes and Javascript events of a tag selected in Tags list. These attributes and events will be shown on the Properties Panel when the corresponding HTML tag is clicked. Users can configure the Properties List to make it work in their own way.

Add Attributes and Events to Groups

You can add valid attributes and Javascript events to groups. If you want to move an attribute or event from one group to another group, you should delete it from the old group and then add it to the new one.

Steps:

  1. Select the group into which you want to add an attribute or event

  2. Press the Add button beside the Properties List

  3. Enter a valid name in the field

  4. Click OK and the attribute or event will be added to the group

Remove Groups, Attributes or Events:

Steps:

  1. Select a group, attribute or event in the Properties List

  2. Press the Remove button on the right

  3. If a group is to be removed, a prompt with "Remove this group and all of its items" will appear. Click OK to remove it.

Rename Groups, Attributes or Events

Steps:

  1. Select a group, attribute or event in the Properties List

  2. Press the Rename button on the right

  3. Enter a new name in the Input dialog

  4. Click OK

Group Attributes and Events:

By default, all the attributes and Javascript events are divided into two parts in the Properties List: Attributes and Events. If you are a power user, you can group the attributes and events according to your own need. E.g. you can include all the color attributes such as Vlink, Alink or Link in a group named Color.

Steps:

  1. Press the Add Group button beside the Properties List to open the Input dialog

  2. Enter a name in the field

  3. Click OK and a new group will be added to the list.

Note

  1. It is recommended that you divide HTML attributes and Javascript events in different groups in case of confusion.

  2. You should use valid HTML or Javascript names since invalid attributes and events have no effect on the content of the file.

Related Topics

Tags Define Dialog Overview

Add, Remove and Rename Tags

Set Attributes and Events Styles


Using Sothink HTML Editor: Tag Define: Set Attributes and Events Styles

Set Attributes and Events Styles

An attribute style is the editing style of an attribute or event on the Properties Panel. These styles include File, Enumerate, Text, Color and Check.
File: A Browse button will be put beside the value field with which you can browse to and select a file e.g. "Background", "Href" , "Image".
Text: you can input text as the value of the attribute or event e.g. "Style", "Class", "Width"
Color: you can select a color in the color palette as the value of the attribute or event e.g. "Link", "Bgcolor", "Vlink"
Check: the option is a checkbox e.g. "Bgproperties"
Enumerate: you can define a list of values as selection items for an attribute or event e.g. "Align".

Steps:

  1. Select an attribute or event in the Properties List

  2. Select a style from the Attributes Setting drop-down list

  3. If Enumerate is chosen, enumerated values should be typed into the field below.
    E.g. the enumerated values of "Align" should be: Right, Center and Left.

Example

Figure 1 shows the <BODY> attributes displayed on the Properties Panel. You can add or remove the attributes by using the Tag Define dialog as shown in Figure 2. The editing style of each attribute can be defined by using the Settings command. Figure 3 lists all the <BODY> attributes and their respective editing styles.

Figure 1
Figure 2

Attribute | Setting Type
Vlink | Color
Topmargin | Text
Text | Color
Style | Text
Link | Color
Leftmargin | Text
ID | Text
Class | Text
Bgproperties | Check
Bgcolor | Color
Background | File
Alink | Color
Figure 3

Note

All the attributes and events and their corresponding settings should be valid. Invalid settings have no effect on the content of the file.

Related Topics

Tags Define Dialog Overview

Add, Remove and Rename Tags

Edit Attributes and Events of Tags


Using Sothink HTML Editor: Setting Options: Configuration

Configuration

Users can use the Configuration dialog box to define most of the settings of Sothink HTML Editor . The dialog box contains several tabs including General, Edit, Design, Color and File Associations. Click each of the tab titles for further information on its content.

General Tab

The General Tab offers some general options about Sothink HTML Editor .

  • Show splash windows at startup: if this option is checked, the Sothink HTML Editor splash window will be displayed at startup. Otherwise Sothink HTML Editor will be started without the splash window.

  • Reload open files at startup: check this option to reopen all the files that are kept opened the last time Sothink HTML Editor is closed.

  • Create blank document at startup: check this option to create a new document when Sothink HTML Editor is started and when no other document is loaded

  • Use Internet Explorer Rebar (Need to restart): check this option to create an IE style rebar. If this option is left unchecked, the toolbar will be dockable like the style in Microsoft Office. You should restart Sothink HTML Editor for the new setting to take effect

  • Auto products checking at startup: when you start Sothink HTML Editor , it will automatically connect to SourceTec's web site and check products available to be integrated with Sothink HTML Editor and other upgrade versions.

  • Launch the program at Windows startup: check this box to launch Sothink HTML Editor whenever Windows is started.

  • Create backup file: check this option to let Sothink HTML Editor automatically create backup files for the files saved in Sothink HTML Editor

  • Recent file list: the first option defines the number of *.html or *.htm files to be remembered and displayed in the Recent Files (*.htm, *.html) list. The second option controls the number of other types of files to be remembered and displayed in the Recent Files (*.*) list. The maximum number for each list is 15.

Edit Tab

This tab controls the appearance of the HTML editing window. The options are as follows:

  • Show selection margin: check this option to show selection margin in HTML editing window. The selection margin will be used to show file line numbers, bookmarks, etc. If you choose to show file lines and bookmarks in the HTML window, this option must be checked.

  • Show line number: check this option to show file lines in the HTML editing window. It enhances a better code management.

  • Show inactive selection: check this option to show the selection when the HTML editing window is inactive

  • Auto Indent: When the first code link has indent, this feature will align the fowllowing code line with the first line.

  • Auto match quotation mark and bracket: In HTML editing, when you type a quotation mark or a bracket, this smart function will add the other quotation mark or bracket automatically.

  • Enable pop-up HTML Attribute completion list box: When you press a space key after a HTML tag or the equal mark "=" , there will be a box to show an attribute list of this tag. You can choose an attribute you want from the list instead of typing.

  • Enable HTML Tag hint: When you move to a tag, you will see a yellow box popping out. It will tell you the main usage of this tag. So if you are not familiar with HTML code or forget this tag sometimes, Sothink HTML Editor's "tag hint" will help you to get it back.

  • Tab size: enter an integer to define the number of space characters the cursor jumps over to the next tab stop when the Tab key is pressed. The integer should be between 1 and 64.

  • Edit font: choose a font style from the drop-down list. The font style applies to all the text in the HTML editing mode.

  • Size: choose a preferred font size in the drop-down list or input a font size in the field. The text will be shown in the selected size when the setting is applied.

Design Tab

This tab contains options that apply to the visual editing mode. They are as follows:

  • Disable the design window: checking this option, users would not edit the page in Desing Window. When you swith to design window, an alter message box will pop up.

  • Warn when switching to design view: check this option to show the warning box when you toggle from either the code mode or preview mode to the visual mode. You can also click the "Don't show this dialog again" checkbox at the bottom of the dialog to disable it.

  • Show details: show hidden tags, anchors, and other elements as glyphs in the visual editing mode. A glyph is a small graphical character that marks the location of an element that has no visible component. It helps to prevent users from inadvertently deleting elements that they don't know are will not be shown in the browse mode. You can also use the [image] icon on the toolbar to enable or disable this function.

  • Show borders around elements: display a 1-pixel border around <DIV> elements and tables.

  • Activate Java applet: check this option to enable UI activation of Java applet or leave the checkbox blank to disable it. UI activation is an editing mode in which the textual content of an element (such as a button caption) can be edited directly, rather than by using other indirect means.

  • Activate ActiveX: enable or disable UI activation of ActiveX controls.

Color Tab

The Color Tab includes options to define colors of normal text, HTML keywords, widget code, etc. in HTML editing mode.

  • Enable syntax coloring: when this box is checked, the color settings below the checkbox will take effect. If not checked, all the content in HTML window including keywords, comments, widgets, etc. will be shown in black. But you can still specify the color of the selection margin.
  • Colors:
    Normal: color of normal text
    Keyword: color of HTML keywords
    String: color of HTML strings
    Comment: color of HTML comments
    Widget: color of widget code
    Selection margin: color of the selection margin on the left side of the editing window (if you have defined it to be visible)
  • Reset All: press this button to renew the default settings for syntax coloring.

File Associations Tab

This tab contains options that allow you to set Sothink HTML Editor as an optional editor to open files of all types whenever you right click a file name in Windows Explorer.

Add a File Type

  1. Click the "File Associations" tab in the Configuration dialog

  2. Click in the Files field, input a file extension in the field or select one in the drop-down list

  3. Enter a description for the file type in the Description field (the description is used in the "Sothink HTML Editor Association" list as an explanation for the file type)

  4. Press Add button to add the file type to the association files list

For example: "*.htm'' has been added to the Sothink HTML Editor Associations list. Whenever a file with the extension of ".htm" is right clicked in Explorer, the context menu contains Sothink HTML Editor . Select "Edit with Sothink HTML Editor " and the file will be opened in Sothink HTML Editor .

Delete a File Type

  1. Select the file type in the "Sothink HTML Editor Associations" field

  2. Press Delete button

Add to Edit Button in IE

Press this button to add Sothink HTML Editor to the Edit button list in IE. If you browse a file in IE and want to open it in Sothink HTML Editor , click the down arrow beside the Edit button on the tool bar and select Sothink HTML Editor from the editors list.

Related Topics

Specify External Browsers

Specify HTML Keywords


Using Sothink HTML Editor: Setting Options: External Web Browsers

External Web Browsers

Users can preview the document in Sothink HTML Editor either with defined browsers or the build-in browser. User can use the "Option/External Web Browsers" command to set browsers options.

Steps:

  1. Choose "Option/External Web Browsers" command to open the web browser dialog box

    Select Browser:     choose a default browser (the browser for preview when you click the [image] icon on the tool bar). You can choose one of the following selections by clicking the checkbox.

    a Use system default browser: use the system default browser

    b Use installed known browser: choose either IE or Netscape from the pull-down menu next to this selection (IE or Netscape will be automatically listed in the menu if detected on your system)

    c Use additional browser: choose a browser from the dropdown menu next to this selection ( if browsers other than IE or Netscape are installed in your local disk, you should add them manually by using the Specify Additional Browsers option)

    Specify Additional Browsers: you can use this option to add other browsers to the browsers list.
    Steps:
    1. Enter the name of the browser in the Name field

    2. Press the browse button next to the File Path field, navigate to and select the executable file of the browser.

    3. Press Add button to add it to the specified browsers list. You can add as many browsers as are installed in your system
    If you want to delete a browser from the specified browser list, select it in the list and then press Delete button

  2. Click OK to close the dialog box

Note

All the browsers in the "Installed Known Browsers" list and "Additional Browsers List" will be shown in the Preview drop-down menu. If you prefer to preview in a defined browser , click the down arrow beside the [image] icon and then select an appropriate browser in the drop-down menu.

Related Topics

Configuration

Define HTML Keywords


Using Sothink HTML Editor: Setting Options: HTML Keywords

HTML Keywords

HTML Keywords box includes all the HTML keywords in HTML 4.0. The keywords included will be highlighted in defined color in HTML editing mode. Users can add or delete keywords in the box. This function is designed only for better code management and has no effect on the content of HTML files.

Add a Keyword

Steps:

  1. Choose "Option/HTML Keywords" from the menu bar to open the following dialog box

  2. Enter a valid keyword name in the Keyword field

  3. Press the Add button

  4. Click OK

Remove a Keyword

Steps:

  1. Select a keyword in the keywords list

  2. Press the Remove button

  3. Click OK

Note

The keywords added should be valid HTML keywords or they will be ignored by browsers. Keywords can be typed either in lower case or upper case.

Related Topics

Configuration

External Web Browsers


Using Sothink HTML Editor:Define Font Dialog

Define Font Dialog

Use the command "Format/ Font" or click the icon [image] to open the Font dialog. Using this dialog, user can define the font face, size and color.

Properties

Font : Choose font style from the drop-down list or specify a kind of style by yourself.

Size : Every number stands for different pixel. Choose a size or specify it by yourself.

Color : Set the color of font. You can choose a color from the drop-down list beside. If you want more color choices, please click "more colors...".

Related Topics

Edit Page Set Font Properties

HTML Reference <FONT>


Using Sothink HTML Editor:Define Colour Dialog

Define Color Dialog

Use the command "Format/ Color Value" or click the icon [image] to open the Color Value dialog. Use the dialog to set or change color value.

Properties

    RGB Value: Input color value in the color box to define color. Also you can click drop-down list and choose a kind of base color from the color lists or specify other color by clicking "more colors...". The color value code will be created automatically.

Shortcut

Ctrl+Alt+C

Related Topics

Edit Page Set Page Properties

Edit Page Set Font Properties


Using Sothink HTML Editor:Define Colour Dialog

Page Property Dialog

Locate the cursor anywhere in Design Window and right-click. From the context menu, select "Page Properties" to open the Page Properties dialog. Use this command to set page properties in Design Window. It can not be used in HTML Window.

Properties

Title: page's title. (Note: If you want to modify title, please go to HTML Window.)

Margins

left: specify the left margin of the page in pixels;
Top: specify the top margin of the page in pixels;

Background

Image: specify background image;
Watermark: fix the background image and it will not scroll with the text in browsing ("bgProperties=fixed" will be inserted into the <BODY> tag);

Color

Background: specify background color;
Text: specify text color;
Hyperlink:specify the color of the links in normal state;
Visited Hyperlink: specify the color of the link that has been clicked;
Active Hyperlink: specify the color of the link that's being clicked.

Related Topics

Edit Page Set Page Properties

HTML Reference <BODY>


Using Sothink HTML Editor:Define Colour Dialog

Paragraph Property Dialog

Right click and choose "Paragraph"to open the Paragraph dialog. Use this dialog to specify the paragraph's alignment. This dialog only appears in Design Window.

Properties

Alignment: Specify how the text are aligned.

Related Topics

HTML Reference <P>


Using Sothink HTML Editor:Define Header Dialog

Page Transition Style Dialog

Click "Page Enter Style" or "Page Exit Style" button in Header Dialog to open the "Page Transition Style" dialog. In this dialogbox, users can specify the time and style when entering or existing a page. Note:This feature will take effectin in IE4.0 or later version only.

Properties

Duration time: set the duration time of this transition.

Transition Shape: set the entering/existing style of this transition.

Related Topics

Workspace Header Dialog

HTML Reference <META>


Using Sothink HTML Editor:Define Header Dialog

Define Header Dialog

Use the command "Insert/Header" or cilck the icon [image] to open the Header Dialog. Use this dialog to insert elements between <head> tag.
This dialog is only used in HTML Window.

Properties

Title: Set the web page's title.

Charset: Set charset of HTML text.

Background Sound

Sound File: Set the sound file that is used as Background Sound. You can click the button beside to select a sound file.
Loop Number: Set the number of the sound file loop. If you want this sound file to loop ceaselessly in browse session, please choose the "Loop Infinite".

Display Style

Reload and seconds: Set the display style of page while reloading/enter/exit.
Auto Reload:If you want your HTML document can auto reload in browse session, you can select it. And you must set the time interval of reload in "Reload (sec)" box. You can input an URL in the input frame. This URL specifies the document to reload. If no URL is given, the browser reloads the current document.
URL: specifies the URL to relaod . Leave this field to blank to reload current document.
Page Enter Style:enter this document to set the style, please click the "Page Enter Style" button.
Page Exit Style: exit this document to set the style, please click the "Page Exit Style" button.

Related Topics

HTML Reference <TITLE>

HTML Reference <BGSOUND>

HTML Reference <META>


Using Sothink HTML Editor:Image

Image Dialog

Use the command "Insert/Image" or click the image icon [image] to open the Image dialog. Use this dialog to add an image into your page.

Properties

File Name:Click the button beside to select an existed image.

Alternative:Input the message in the Alt option. This message will be shown when the mouse moves over the image.

Layout:If you want to adjust the layout of the image, please input proper value of width, height, Align and so on. (Note: If you set the value of Width and Height as 0, the image will be displayed as its default size.)

Related Topics

Edit Page Add Image

Edit Page Edit Image

HTML Reference <IMG>


Using Sothink HTML Editor:Define Hyperlink Dialog

Hyperlink Dialog

Use the command "Insert/ Hyperlink" or click the icon [image] to open the Hyperlink dialog. Use this dialog to insert an URL of text into your HTML document. It can be used both in HTML Window and Design Window.

  • In HTML Window

Properties

Description: You will see the text you have chosen is in the text box.

URL: Type the URL in the URL option or click the button to choose a file from local disk. Please note the path of link should be relative one or the absolute one on the web site.

Target frame: Open the drop down menu and choose the target you want.If the frame is given name, please input the frame's name in this target option.

The "Target" drop-down list in the link dialogue box includes the following selections:

Same frame(_self): if frames are used in the web page, page linked to a frame will be shown in the same frame after the link is clicked.
Whole page(_top): if frames are used in the web page, page linked to a frame will be shown in the whole screen after the link is clicked.
New Browser Window(_blank): after the link is clicked , the page linked will be shown in a new window.
Parent Frame(_parent): if frames are used in the web page, page linked to a frame will be shown in the parent frame defined in the frameset.

  • In Design Window

    Hyperlink Information

    Type: Select a type for the link.
    URL: Enter the URL. Please note the path of link should be relative one or the absolute one on the web site.

Shortcut

Ctrl+L

Related Topics

Edit Page Adding Links

Html Reference <A>


Using Sothink:Define Emaillink Dialog

Define Email Dialog

Use the command "Insert/ Email" or click the icon [image] to open the Email Link Dialog. Use this dialog to add email link.

Properties

Text which will attach with email address: Type the text you want to add email link in the text box.

Email Address:Input the email address in the Email address box.

Related Topics

Edit Page Add Email

Edit Page Change Email

HTML Reference <A>


Using Sothink HTML Editor:Define Comments Dialog

Define Comment Dialog

Use the command "Insert/ Comment" or click the icon [image] to open the Comment dialog. Use the dialog to insert comment into the HTML document. It is only used in HTML Window.

Properties

Comment Text: Enter your Comment text in the box below.

Shortcut

Ctrl+M

Related Topics

Edit Page Add Comment

HTML Reference <COMMENT>

HTML Reference <!-- -->


Using Sothink HTML Editor:DefineSpecialcharacter Dialog

Define Special Characters Dialog

Use the command "Insert/ Special Characters" or click the icon [image] to open the Special Characters dialog. Sothink HTML Editor provides 73 freqently used special characters in its Special Characters dialog box.

Properties

Tags to insert into HTML: enter a tag in the blank and click "ok". The special character will be added into page.

Tags for Special Character: Choose a tag and double click. The tag will appear in the box above.Then click "OK" to insert it into page.

Related Topics

Edit Page Add Special Characters


Using Sothink HTML Editor:Define Line Dialog

Define Line Dialog

Use the command "Insert/ Line" or click the icon [image] to open the Line dialog. Use this dialog to insert a horizontal line.

Properties

Width: specifies the width of the line( either in pixels or as a percentage of the browser window. Line specified in pixels is better for the precise width of the line while line secified in percentage is a good choice when the proportion of the line is more important than its width).)

Height: specifies the height of the line;

Style

Align: aligns the line on the page. There are three options: right, left and center;
Solid Line: specify the line is solid;
Color :input color value in the color box to define color. Also you can Click drop-down list and choose a kind of base color from the color lists or specify other color from <more colors>.The color value will be created automatically.

Related Topics

Edit Page Add Line

HTML Reference <HR>


Using Sothink HTML Editor:Define List Dialog

Define List Dialog

Use the command Insert/ List or click the icon [image] to open the list dialog. Use the dialog to insert code <LI>...</LI>.

Properties

List Header Text: Specify a header for the list.

List items: The items you want to list will display in this column.

List type: Select a type for the list.

Style: Select related style reffrer to the list type.

Begin At: Specify the list begin at which number.

Example

From the finished table of above, we can get code:

<OL START="0" TYPE="I">
<LH>article</LH>
<LI>a
<LI>b
<LI>c
</OL>

Related Topics

Html Reference <LI> <OL>


Using Sothink HTML Editor:Define Table Dialog

Define Table Dialog

Use the command "Insert/ Table"or click the icon [image] to open the Table dialog. Use this dialog to insert a table into the HTML document.

Properties

Table Size

Rows:specifies the number of rows in the table.
Cols: specifies the number of columns in the table.
Specify Width: when you want to specify the width of the table, check the "Specify Width" and click the spin button or type a number directly in the field. Otherwise the table will be shown in its auto size which means that the width will aumatically be adjusted to fit the size of your input.
Width: specifies the width of the table ( either in pixels or as a percentage of the browser window. Table specified in pixels is better for the precise layout of text and images in the table while table specified in percentage is a good choice when the proportion of the table is more important than its width).

Layout

Border: specifies the border width of the table(the minimum border width is "0" which means that the border of the table will be invisible in browsing. But for the convenience of editing, the border will be shown in light grey in the Design window).
Cell Padding: specify the amount of spacing between the cell content and the cell boundary.
Cell Spacing: specify the amount of spacing between each table cell, not including the border.

Related Topics

Edit Page Insert Table

HTML Reference <TABLE>

HTML Reference <TD>

HTML Reference <TR>


Using Sothink HTML Editor:Define Colour Dialog

Table Property

Select a table in Design Window and right click. Select "table properties" , you'll get table properties dialog.Use this dialog to set table properties. It is only used in Design Window.

Properties

Layout

  • Border Size: Specifies the thickness of a border to be drawn around the element.
  • Cell Padding: Specifies the amount of space between cells in a table.
  • Cell Spacing: Specifies the amount of space between the border of the cell and the contents of the cell.
  • Align: Specifies how the table should be aligned.
  • Width: sets the initial size of the element.
  • Height : specifies the size at which the element is drawn.

Border Color

  • Color: Input color value in the color box to define color. Also you can Click drop-down list and choose a kind of base color from the color lists or specify other color from .The color value will be created automatically.
  • Light Border: Sets independent border color control over one of the two colors used to draw a 3-D border, opposite of BORDERCOLORDARK, and must be used with the BORDER attribute.
  • Dark Border: Sets independent border color control over one of the two colors used to draw a 3-D border, opposite of BORDERCOLORLIGHT, and must be used with the BORDER attribute.

Background

  • Color: Sets the background color behind the element. Input color value in the color box to define color. Also you can Click drop-down list and choose a kind of base color from the color lists or specify other color from .The color value will be created automatically.
  • Image: Specify background image.

Related topics

Edit Page Set Table Properties

Workspace Table Dialog

HTML Reference <TABLE>


Using Sothink HTML Editor:Define Colour Dialog

Cell Property

Locate the cursor in a cell in Design Window and click the right key. Select "Cell Properties", you'll get Cell Properties dialog. It is only used in Design Window.

Properties

  • Layout
  • Horizontal Align: Specifies how the cell should be horizontal aligned.
  • Vertical Align: Specifies how the cell should be vertical aligned.
  • Rows Spanned: Specifies how many rows the cell span.
  • Columns Spanned: Specifies how many columns the cell span.
  • Cell Width: Specifies the width of cell.
  • Cell height: Specifies the height of cell.
  • No Wrap: If you select it, the text in cell will not be wrapped.

Border Color

  • Color: Input color value in the color box to define color. Also you can Click drop-down list and choose a kind of base color from the color lists or specify other color from .The color value will be created automatically.
  • Light Border: Sets independent border color control over one of the two colors used to draw a 3-D border, opposite of BORDERCOLORDARK, and must be used with the BORDER attribute.
  • Dark Border: Sets independent border color control over one of the two colors used to draw a 3-D border, opposite of BORDERCOLORLIGHT, and must be used with the BORDER attribute.

Background

  • Color: Sets the background color behind the element. Input color value in the color box to define color. Also you can Click drop-down list and choose a kind of base color from the color lists or specify other color from.The color value will be created automatically.
  • Image: Specify background image.

Related Topics

Edit Page Set Table Properties

Workspace Table Property

HTML Reference <TABLE>

HTML Reference <TD>

HTML Reference <TR>


Using Sothink HTML Editor:Define Form Dialog

Define Form Dialog

Click the [image] button and choose "Form" from the drop-down list or command "Insert/Form Field/Form" to open the Form dialog. Using Form on the page, you can get information from visitors. If you are requesting customer information or having visitors fill out your guest book, forms will do the job.

Properties

Settings

    Name: Give a name to the form.
    Method Defines how the form data is handled.
    a. Get Appends form values to the URL and sends the server a GET request. Because URLs are limited to 8192 characters, don't use the GET method with long forms.
    b. Post Sends the form values in the body of a message and sends the server a POST request.
    c. Default Uses the browser default method (generally GET).
    Action Identifies the server-side application that processes the form information, specified as a URL. Enter the path for the application or click the folder icon to locate the file.

Related Topics

Edit Page Add Form

Workspace: Push Button, Check Box, Radio Button, Hidden Field, One-line Text box, Text Area, Dropdown List, Image

HTML Reference <FORM>


Using Sothink HTML Editor:Define Button Dialog

Push Button Dialog

Use the command "Insert/ Form Field/ Push button" or Click [image] to open Form Button dialog. Use this dialog to insert a push button into the HTML document.

Properties

Name: the button's name in HTML document.

Label: the text appeared on the button.

Type: select a button type to make the button fulfill the deference function.

Related Topics

Edit Page Add Form

Workspace: Form, Check Box, Radio Button, Hidden Field, One-line Text box, Text Area, Dropdown List, Image

HTML Reference <FORM>

HTML Reference <INPUT>


Using Sothink HTML Editor:Define Checkbox Dialog

Define Check Box Dialog

Use the command "Insert/ Form Field/ Check box" to open Check Box dialog. Use the dialog to insert a check box into the HTML document.

Properties

Name: the checkbox internal name in HTML document.

value: the return value of check box when check box is checked.

checked: specify the check box is checked after HTML document was loaded in.

Related Topics

Edit Page Add Form

Workspace: Form, Bush Button, Radio Button, Hidden Field, One-line Text box, Text Area, Dropdown List, Image

HTML Reference <FORM>

HTML Reference <INPUT>


Using Sothink HTML Editor:Define Radiobutton Dialog

Define Radio Button Dialog

Use the command "Insert/ Form Field/ Radio Button" or click the icon [image] and select the Radio Button in the drop-down list to open the Radio Button dialog. Use this dialog to insert a radio button into the HTML document.

Properties

Name: the radio button internal name in HTML document.

value: the return value of the radio button when the radio button is selected.

Select: specify the radio button is selected when HTML document is loaded.

Related Topics

Edit Page Add Form

Workspace: Form, Push Button, Check Box, Hidden Field, One-line Text box, Text Area, Dropdown List, Image

HTML Reference <FORM>

HTML Reference <INPUT>


Using Sothink HTML Editor:DefineHiddenbox Dialog

Define Hidden Field Dialog

Use the command "Insert/ Form Field/ Hidden Field" or click the icon [image] and select radio button in the drop-down list, you'll get the Hidden Field dialog. Use this dialog to insert a hidden field into the HTML document.

Properties

Name: the hidden field internal name in HTML document.

Value : the return value of hidden field.

Related Topics

Edit Page Add Form

Workspace: Form, Push Button, Check Box, Radio Button, One-line Text box, Text Area, Dropdown List, Image

HTML Reference <FORM>

HTML Reference <INPUT>


Using Sothink HTML Editor:Define online textbox Dialog

Defin One-line Text Box Dialog

Use the command "Insert/ Form Field/ One-line Text Box" or click the icon [image] and select One-line Text Box in the drop-down list, you'll get the One-line Text Box dialog. Use this dialog to insert a text box into the HTML document.

Properties

Name: the text box internal name in HTML document.

Text: the text appear in the text area of text box after document was loaded in.

Password: the input characters is appeared as password format.

Display

Columns: Specifies the number of columns.
Rows: Specifies the number of rows.

Related Topics

Edit Page Add Form

Workspace: Form, Push Button, Check Box, Radio Button, Hidden Field, Text Area, Dropdown List, Image

HTML Reference <FORM>

HTML Reference <INPUT>


Using Sothink HTML Editor:Define Textarea Dialog

Define Text Area Dialog

Use the command "Insert/ Form Field/ Text Area" or click the icon [image] and select Text Area from the drop-down list to open the Text Area dialog.Use this dialog to insert a scroll text box into the HTML document.

Properties

Name: the text box internal name in HTML document.

Text: the text appear in text area of the scroll text box after HTML document was loaded in.

Display

Columns: Specifies the number of the columns.
Rows: Specifies the number of the rows.

Related Topics

Edit Page Add Form

Workspace: Form, Push Button, Check Box, Radio Button, Hidden Field, One-line Text box, Dropdown List, Image

HTML Reference <FORM>

HTML Reference <TEXTAREA>


Using Sothink HTML Editor:Define Dropdownlist Dialog

Dropdown List Dialog

Use the command "Insert/Form Field/ Dropdown List" or click the icon [image] and select Text Area from the drop-down list to open the Drop Down Menu dialog. Use this dialog to insert a drop down list into the HTML document.

Properties:

Name: the drop down list internal name in HTML document.

Height: the height of drop down list.

Menu Item: specify the list item.

Add: Using the Add button, to insert a new item into list.

Modify: select the item you want to change, click the Modify button, you can modify this item.

Delete: select the item you want to delete, click the Delete button, you can delete this item.

Move up: If you have two or more items and you want to change the order of items, select the item you want to move up, click the Move up button, you can make this item move up.

Move down: If you have two or more items and you want to change the order of items, select the item you want to move down, click the Move down button, you can make this item move down.

Allow Multiple Selected: you can select multiple items.

Related Topics

Edit Page Add Form

Workspace: Form, Push Button, Check Box, Radio Button, Hidden Field, One-line Text box, Text Area, Dropdown List, Image

HTML Reference <FORM>

HTML Reference <SELECT>

HTML Reference <OPTION>


Using Sothink HTML Editor: Add Item Dialog

Menu Item Dialog

Click "Add" button in Drop Down Menu to open the Drop Down Menu. Insert a new item into list.

Properties:

Item Text:Input the item text.

Value :Input the return value.

Select: Show you choosed the value.

Related Topics

Workspace Drop Down Menu


Using Sothink HTML Editor:Define Image Dialog

Define Image Dialog

Use the command "Insert/ Form Field/ Image" or click the icon [image] and select Image from the drop-down list to open the Image dialog.Use this dialog to insert an image input into the HTML document.

Properties

Name: the image input's internal name in HTML document.

File Name: the file name of the image you want to use. The suffix name of this file must be GIF or JPG or JPEG.

Related Topics

Edit Page Add Form

Workspace: Form, Push Button, Check Box, Radio Button, Hidden Field, One-line Text box, Text Area, Dropdown List

HTML Reference <FORM>

HTML Reference <INPUT>


Using Sothink HTML Editor:Define Frame Dialog

Define Frame Dialog

Use the command "Insert/ Frames" or click the icon [image] to open the Frame dialog. Use this dialog to insert a frame. This dialog is only used in HTML Window.

Properties

Select a template: Sothink HTML Editor has provided 12 kinds of frame templates for users. Choose a frame style from the templates and click "OK" button. A frameset tag will be inserted into the page. The source page in the frame page should be created before you create the frame page. You can not edit the source page in the frameset page.( Note: This property only valid in HTML window. After you insert the frame code, if there are double HTML tags, please delete the otiose one.)

Related Topics

Edit Page Set Frame

HTML Reference <FRAME>

HTML Reference <FRAMESET>


Using Sothink HTML Editor:Define Savetemplete Dialog

Save As Template Dialog

Use the command "Widget/ Save as Template" or click the icon [image] to open the Save as Template dialog. Use this dialog to save the imported widget as template.

Properties

Name: the name you want to gift the template.

Description: the hint message.

If you want to import a template into your document many times, you should specify a distinctive name to the imported version of the same template every time.

Related Topics

Edit Page Save Widget

Workspace Rename Template Dialog


Using Sothink HTML Editor:Define Rename Dialog

Rename Dialog

Use the command "Widget/ Rename" to open the Rename dialog. Use this dialog to specify a new name to an imported Widget.

Properties

Name: the name you want to gift the imported Widget.

Description: the hint message.

Related Topics

Edit Page Edit Widget

Workspace Rename Template Dialog


Using Sothink HTML Editor:Define RenameTemplate Dialog

Rename Template Dialog

Locate the cursor on a template in the Tools Panel. Rright click and select Rename to open the Rename dialog. Use this dialog to rename an existing template. If you want to import a template into your document many times, you should specify a distinctive name to the imported version of the same template every time.

Properties

Name: the name you want to gift the template.

Description: the hint message.

Related Topics

Workspace Rename Widget


Using Sothink HTML Editor:Define Webbrowser Dialog

Define External Web Browser Dialog

Use the command "Option/ External Web Browsers" to open the Web Browser dialog. Users can preview the document either by defined browsers or by the build-in browser in Sothink HTML Editor . In this dialog, users can set browsers options.

Properties

Select Browser
Choose a first browser (the browser for preview when you click the [image] icon on the tool bar). You can choose one of the following selections by clicking the check box.

  • Use system default browser: use the system default browser.

  • Use installed known browser: choose either IE or Netscape from the pull-down menu next to this selection (IE or Netscape will be automatically listed in the menu if found installed on your local disk) .

  • User additional browser: choose a brower from the pull-down menu nest to this selection (if browsers other than IE or Netscape are installed in your local disk, you should add them menually by using the Specify Additional Browsers option) .

Specify Additional Browsers
You can use this option to add other browsers to the browsers list.

  • Name: enter the name of the browser browse to and select the execution file of it ;

  • File Parth: browse to and select the execution file of it. Press Add button to add it to the specifed browsers list. You can add as many browsers as are installed in your local disk. If you want to delete a brower from the specified browser list, select it in the list and then press Delete button.

Shortcuts

Alt+O

Related Topics

Setting Options External Web Browsers


Using Sothink HTML Editor:Define html keywords Dialog

Define HTML Keywords Dialog

Use the command "Option/ HTML Keywords" to open the HTML Keywords dialog. Use this this dialog to specify your input as the HTML Keyword.

Properties

Keyword: The HTML keywords are included in tag "<>". You can specify your input as the HTML Keyword. Input a word in the input box.

Add: click the "Add" button, then your input is added in the list box;

OK: Click "OK" to affirm this operation;

Cancel: Cancel to remove this operation;

Remove: remove a keyword in the list box.

Related Topics

Setting Options HTML Keywords


Using Sothink HTML Editor:Define Replace Dialog

Replace Dialog

Use the command "Edit/ Replace" to open the Replace dialog. Use this dialog to repalce the occurrence in Finds.

Properties

Find What: Input the text you want to find in the document.

Match Whole Word Only: By default, the search will not re restricted to matching whole words only. This option allows the search to be restricted to whole words only. This is useful for searching for ' a ', or 'A' without finding all words including 'a'. If a search has already occurred in a document, the default selection will match the previous search.

Match Case: By default, the search will not be case sensitive. The option to make the search case sensitive is given. If a search has already occurred in the document, the default selection for case sensitivity is that of the previous search.

Replace in Selection : this replaces only the occurrences of the string that falls within the area of selected text at the time the replace is started.

Replace in Whole File: this replaces all occurrences of the string in whole files.

Find Next: Find next finds the next occurrence of the specified text.

Replace: Replace finds the next occurrence of the specified text and replaces it with the new text.

Replace All: Replace all finds every occurrence of the specified text and replaces each occurrence with the new text.

Shortcut

CTRL+H

Related Topics

Workspace Find Dialog


Using Sothink HTML Editor:Find

Find Dialog

Use the command "Edit / Find" to open the Find Dialog. This command displays a dialog box for searching the document for the specified text.

Properties

Find What: Input the text you want to find in the document.

Find Next: Find next finds the next occurrence of the specified text.

Match Whole Word Only: By default, the search will not be restricted to matching whole words only. This option allows the search to be restricted to whole words only. This is useful for searching for ' a ', or 'A' without finding all words including 'a'. If a search has already occurred in a document, the default selection will match the previous search.

Match Case: By default, the search will not be case sensitive. The option to make the search case sensitive is given. If a search has already occurred in the document, the default selection for case sensitivity is that of the previous search.

Direction: The default search direction is down (toward the end of the document). The option to search up or down the document is given. If a search has already occurred in the document, the default search direction is that of the previous search.

Shortcut Keys:

Ctrl+F

Related Topics

Workspace Replace Dialog


Using Sothink HTML Editor: Site Preference

Define Site Preference

Use "Edit/Reference" command to open the site Preference dialog box. In this box, you can modify the FTP options of your site and set the site page editor.

FTP Options

Properties

Send Buffer:

Specify the send buffer size when you upload the HTML file.

Enable Proxy Access:
(Select it if you upload the files through proxy server.)

Host : Type the site server host address here.

Port : the port of the Proxy Server.

Do not Use Proxy Server... : If you want to upload the HTML file to some FTP severs without the Proxy server, please input these FTP addresses into the box below.

Note: If not select the Enable Proxy Access, your input to specify the Proxy Server will be invalid.

External Editor

Open the "Preference" dialog and click the "External Editor" tab to switch to this box.

Properties

In Sothink Site Manager, Sothink HTML Editor is the default page editor. Besides Sothink HTML Editor , users also can set an external editor. Clicking the button in this box, users can choose the other editor program form the system.

Related Topics

Site Management Site Preference


Using Sothink HTML Editor:Site Definition

Site Definition

This box will appear when you create a new site or edit an exist site. In this Site Definition dialog box, you can define the site information.

Local Info

Properties

Site Name

Give your site a name here.

Local Root Folder

Choose a local folder to store this site.

Import Site from Template

Click this button to open the Import Templates box and import the templates you choose.

Web Server Info

Properties

FTP Host

Type in the Host Address of the FTP server you will be connecting to.
If you do not know the address, call your ISP (Internet Service Provider is the company you use to access the Internet) or your Web Hosting service.

Port

Type the port number that is to connect with the server. Normally it is 21 in FTP.

User ID

The identity used to gain access to your remote server.

Password

Password used to enable user to access your remote server.

Save (the password): If you checked this option, the password will be saved in SiteManager. It does not require you to input the password again when you connect with the site next time.

Host Directory

You can upload files to a defined web directory by type the directory here.
If you are not sure about the host directory, we recommend to leave it empty.

SiteMap Info

In this box, you can select a page as default index page.

Related Topics

Site Management New a Site


Using Sothink HTML Editor: Define Site

Define Site

Use "Site/Define Site..." command to open the Define Site dialog box.

Properties

New

Create a new site.

Edit

Edit a site from the site list on left. Clicking this button will open the site defenition box.

Duplicate

Click this buttont o make a copy of the site you select.

Delete

Delete the site you choose.

Related Topics

Site Management Define a Site


Using Sothink HTML Editor: Import Site Templates

Import Site from Templates

In the "Local info" in the Site Definition box, you will see the "Import Site from Templates" button. Click this button to open the Template dialog.

Properties

Catalog

Here are the types of templates: personal web site templates and company web site templates.

Templates Name

In this drop-down menu, list all the templates of this catalog. Choose one template from the template list and this template will be shown in the window below.

Import Button

Click this button to import the site template you choose.

Related Topics

Site Management Import a Site


Using Sothink HTML Editor: Check Link in Site

Link Checker

When you click the "Site/Check Links" command, the Link Checker dialog will open.

In the Show option, you can choose a link type from the drop-down list. Then the file and the link will show in the window below. There are three link types in the checker: Broken Links, External Links and Orphaned Files.

Properties

Broken Link

The file this link refers to can not be found in this site.

External Link

The links refers to documents outside of a local Web site.

Orphaned File

The file is not linked in a local web site.

Related Topics

Site Management Check Links


Using Sothink HTML Editor: Change Link Sitewide

Change Link Sitewide

This dialog is used to change one link in this site.When you click the "Site/Change Link Sitewide", the Change Link Sitewide dialog will open.

Properties

Change All Links Referring to

Please give the link you want to change or choose the linked page from local disk.

Into

Please give the new link or linked page.

Related Topics

Site Management Change Link


Usage: Site Management: Change Link Warning

Change Link Warning Dialog

When you choose "Update Link Sitewide" and do update all the links, this warning dialog will appear to alert that this update link action may chang the file's HTML code format, but it will not effect the page's display.

Related Topics

Check Links

Change Links


Usage: Site Management: Server List

Server List

In the site's definition dialog, switching to "Remote Site Server Info" tab, there is a button besides the "FTP Server" input box. Picking this button, you will see a "Server List" dialog, which list many recommended or famous free web space providers and neccessary information about uploading.

Related Topics

Select Web Site Provider


Usage: Site Management: Select Web Site Provider.

Select Web Site Provider

If you have not applied a web space, there are the mainly introduction for free web space providers. You can choose a suitable one and click the provider's icon to visit his web site.

Related Topics

Server List


Usage:Site Management: Publish Wizard

Publish Wizard

When you click the connect button or use the command "Publish/Connect", this dialog will pop out.

  • If you have already got a web space, please select "I have got my web space" and OK.
  • If you do not have a web space yet, please select "I have no web space yet". And then you will see "Web Site Info" dialog and its mainly introduction.

Related Topics

Web Site Info

Server List


Using Sothink HTML Editor: Update Link

Update Link

When you have changed the link, the Update Link dialog will pop-up.

Properties

It will list all the pages that contain this link. Clicking the "Update" button, the link will be updated. If you do not want to update, please click "Don't update" butotn.

Related Topics

Site Management Change Links


Using Sothink HTML Editor:Define Colour Dialog

Subscribe Newsletter

Use the command "Help/ Subscribe Newsletter" to open the Subscribe SourceTec Newsletter dialog. This dialog will notice you some subscribe information about Sothink HTML Editor .

Properties

Show this dialog at start up if you haven't subscribe: check it to specify this dialog appear at start up if you haven't subscribe.

Type your e-mail: type your precise Email address in the dialog and press Submit button, you can join our mail list.
Your personal information will be kept confidential and you can unsubscribe the maillist at any time.

Related Topics

Get Support Online Help


Using Sothink HTML Editor:Define Colour Dialog

Product Checking Report

Use the command "Help/ Products Checking" to open the Products Checking dialog. Users can get our new information from this dialog and download our latestes software and templates.

Properties

Available Products: show information about the lastest products or those you have not installed in your computer.

refers there is an upgrade version for the tool you have installed.

referes a complete new software you have never installed.

View Product's detail: choose a product and click this button to view the product's information in details.

Available Site Templates: Show information about the lastest site template or those you have not imported in your locate site.

Download This Template: choose a template and click This button to download. (Note: It will connect to our company website, and you can download from it.)

Don't check products automatically: check it to specify your computer do not check products automatically.

Related Topics

Workspace Product Introduction


Using Sothink HTML Editor:Define Colour Dialog

Product Instroduction

Click "View Product's Detail" button in Products Checking dialog to open the Product Detail dialog. This dialog can provide users introduction about the new products.

Related Topics:

Workspace Update Information


Using Sothink HTML Editor:Define Colour Dialog

Warning (Reference Path)

If your document has never been saved, this dialog will notice you that all reference will be kept as absolute path.

Properties

Don't show this dialog again: check it to specify this dialog do not show again.


Using Sothink HTML Editor:Define Configration Dialog

Warning Dialog

When you convert from a window to design window, the warning dialog will make you a notice.

Properties

Don't show this dialog again: check it to specify this dialog do not show again.

Related Topics

Setting Options Configuration/Design Tab


HTML Reference:

HTML tag index in alphabetic order

1 <!-- -->

Specifies a comment.

2 !DOCTYPE

This is the necessary first element of any HTML 3.2 compliant document.
3 A

This element is what the hyperlinked structure of the World Wide Web is based on.

4 ACRONYM

Identifies that some text is an acronym.

5 ADDRESS

Encloses the signature file of the author of the page.

6 APPLET

Inserts a Java applet in the HTML document.

7 AREA

Specifies the shape and size of a hot spot to be used in the definition of a client-side image map.

8 B

Boldfaces the enclosed text.

9 BASE

Specifies the base target frame that all links will default to.
10 BASEFONT

Sets the default font properties for the entire page.

12 BGSOUND

Specifies a background sound to be played whenever the page is loaded.

13 BIG

Makes the enclosed text one size larger.

14 BLOCKQUOTE

Encloses a long quote. Both the left and right margins are indented.

15 BODY

Encloses the main body of the document.

16 BR

Inserts a line break.

17 BUTTON

This attribute creates a button that the user can push.

18 CAPTION

Specifies the caption of the table.

19 CENTER

Centers the enclosed elements.

20 CITE

Encloses a citation such as the title of a book or paper.

21 CODE

Encloses a sample of code. The text is rendered in small font.

22 COL

Used with the COLGROUP tag, this specifies the properties of one column.

23 COLGROUP

Specifies the properties of one or more columns.

24 COMMENT

Encloses a comment. Text inside the tags is ignored unless it contains HTML code.

25 DD

The description of a term in a definition list.

26 DEL

This can be used to show if text has been replaced what the original text was.

27 DFN

Encloses a definition. Text inside the tags is formatted to look like a definition.

28 DIR

Puts the enclosed items marked with <LI>, in a directory listing.

29 DIV

Specifies the alignment of the enclosed elements.

30 DL

Creates a definition list. Within this container.
31 DT

The term described in a definition list.

32 EM

Put emphasis on the enclosed text.

33 EMBED

Inserts an embedded multimedia object.
34 FIELDSET

Group a set of related controls in a form together.

35 FONT

Change the font which is used to draw the text.

36 FORM

Create a form inside a document.

37 FRAME

Defines a single frame within a frameset.

38 FRAMESET

Defines a set of frames that will make up the page.

39 HEAD

Encloses the head of the document. The following optional tags are placed inside the head.

40 H1

It is used to create a level of header.
41 H2

It is used to create a level of header.
42 H3

It is used to create a level of header.
45 H4

It is used to create a level of header.
46 H5

It is used to create a level of header.
47 H6

It is used to create a level of header.
48 HR

Draw a horizontal rule.

49 HTML

Encloses the entire document.

50 I

Change the text to italic.

51 IFRAME

Defines a floating frame.

52 IMG

Places an inline image into the document.

53 INPUT

Specifies a control or input area for a form.
54 INS

It is used to indicate text that has been inserted.

55 ISINDEX

Displays a text box indicating the presence of a searchable index.

56 KBD

This is used to identify text that a user is supposed to enter.

57 LABEL

Attach information to a specific field of a form.

58 LEGEND

Give the caption for a group of related controls, created with the <FIELDSET> element.

59 LI

Identifies an item in a list.

60 LINK

The LINK element provides a way to link the current document to other related resources.

61 LISTING

This is used to show a program listing.

62 MAP

Specifies a collection of hot spots that define a client-side image map.

63 MARQUEE

Places a scrolling text marquee into the document.

64 MENU

Puts the enclosed items marked with <LI>, in a menu list.

65 META

This element supplies meta-information about the current document.

66 NOBR

Causes the enclosed text to not wrap to fit the screen.

67 NOFRAMES

This tag is used to create pages that are compatible with older browsers that do not support frames.

68 NOSCRIPT

Encloses anything you want displayed by browsers that do not support inline scripts.

69 OBJECT

The object element allows the author to embed an object into the document.

70 OL

Puts the enclosed items marked with <LI>, in a numbered list.

71 OPTION

Specifies an item in the drop down list.

72 P

Designates the enclosed text as a plain paragraph.

73 PARAM

This element is for supplying parameters to a JAVA applet or another object.
74 PLAINTEXT

All HTML elements inside this container are ignored by the browser, and shown as they were only text.

75 PRE

This element allows you to show preformatted text as it is, using the supplied whitespace of the text.

76 Q

This is used to enclose short quotations from other works in the page.

77 S

Render text as strikethrough.

78 SAMP

This element describes text that is output from a program.

79 SCRIPT

Encloses scripting language statements to be executed by the browser.

80 SELECT

This element lets you create a listbox as an input field on a form.

81 SMALL

Draw the text using a smaller font than the one that is use for normal text.

82 SPAN

This element is used to create a structure in a document.

83 STRIKE

Render text as strikethrough.

84 STRONG

Render the text with strong emphasis.

85 STYLE

This element is a container for style sheet elements to use with this document.

86 SUB

This is a container for text that should be displayed as a subscript, and, if practical, using a smaller font.
87 SUP

Display the text as a superscript.

88 TABLE

Tables can be used to organise data into rows and columns and also increasingly as a way of arranging text and graphics on the page.
89 TBODY

This element defines the body part of a table.

90 TD

The container for a cell in a table.

91 TEXTAREA

Define a multiline text field in a form.

92 TFOOT

This element defines the footer of a table.

93 TH

This element describes cells of a table in which header information is presented.

94 THEAD

This element defines the header of a table.

95 TITLE

Specify the title of the HTML document.

96 TR

Define a row inside a table.

97 TT

Render the text as teletype or monospaced text.

98 U

Change the text to underlined.

99 UL

Create an unordered list of items.
100 VAR

Used to describe a metasyntactic variable, where the user is to replace the variable with a specific instance.

101 WBR

The WBR element stands for Word BReak.

102 XMP

Causes enclosed text to be displayed by the browser without processing most HTML tags.


HTML Reference: !Comments

!-- --

Description

To surround the comments document that will be ignored by HTML parser. Text in tag <!-- --> is not shown in the browser window.

Syntax

<!-- -->

Example

<HTML>
<Head>
<Title>...</Title>
<!-- This document is edited by Sothink -->
</Head>
...
</HTML>

Remarks

Comments can contain other HTML elements. Comments can not nested. White space is allowed between the closing -- and >, but not between the opening.

Both the start and end tags are required.

Related Topics

COMMENT


HTML Reference: A

A

Description

Mark the start and/or destination of a hypertext link. Anchor elements are defined by the <A> element. The attribute "HREF=" or "NAME=" is necessary required.

Syntax

<A
HREF=url
NAME=name
TITLE=text content
REL="home"
REV="home"
URN=urn
METHODS=http-method
TARGET=window name
ACCESSKEY=key
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
DATAFLD=colname
DATASRC=Data Source
LANG=language
CLASS=Style Sheet class name
ID=value
STYLE=styling
TABINDEX=n pixels
event = script
>

Parameter

Description

HREF

Destination URL or anchor point. The text between the anchor elements becomes a hypertext link. If readers select the link, they would move to the document or location specified by the value of the attribute.

NAME

The value of the NAME attribute is an identifier for the anchor. If present, the NAME attribute allows the anchor to be the target of a link (another <A HREF...> element).

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

REL

Gives the relationship(s) described by the hypertext link from the anchor to the target. The value is a comma-separated list of relationship values. The values and their semantics will be registered by the HTML registration authority. The default relationship if none other is given is void. The REL attribute is only used when the HREF= attribute is present.

REV

Same as the REL attribute, but the semantics of the link type are in the reverse direction. A link from A to B with REL="X" expresses the same relationship as a link from B to A with REV="X". An anchor may have both REL and REV attributes.

URN

The URN attribute specifies a Uniform Resource Name (URN) for a target document. The format of URNs is still under discussion.

METHODS

METHODS attributes of anchors and links provide information about the functions that the user may perform on an object. These are more accurately given by the HTTP protocol when it is used, but it may, for similar reasons as for the TITLE attribute, be useful to include the information in advance in the link. For example, the HTML user agent may choose a different rendering as a function of the methods allowed; for example, something that is searchable may get a different icon.

TARGET

Window or frame at which to target the contents. If no frame or window exists that matches the specified target, a new window is opened for the specified link. If no target is specified, the default is "_self" for a link within the same site or "_top" if the site is external. Special target values are:
_blank Specifies to load the link into a new unnamed window.
_parent Specifies to load the link into the immediate parent of the document the link is in.
_self Specifies to load the link into the same window the link was clicked in.
_top Specifies to load the link into the full body of the current window.

ACCESSKEY

Accelerator for the element. Pressing ALT-key selects this element in the user's browser.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

DATAFLD

Column name from the data source object that supplies the bound data.

DATASRC

ID of the data source object that supplies the data that is bound to this element.

LANG

Specifies which language to use in ISO standard language abbreviation form.

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

STYLE

Inline style sheet for the tag.

TABINDEX

Sets the tab order position for the object.

event

Can be one or more of these events:
onblur ;
onclick ;
onDblClick ;
ondragstart ;
onfocus ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onselectstart

Example

<A HREF="http://www.Sothink.com">Link to Sothink.com.</A>
<A HREF="home.htm">This link points to a file called home.htm in the same directory as this page.</A>
<A HREF="sample.htm" TARGET="main">Click here to load the link into "main" window.</A>
<A HREF="http://www.Sothink.com"><IMG SRC="images/logo.gif">This link contains an image</A>
<A HREF="javascript:window.open()">This link opens a new window using the open method in javascript</A>

Remarks

Text and/or images may be within an anchor. To represent images that are anchors, a border in the visited or not visited color is displayed. Both the start and end tags are required.


HTML Reference: ACRONYM

ACRONYM

Description

The <ACRONYM> element defines that the enclosed text is an acronym. It is ideally targeted at speech synthesis and other non-visual web browsers, so may not render visually on all browsers.

Syntax

<ACRONYM
TITLE=text
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
CLASS=Style Sheet class name
STYLE=styling
ID=value
event = script
>

Parameter

Description

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

LANG

Specifies which language to use in ISO standard language abbreviation form.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

STYLE

Inline style sheet for the tag.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

event

Can be one or more of these events:
onclick ;
ondblclick ;
ondragstart ;
onfocus ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onselectstart

Version

Currently only supported by Internet Explorer 4.0+.

Example

<ACRONYM TITLE="Federal Bureau of Investigation">FBI</ACRONYM>

The code will be rendered as: FBI

Remarks

Both the start and end tags are required. This tag does not affect how text appears in the browser.

Related Topics

ADDRESS, CITE, DFN, EM, STRONG


HTML Reference: ADDRESS

ADDRESS

Description

Specifies information such as address, signature and authorship, often at the top or bottom of a document.

Syntax

<ADDRESS
TITLE=text
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
CLASS=Style Sheet class
STYLE=styling
ID=value
event = script
>

Parameter

Description

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

LANG

Specifies which language to use in ISO standard language abbreviation form.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

STYLE

Inline style sheet for the tag.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

event

Can be one or more of these events:
onclick ;
ondblclick ;
ondragstart ;
onfocus ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onselectstart

Example

<ADDRESS>
SourceTec Software<BR>
Suite 311, 7-4 IBI Building<BR>
GuanDong Science & Techonology Industry Park<BR>
Wuhan,<BR>
CHINA <BR>
430074
</ADDRESS>

The code will be rendered as:

SourceTec Software
Suite 311, 7-4 IBI Building
GuanDong Science & Techonology Industry Park
Wuhan,
CHINA
430074

Remarks

This element is a block element. Both the start and end tags are required. An Address is rendered in an italic typeface and may be indented.

Related Topics

ACRONYM, CITE, DFN, EM, STRONG


HTML Reference: APPLET

APPLET

Description

Allows pre-compiled executable HotJava applets to be added to HTML documents.

Syntax

<APPLET
ALIGN=alignment
ALT=alternate Text
ARCHIVE=compressed file
CLASS=Style Sheet class name
CODE=appletFile
CODEBASE=url
DATAFLD=colname
DATASRC=Data Source
HEIGHT=n pixels
HSPACE=n pixels
ID=value
NAME=name
SRC=url
STYLE=styling
TITLE=text
VSPACE=n pixels
WIDTH=n pixels
event = script
>

Parameter

Description

ALIGN

Specifies the alignment for the control-like element. The possible values of this attribute are: left, right, top, texttop, middle, absmiddle, baseline, bottom, absbottom.

ALT

This optional attribute specifies any text that should be displayed if the browser understands the APPLET element.

ARCHIVE

This optional attribute specifies the location (relative to the CODEBASE of the main class file) of a compressed file (consisting of all the necessary class files and support images/sounds etc.) that may be downloaded to the users Hard Disk, to save download time should they return to the page at a later date. Any files not contained in this archive that are needed will be searched for by the browser in the normal way.
NOTE : The ARCHIVE attribute is Netscape specific.

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

CODE

The name of the file containing the compiled Java class.The file path is relative to the base URL of the applet. It cannot be absolute.

CODEBASE

This optional attribute specifies the base URL of the applet -- the directory that contains the applet's code.

DATAFLD

The DATAFLD attribute can be used to specify a data column name from the Data source that the <APPLET> is bound to. This can only be used on the contained PARAM elements.

DATASRC

Indicates the ID of the data source object that supplies the data that is bound to this element.

HEIGHT

These required attributes give the initial height (in pixels) of the applet display area, not counting any windows or dialogs that the applet brings up.

HSPACE

These option attributes specify the number of margins pixels on each side of the applet.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

NAME

Specifies the name of the application.

SRC

Specifies a URL for the associated file.

STYLE

Specifies an in-line style sheet for the tag.

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

VSPACE

Along with HSPACE=, specifies above and below margins pixels of the applet.

WIDTH

Along with HEIGHT=, gives the initial width (in pixels) of the applet display area, not counting any windows or dialogs that the applet brings up.

event

Can be one or more of these events:
onafterupdate ;
onbeforeupdate ;
onblur ;
onclick ;
ondataavailable ;
ondatasetchanged ;
ondatasetcomplete ;
ondblclick ;
onerrorupdate ;
ondragstart ;
onfocus ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onreadystatechange ;
onresize ;
onrowenter ;
onrowexit

Version

Can be supported by IE 3.0+, Netscape 3.0+.

Example

<applet code="coolnav.class" align="baseline" width="168" height="313">
<param name="Notice" value="CoolMenu2.5,CopyRight (c) 1999 SourceTec Software Co. Ltd, Registered">
<param name="ApStyle" value="004080,ff8c8c,,1,0,0,,13,5,004080,1,Loading image ...">
...
</applet>

Remarks

This element is a block element. Both the start and end tags are required.

Related Topics

EMBED, OBJECT, PARAM


HTML Reference: AREA

AREA

Description

The AREA element is used to define the shape of a hyperlink "hot spot" in a client-side image map.

Syntax

<AREA
ALT=alternate Text
CLASS=Style Sheet class name
COORDS=coordinates
HREF=url
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
NOHREF
SHAPE=CIRC | CIRCLE | POLY | POLYGON | RECT | RECTANGLE
STYLE=styling
TABINDEX=n pixels
TARGET=window_name | _blank | _parent | _self | _top
TITLE=text
event = script
>

Parameter

Description

ALT

This optional attribute specifies any text that should be displayed if the browser understands the APPLET element.

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

COORDS

Coordinates that define the hot spot's shape.

HREF

Destination URL or anchor point. The text between the anchor elements becomes a hypertext link. If readers select the link, they would move to the document or location specified by the value of the attribute.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

LANG

Specifies which language to use in ISO standard language abbreviation form.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

NOHREF

Indicates that clicks in this region should cause no action.

SHAPE

Specifies the type of shape used in the image map. The usually used value are: CIRC | CIRCLE | POLY | POLYGON | RECT | RECTANGLE

STYLE

Specifies an in-line style sheet for the tag.

TABINDEX

Sets the tab order position(pixels) for the object.

TARGET

Window or frame at which to target the contents. If no frame or window exists that matches the specified target, a new window is opened for the specified link. If no target is specified, the default is "_self" for a link within the same site or "_top" if the site is external. Special target values are:
_blank Specifies to load the link into a new unnamed window.
_parent Specifies to load the link into the immediate parent of the document the link is in.
_self Specifies to load the link into the same window the link was clicked in.
_top Specifies to load the link into the full body of the current window.

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

event

Can be one or more of these events:
onblur;
onclick ;
ondblclick ;
ondragstart ;
onfocus ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onselectstart

Example

<AREA SHAPE="RECT" COORDS="0, 0, 58, 31" HREF="http://www.Sothink.com/download/">
<AREA TARGET="main" HREF="sample.htm" SHAPE="CIRCLE"
  COORDS="73, 15, 10">
<AREA SHAPE="RECT" COORDS="58, 0, 88, 31" NOHREF>

Remarks

This is an empty element and does not require a closing tag.

Related Topics

MAP, IMG


HTML Reference: B

B

Description

The Bold element specifies that the text should be rendered in bold type, where available.

Syntax

<B
CLASS=Style Sheet class
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=styling
TITLE=text
event = script
>

Parameter

Description

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

LANG

Specifies which language to use in ISO standard language abbreviation form.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

STYLE

Specifies an in-line style sheet for the tag.

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

event

Can be one or more of these events:
onclick ;
ondblclick ;
ondragstart ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onselectstart

Example

<B>The text will display in bold style. </B>

The code is rendered as: The text will display in bold style.

Remarks

Both the start and end tags are required.

Related Topics

STRONG


HTML Reference: BASE

BASE

Description

The Base element is to set the document's base URL. Helps browsers in situations where the document may be read out of context.

Syntax

<BASE
HREF=url
TARGET=window_name
>

Parameter | Description
HREF | Destination URL or anchor point. The text between the anchor elements becomes a hypertext link. If readers select the link, they would move to the document or location specified by the value of the attribute.
TARGET | Window or frame at which to target the contents. If no frame or window exists that matches the specified target, a new window is opened for the specified link. If no target is specified, the default is "_self" for a link within the same site or "_top" if the site is external. Special target values are: _blank Specifies to load the link into a new unnamed window. _parent Specifies to load the link into the immediate parent of the document the link is in. _self Specifies to load the link into the same window the link was clicked in. _top Specifies to load the link into the full body of the current window.

Version

IE(from version 3.0) and Netscape(from version 2.0) support it.

Example

<BASE HREF="http://www.myhost.com/index.htm">

Remarks

Base is used to be sure that your document's relative links are associated with the proper document path.

This element may only be used within the HEAD tag.

This is an empty element and does not require a closing tag.


HTML Reference: BASEFONT

BASEFONT

Description

Sets the font value that is used as the default font when rendering text.

Syntax

<BASEFONT
CLASS=Style Sheet class name
COLOR=color value
FACE=font
ID=value
LANG=language
SIZE=n
>

Parameter | Description
CLASS | Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.
COLOR | Color to be used by the font or horizontal rule. Colours can either be set by using one of the reserved colour names, or as a hex rrggbb triplet value. This attribute is not supported by Netscape 4.0.
FACE | Current font typeface.This attribute allows changing of the face of the HTML document BASEFONT, exactly as it works for <FONT FACE= ...>. This attribute is not supported by Netscape 4.0.
ID | SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
SIZE | Font size between 1 and 7 (7 is largest).

Example

<BASEFONT SIZE=3>

The code is rendered as: This sets the base font size to 3.

<FONT SIZE=+2>

The code is rendered as: Now the font size is 7.

Remarks

This is an empty element and does not require a closing tag. This element may be used within the BODY tag or the HEAD tag. BASEFONT should appear before any displayed text in the BODY of the document.


HTML Reference: BGSOUND

BGSOUND

Description

The <BGSOUND> element allows authors to create pages that will play background sound clips, or background soundtracks while being viewed.

Syntax

<BGSOUND
BALANCE=n
CLASS=Style Sheet class name
ID=value
LANG=language
LOOP=n
SRC=url
TITLE=text
VOLUME=n
>

Parameter | Description
BALANCE | Determines how the available volume will be divided between the left and right speakers. Valid values for this attribute are in the range of -10,000 to +10,000, with 0 being "Wave Output" center balanced.
CLASS | Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.
ID | SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
LOOP | Specifies how many times a sound will loop when activated.
SRC | Specifies the URL of a sound to be played.
TITLE | The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.
VOLUME | The VOLUME attribute accepts values between '-10000' and 0 and can be used to set the volume at which the sound file will play. Note that using '0' (i.e. maximum volume), will play the sound file at 100% of the users current volume settings. There is no way in HTML that you can force a sound file to play at a volume indecent to the user. They will always have total control.

Example

<BGSOUND SRC="../My_Documents/sound/titanic.mid">

Remarks

This element may be used within the HEAD tag. The start tag is required, and the end tag is optional.

Sounds can either be samples (.WAV or .AU format) or MIDI (.MID format).


HTML Reference: BIG

BIG

Description

The <BIG> element specifies that the enclosed text should be displayed bigger than the current font.

Syntax

<BIG
CLASS=Style Sheet class name
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=styling
TITLE=text
event = script
>

Parameter

Description

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

LANG

Specifies which language to use in ISO standard language abbreviation form.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

STYLE

Inline style sheet for the tag.

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

event

Can be one or more of these events:
onclick ;
ondblclick ;
ondragstart ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onselectstart

Version

IE 4.0+ and Netscape 4.0+ support it.

Example

This is normal text, with <BIG>this bit</BIG> being big text.

That is rendered as:

This is normal text, with this bit being big text.

Remarks

Both the start and end tags are required.

Related Topics

FONT


HTML Reference: BLOCKQUOTE

BLOCKQUOTE

Description

The Blockquote element is used to set apart a long quotation in text. Typically, blockquote rendering would be a slight extra left and right indent, and possibly rendered in an italic font. The Blockquote element causes a paragraph break, and typically provides space above and below the quote.

Syntax

<BLOCKQUOTE
CLASS=Style Sheet class name
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=styling
TITLE=text
event = script
>

Parameter

Description

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

LANG

Specifies which language to use in ISO standard language abbreviation form.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

STYLE

Inline style sheet for the tag.

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

event

Can be one or more of these events:
onclick ;
ondblclick ;
ondragstart ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onselectstart

Version

IE 4.0+ and Netscape 4.0+ support it.

Example

In "Jane Eyre", Jane said,
<BLOCKQUOTE>
"It is my spirit that adresses your spirit, as if we stood before God, equal, as we are!"
</BLOCKQUOTE>

It will be rendered as:

In "Jane Eyre", Jane said,

"It is my spirit that adresses your spirit, as if we stood before God, equal, as we are!"

Remarks

This element is a block element. Both the start and end tags are required.

Related Topics

Q


HTML Reference: BODY

BODY

Description

Contains all the text and iamges that consist the page. This element can be used to set the background image, the background color, the link color and the top and left margins of the page.

Syntax

<BODY
ALINK=color
LINK=color
VLINK=color
BACKGROUND=url
BGCOLOR=color
BGPROPERTIES=FIXED
CLASS=Style Sheet class name
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
LEFTMARGIN=pixels
RIGHTMARGIN=pixels
BOTTOMMARGIN=pixels
TOPMARGIN=n
SCROLL=YES|NO
STYLE=styling
TEXT=color
TITLE=string
event = script
>

Parameter

Description

ALINK

The color for the active link.

LINK

The color of shortcuts that have not yet been visited.

VLINK

The color of shortcuts that have already been visited.

BACKGROUND

Specifies an image file that will be tiled across the browser window, to provide a background for the document.

BGCOLOR

Sets the background color of the page.

BGPROPERTIES

Specifies a watermark, which is a background picture that does not scroll.

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

LANG

Specifies which language to use in ISO standard language abbreviation form.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

LEFTMARGIN

The left margin of the document to be set in pixels.

RIGHTMARGIN

The right margin of the document to be set in pixels.

BOTTOMMARGIN

The bottom margin of the document to be set in pixels.

TOPMARGIN

The top margin of the document to be set in pixels.

SCROLL

Turns on or off the scrollbars. The default is YES.

STYLE

Inline style sheet for the tag.

TEXT

Sets the color of text on the page.

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

event

Can be one or more of these events:
onafterupdate ;
onbeforeunload ;
onbeforeupdate ;
onclick ;
ondblclick ;
ondragstart ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onload ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onrowenter ;
onrowexit ;
onscroll ;
onselect ;
onselectstart ;
onunload

Example

<BODY BACKGROUND="images/bk.gif" BGPROPERTIES=FIXED BGCOLOR=#FFFFFF TEXT=#000000 LINK=#ff6600 VLINK=#330099>This is the body test page. </BODY>

Remarks

This element is a block element. Both the start and end tags are required.

Related Topics

BGSOUND


HTML Reference: BR

BR

Description

Inserts a line break that specifies that a new line must be started at the given point.

Syntax

<BR
CLASS=Style Sheet class name
CLEAR=ALL |LEFT | RIGHT
ID=value
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=styling
TITLE=string
>

Parameter | Description
CLASS | Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.
CLEAR | Inserts vertical space so that the next text displayed will be past left- or right-aligned floating images.
ID | SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. * JAVASCRIPT, JSCRIPT The script is written in JScript. * VBS, VBSCRIPT The script is written in VBScript.
STYLE | Inline style sheet for the tag.
TITLE | The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

Example

Why don't you tremble?<BR> I'm not cold.<BR> Why don't you turn pale?<BR> I am not sick. <BR> Why don't you ask me about your future?<BR> I'm not silly.

It will be rendered as:

Why don't you tremble?
I'm not cold.
Why don't you turn pale?
I am not sick.
Why don't you ask me about your future?
I'm not silly.

Remarks

This element is a block element.

Related Topics

WBR


HTML Reference: BUTTON

BUTTON

Description

The <BUTTON> element can be used to create HTML buttons that are embedded into the document. The text between the start and end tages is as the label within the button.

Syntax

<BUTTON
ACCESSKEY=string
CLASS=Style Sheet class name
DATAFLD=colname
DATAFORMATAS=HTML | TEXT
DATASRC=#ID
DISABLED
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=styling
TITLE=text content
TYPE=BUTTON | RESET | SUBMIT
event = script
>

Parameter

Description

ACCESSKEY

Specifies an accelerator for the element. Pressing alt-key selects this element in the user's browser.

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

DATAFLD

Column name from the data source object that supplies the bound data.

DATAFORMATAS

Indicates whether the bound data is HTML or plain text.

DATASRC

ID of the data source object that supplies the data that is bound to this element.

DISABLED

Used to disable an element. This means it won't respond to user input, or take the users focus, and causes the element to appear "grayed out."

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

LANG

Specifies which language to use in ISO standard language abbreviation form.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

STYLE

Inline style sheet for the tag.

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

TYPE

Defines a button that indicates a default for the ENTER key (with a dark border). The possible values are:
*BUTTON: Command button to be used in a script.
*RESET: When pressed, this button resets the form's fields to their specified initial values. The label to be displayed on the button may be specified just as for the SUBMIT button.
*SUBMIT: Submits the form. The default label is application-specific. If a SUBMIT button is pressed in order to submit the form, and that button has a NAME attribute specified, then that button contributes a name/value pair to the submitted data. Otherwise, a SUBMIT button makes no contribution to the submitted data.

event

Can be one or more of these events:
onafterupdate ;
onbeforeupdate ;
onblur ;
onclick ;
ondblclick ;
ondragstart ;
onfocus ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onresize ;
onrowenter ;
onrowexit ;
onselectstart

Version

Currently only supported by Internet Explorer 4.0+.

Example

<BUTTON>
<TABLE BORDER="1">
<TR> <TD>Click</TD><TD>Here</TD> </TR>
<TR> <TD>Try</TD><TD>Again</TD> </TR>
</TABLE>
</BUTTON>

The code will be rendered as:

Remarks

You should not include the SELECT, BUTTON, INPUT, or A within the BUTTON tag.

This element is a block element. Both the start and end tags are required.

Related Topics

INPUT


HTML Reference: CAPTION

CAPTION

Description

This element represents the caption for a table.

Syntax

<CAPTION
ALIGN=BOTTOM | CENTER | LEFT | RIGHT | TOP
VALIGN=BOTTOM | TOP
CLASS=Style Sheet class name
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=styling
TITLE=text content
event = script
>

Parameter

Description

ALIGN

Specifies the alignment of the caption. BOTTOM Aligns the caption bottom center.
CENTER | Centers the caption
LEFT | Left aligns the caption
RIGHT | Right aligns the caption.
TOP | Aligns the caption top center.

VALIGN

Specifies whether the caption appears at the top or bottom.

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

LANG

Specifies which language to use in ISO standard language abbreviation form.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

STYLE

Inline style sheet for the tag.

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

event

Can be one or more of these events:
onafterupdate ;
onbeforeupdate ;
onblur ;
onchange ;
onclick ;
ondblclick ;
ondragstart ;
onfocus ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onresize ;
onrowenter ;
onrowexit ;
onselect ;
onselectstart

Example

<TABLE border=1><CAPTION VALIGN=BOTTOM>This caption will appear below the table.
</CAPTION><TR>< TD>Here</TD>is the<TD>table.</TD></TR></TABLE>

It will be rendered as:

This caption will appear below the table.
Here is the table.

Remarks

<CAPTION> elements should appear inside the <TABLE> but not inside table rows or cells.

This element is a block element. Both the start and end tags are required.

Related Topics

TABLE


HTML Reference: CENTER

CENTER

Description

All text between the <CENTER> element are centred between the current left and right margins.

Syntax

<CENTER
CLASS=Style Sheet class name
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=styling
TITLE=text content
event = script
>

Parameter

Description

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

LANG

Specifies which language to use in ISO standard language abbreviation form.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

STYLE

Inline style sheet for the tag.

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

event

Can be one or more of these events:
onclick ;
ondblclick ;
ondragstart ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onselectstart

Example

<CENTER>Text will appear centered on the page.</CENTER>

It will be rendered as:

Text will appear centered on the page.

Remarks

This element is a block element. Both the start and end tags are required.


HTML Reference: CITE

CITE

Description

Indicates a citation and is typically rendered in an italic font. Refers to a book, paper, or other published source material.

Syntax

<CITE
CLASS=Style Sheet class name
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=styling
TITLE=text content
event = script
>

Parameter

Description

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

LANG

Specifies which language to use in ISO standard language abbreviation form.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

STYLE

Inline style sheet for the tag.

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

event

Can be one or more of these events:
onclick ;
ondblclick ;
ondragstart ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onselectstart

Example

This sentence, is from<CITE>Pride and Prejudice</CITE>

This will be rendered as:

This sentence, is from Pride and Prejudice .

Remarks

This element is a block element. Both the start and end tags are required.

Related Topics

ACRONYM, ADDRESS, DFN, EM, STRONG


HTML Reference: CODE

CODE

Description

This element is used to specify a code sample. By default, the font used is a small fixed-width.

Syntax

<CODE
CLASS=Style Sheet class name
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=styling
TITLE=text content
event = script
>

Parameter

Description

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

LANG

Specifies which language to use in ISO standard language abbreviation form.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

STYLE

Inline style sheet for the tag.

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

event

Can be one or more of these events:
onclick ;
ondblclick ;
ondragstart ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onselectstart

Version

The Internet Explorer 4.0 (and above) specific TITLE attribute is used for informational purposes.

The LANGUAGE attribute can be used to expressly specify which scripting language Internet Explorer 4.0 uses to interpret any scripting information used in the <CODE> element.

Example

<CODE>The text is in a small, fixed-width font.</CODE>

It will be rendered as:

The text is in a small, fixed-width font.

Remarks

If a font face is specified with the FONT or BASEFONT elements preceding CODE, that font is used instead.

This element is a block element. Both the start and end tags are required.

Related Topics

SAMP, FONT, BASEFONT


HTML Reference: COL

COL

Description

This element can be used to specify column based values for the table properties.

Syntax

<COL
ALIGN=CENTER | LEFT | RIGHT
VALIGN=BASELINE | BOTTOM | MIDDLE | TOP
WIDTH=n
CLASS=Style Sheet class name
ID=value
SPAN=n
STYLE=styling
TITLE=text content
>

Parameter

Description

ALIGN

This sets the text alignment within the column group. The value are : CENTER, LEFT, RIGHT

VALIGN

Displays the elements aligned at the top or bottom within the element. BASELINE Vertical align to the baseline of the font.
BOTTOM | Vertical align to the bottom of the element.
MIDDLE | Vertical align to the middle of the element.
TOP | Vertical align to the top of the element.

WIDTH

Sets the initial column width for the column(s) that the <col> element covers. This attribute may be initially set in pixels or percentages.

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

SPAN

Specifies how many columns are in the group.

STYLE

Inline style sheet for the tag.

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

Example

<TABLE width="400" cellspacing="0" border="1" cellpadding="0">
<COLGROUP> <COL ALIGN=RIGHT> <COL ALIGN=LEFT> <COL ALIGN=CENTER>
<TBODY>
<TR>
<TD>The first column is right-aligned.</TD>
<TD>The second column is left-aligned.</TD>
<TD>The third colunm is centered.</TD>
</TR></TABLE>

It will be rendered as:

The first column is right-aligned.

The second column is left-aligned.

The third column is centered.

Remarks

This element is a block element.

Related Topics

COLGRUOP


HTML Reference: COLGROUP

COLGROUP

Description

As a container for a group of columns, used to group columns together to set their alignment properties .

Syntax

<COLGROUP
ALIGN=CENTER | LEFT | RIGHT
VALIGN=BASELINE | BOTTOM | MIDDLE | TOP
WIDTH=n
CLASS=Style Sheet class name
ID=value
SPAN=n
STYLE=styling
TITLE=text content
>

Parameter

Description

ALIGN

This sets the text alignment within the column group. The value are : CENTER, LEFT, RIGHT

VALIGN

Displays the elements aligned at the top or bottom within the element. BASELINE Vertical align to the baseline of the font.
BOTTOM | Vertical align to the bottom of the element.
MIDDLE | Vertical align to the middle of the element.
TOP | Vertical align to the top of the element.

WIDTH

Sets the initial column width for the column(s) that the <col> element covers. This attribute may be initially set in pixels or percentages.

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

SPAN

Specifies how many columns are in the group.

STYLE

Inline style sheet for the tag.

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

Version

Supported by Internet Explore.

Example

<TABLE width="400" cellspacing="0" border="1" cellpadding="0">
<COLGROUP> <COL ALIGN=RIGHT> <COL ALIGN=LEFT> <COL ALIGN=CENTER>
<TBODY>
<TR>
<TD>The first column is right-aligned.</TD>
<TD>The second column is left-aligned.</TD>
<TD>The third colunm is centered.</TD>
</TR></TABLE>

The code is rendred as:

The first column is right-aligned.

The second column is left-aligned.

The third column is centered.

Remarks

End tags are optional.

Related Topics

COL


HTML Reference: COMMENT

COMMENT

Description

Indicates a comment that will not be displayed. This element is no longer recommended. It is provided for backward compatibility. When authoring documents, use the <!-- --> comment element for comments instead.

Syntax

<COMMENT
ID=value
LANG=language
TITLE=text content
>

Parameter | Description
ID | SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
TITLE | The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

Version

This element is only supported by the Internet Explorer and Mosaic.

Example

<COMMENT>The text won't render. It will not appear in the browser.</COMMENT>

Remarks

Both the start and end tags are required.

Related Topics

!-- --


HTML Reference: DD

DD

Description

Refers the definition in a definition list. Usually indented from the definition list, and displayed in the right column of definition list.

Syntax

<DD
CLASS=Style Sheet class name
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=styling
TITLE=text content
event = script
>

Parameter

Description

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

LANG

Specifies which language to use in ISO standard language abbreviation form.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

STYLE

Inline style sheet for the tag.

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

event

Can be one or more of these events:
onclick ;
ondblclick ;
ondragstart ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onselectstart

Example

<DL><DT>Sothink CoolMenu<DD>A tool to create Java pop-up menu .
<DT>Sothink CoolText<DD>Animated text Java banner creater.</DL>

The code will be rendered as:

Sothink CoolMenu
A tool to create Java pop-up menu .
Sothink CoolText
Animated text Java banner creater.

Remarks

This element is a block element. The start tag is required, and the end tag is optional.

Related Topics

DL , DT


HTML Reference: DEL

DEL

Description

Indicates text that has been deleted from the document. Typically it renders as struck-through text.

Syntax

<DEL
CLASS=Style Sheet class name
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=styling
TITLE=text content
event = script
>

Parameter

Description

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

LANG

Specifies which language to use in ISO standard language abbreviation form.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

STYLE

Inline style sheet for the tag.

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

event

Can be one or more of these events:
onclick ;
ondblclick ;
ondragstart ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onselectstart

Version

Along with <INS>, it is one of the HTML 4.0 elements used to mark document revisions and is currently only supported by Internet Explorer 4.0+.

Example

This sentence <DEL DATETIME="1999-12-25T11:11:12+0:00">is no longer available
</DEL>

It is rendered as:

This sentence is no longer available.

Remarks

Both the start and end tags are required. Any style can be used with the <DEL> element.

Related Topics

DL , DT


HTML Reference: DFN

DFN

Description

Used to mark the Defining Instance of a term. Formats a term for its first appearance in a document.

Syntax

<DFN
CLASS=Style Sheet class name
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=styling
TITLE=text content
event = script
>

Parameter

Description

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

LANG

Specifies which language to use in ISO standard language abbreviation form.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

STYLE

Inline style sheet for the tag.

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

event

Can be one or more of these events:
onclick ;
ondblclick ;
ondragstart ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onselectstart

Version

Currently only supported by the Internet Explorer.

Example

The <DFN>Internet Explorer</DFN> is Microsoft's Web browser.

It is rendered as:

The Internet Explorer is Microsoft's Web browser.

Remarks

This element is a block element. Both the start and end tags are required. Typically, it will render italicised.

Related Topics

ACRONYM, ADDRESS, CITE, STRONG


HTML Reference: DIR

DIR

Description

It is a Directory List element used to present a list of items. The following text may be arranged in columns, each beginning with an LI element and none containing more than 20 characters.

Syntax

<DIR
CLASS=Style Sheet class name
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=styling
TITLE=text content
event = script
>

Parameter

Description

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

LANG

Specifies which language to use in ISO standard language abbreviation form.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

STYLE

Inline style sheet for the tag.

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

event

Can be one or more of these events:
onclick ;
ondblclick ;
ondragstart ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onselectstart

Version

<DIR> is deprecated in HTML 4.0. Authors are encouraged to use <UL> instead.

Example

<DIR>
<LI>item 1
<LI>item 2
<LI>item 3
<LI>item 4
</DIR>

The code will be rendered as:

  • item 1
  • item 2
  • item 3
  • item 4

    • Remarks

    A directory list must begin with the <DIR> element which is immediately followed by a <LI> (list item) element.

    This element is a block element. Both the start and end tags are required.

    Related Topics

    UL


HTML Reference: DIV

DIV

Description

The <DIV> element is basically used as a 'container' to contain other HTML elements and display them discretely from the rest of the document by adding paragraph breaks before and after the contents of the <DIV> element.

Syntax

<DIV
ALIGN=alignment
CLASS=Style Sheet class name
DATAFLD=colname
DATAFORMATAS=HTML| TEXT
DATASRC=Data Source
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=styling
TITLE=text
event = script
>

Parameter

Description

ALIGN

Specifies the alignment for the control-like element. The possible values of this attribute are: left, right, top, texttop, middle, absmiddle, baseline, bottom, absbottom.

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

DATAFLD

Column name from the data source object that supplies the bound data.

DATAFORMATAS

Indicates whether the bound data is HTML or plain text.

DATASRC

ID of the data source object that supplies the data that is bound to this element.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

LANG

Specifies which language to use in ISO standard language abbreviation form.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

STYLE

Inline style sheet for the tag.

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

event

Can be one or more of these events:
onafterupdate ;
onbeforeupdate ;
onblur ;
onclick ;
ondblclick ;
ondragstart ;
onfocus ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onresize ;
onrowenter ;
onrowexit ;
onselectstart

Example

<DIV>This is a section.</DIV><DIV ALIGN=CENTER>
This is another section, and the text is centered.</DIV>

The code is rendered as:

This is a section.
This is another section, and the text is centered.

Remarks

You should not include the SELECT, BUTTON, INPUT, or A within the BUTTON tag.

This element is a block element. Both the start and end tags are required.


HTML Reference: DL

DL

Description

Denotes a definition list. Definition list is formatted as a list of terms on the left and their definitions indented below. The DT and DD elements can be used to define the elements within a directory list.

Syntax

<DL
CLASS=Style Sheet class name
COMPACT
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=styling
TITLE=text content
event = script
>

Parameter

Description

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

COMPACT

Specifies that the list should be compacted to remove extra space between list elements.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

LANG

Specifies which language to use in ISO standard language abbreviation form.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

STYLE

Inline style sheet for the tag.

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

event

Can be one or more of these events:
onclick ;
ondblclick ;
ondragstart ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onselectstart

Example

<DL><DT>Sothink CoolMenu<DD>A tool to create Java pop-up menu .
<DT>Sothink CoolText<DD>Animated text Java banner creater.</DL>

The code is rendered as:

Sothink CoolMenu
A tool to create Java pop-up menu .
Sothink CoolText
Animated text Java banner creater.

Remarks

This element is a block element. Both the start and end tags are required.

Related Topics

DD, DT


HTML Reference: DOCTYPE

!DOCTYPE

Description

Defines the HTML DTD (Document Type Definition) that the document adhere to.

Syntax

<!DOCTYPE>

Example

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.0//EN">
The HTML document with this tag should compatible with the HTML 3.0 DTD.

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Strict//EN">
The HTML document with this tag should adhere to the HTML 4.0 DTD strictly.

Remarks

The document prologue identifier should be in the first line of any HTML document. Different versions can be used depending on the level of compatibility the author wishes to indicate.

Related Topics

HTML


HTML Reference: DT

DT

Description

A definition term within a definition list. The text is a term to be defined, and should be displayed in the left column of definition list. The definition should correspond with the DD element.

Syntax

<DT
CLASS=Style Sheet class name
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=styling
TITLE=text content
event = script
>

Parameter

Description

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

LANG

Specifies which language to use in ISO standard language abbreviation form.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

STYLE

Inline style sheet for the tag.

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

event

Can be one or more of these events:
onclick ;
ondblclick ;
ondragstart ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onselectstart

Example

<DL><DT>Sothink CoolMenu<DD>A tool to create Java pop-up menu .
<DT>Sothink CoolText<DD>Animated text Java banner creater.</DL>

The code is rendered as:

Sothink CoolMenu
A tool to create Java pop-up menu .
Sothink CoolText
Animated text Java banner creater.

Remarks

This element is a block element. The start tag is required, and the end tag is optional.

Related Topics

DD, DL


HTML Reference: EM

EM

Description

Used to emphasize text. Typically be renders in italic font.

Syntax

<EM
CLASS=Style Sheet class name
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=styling
TITLE=text content
event = script
>

Parameter

Description

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

LANG

Specifies which language to use in ISO standard language abbreviation form.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

STYLE

Inline style sheet for the tag.

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

event

Can be one or more of these events:
onclick ;
ondblclick ;
ondragstart ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onselectstart

Example

The <EM>Emphasis</EM> element typically renders as Italics.

It is rendered as:

The Emphasis element typically renders as Italics.

Remarks

Both the start and end tags are required.

Related Topics

ACRONYM, ADDRESS, CITE, STRONG


HTML Reference: EMBED

EMBED

Description

The <EMBED> element allows authors to embed objects directly into an HTML page. The user needs to have an application which can view the data installed correctly on their machine.

Syntax

<EMBED
ALIGN=alignment
ALT=alternate Text
CLASS=Style Sheet class name
CODE=appletFile
CODEBASE=url
HEIGHT=n pixels
HSPACE=n pixels
ID=value
NAME=name
SRC=url
STYLE=styling
TITLE=text
UNITS=value
VSPACE=n pixels
WIDTH=n pixels
>

Parameter | Description
ALIGN | Specifies the alignment for the control-like element. The possible values of this attribute are: left, right, top, texttop, middle, absmiddle, baseline, bottom, absbottom.
ALT | This optional attribute specifies any text that should be displayed if the browser understands the APPLET element.
CLASS | Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.
CODE | The name of the file containing the compiled Java class.The file path is relative to the base URL of the applet. It cannot be absolute.
CODEBASE | This optional attribute specifies the base URL of the applet -- the directory that contains the applet's code.
HEIGHT | These required attributes give the initial height (in pixels) of the applet display area, not counting any windows or dialogs that the applet brings up.
HSPACE | These option attributes specify the number of margins pixels on each side of the applet.
ID | SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
NAME | Specifies the name of the application.
SRC | Specifies a URL for the associated file.
STYLE | Specifies an in-line style sheet for the tag.
TITLE | The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.
UNITS | Defines the units for the height and width of the EMBED element, expressed as pixels (px) or ems (em).
VSPACE | Along with HSPACE=, specifies above and below margins pixels of the applet.
WIDTH | Along with HEIGHT=, gives the initial width (in pixels) of the applet display area, not counting any windows or dialogs that the applet brings up.

Version

Users need to have a plug-in (for Netscape and Internet Explorer) that can manipulate the embedded file format.

Example

<EMBED SRC="_URL_">
<NOEMBED>Alternative content</NOEMBED>
</EMBED>

Remarks

This element is a block element. Both the start and end tags are required.

Related Topics

APPLET, OBJECT, PARAM


HTML Reference: FIELDSET

FIELDSET

Description

The <FIELDSET> element can be used to provide a framed container around any other HTML elements. Visual Basic developers will be familiar with the <FIELDSET> frame concept - it being similar to the 'Frame' control in Visual Basic.

Syntax

<FIELDSET
ALIGN=alignment
CLASS=Style Sheet class name
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=styling
TITLE=text content
event = script
>

Parameter

Description

ALIGN

Specifies the alignment for the control-like element. The possible values of this attribute are: left, right, top, texttop, middle, absmiddle, baseline, bottom, absbottom.

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

LANG

Specifies which language to use in ISO standard language abbreviation form.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

STYLE

Inline style sheet for the tag.

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

event

Can be one or more of these events:
onblur ;
onchange ;
onclick ;
ondblclick ;
ondragstart ;
onfilterchange ;
onfocus ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onresize ;
onscroll ;
onselect ;
onselectstart

Version

The <FIELDSET> element is a new element introduced in HTML 4.0 draft specifications and is only supported by Internet Explorer 4.0 and above.

Example

<FIELDSET ID="fld1" STYLE="width:250">
<LEGEND ALIGN="left">Choose a topic</LEGEND>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0"
  WIDTH="200">
<TR>
<TD><LABEL FOR="radEducation">Education</LABEL></TD>
<TD><INPUT TYPE="radio" NAME="topic" VALUE="Education"
  ID="radEducation"></TD>
<TD><LABEL FOR="radInternet">Internet </LABEL></TD>
<TD><INPUT TYPE="radio" NAME="topic" VALUE="Internet"
  ID="radInternet"></TD>
</TR>
...
</TABLE>
</FIELDSET>

The code is rendered as:

Choose a topic
Education | Internet
Game | Music

Remarks

<FIELDSET> requires that the first element it contains to the <LEGEND>, to provide the legend for the field set.
<FIELDSET> elements can be nested to contain discrete 'groups' of HTML elements, inside a larger fieldset container group.

Both the start and end tags are required.

Related Topics

CAPTION, LEGEND


HTML Reference: FONT

FONT

Description

Specifies a new font face, size, and color to be used for rendering the enclosed text.

Syntax

<FONT
CLASS=Style Sheet class name
COLOR=color
FACE=font
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
SIZE=n
STYLE=styling
TITLE=text content
event = script
>

Parameter

Description

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

COLOR

Set the color to be used by the font or horizontal rule.

FACE

Sets the current font typeface.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

LANG

Specifies which language to use in ISO standard language abbreviation form.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

SIZE

Specifies font size between 1 and 7 (7 is largest).

STYLE

Inline style sheet for the tag.

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

event

Can be one or more of these events:
onclick ;
ondblclick ;
ondragstart ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onselectstart

Example

<FONT COLOR="#FF0000">This text is RED.</FONT>
<FONT COLOR="#00CC00">This text is GREEN.</FONT>

The code is rendered as:

This text is RED. This text is GREEN.

Remarks

Both the start and end tags are required.


HTML Reference: FORM

FORM

Description

The Form element is used to delimit a data input form.

Syntax

<FORM
ACTION=url
CLASS=Style Sheet class name
ENCTYPE=encoding
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
METHOD=GET | POST
NAME=name
STYLE=styling
TARGET=window_name | _blank | _parent | _self | _top
TITLE=text content
event = script
>

Parameter

Description

ACTION

The ACTION attribute is a URL specifying the location to which the contents of the form data fields are submitted to elicit a response. As mentioned before, this could be simply a direction to an e-mail address, but generally, would be used to point towards some kind of server based CGI script/application that handles the forwarding of form data. If the ACTION attribute is missing, the URL of the document itself is assumed. The way data is submitted varies with the access protocol of the URL to which the form data is sent and with the values of the METHOD and ENCTYPE attributes.

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

ENCTYPE

Specifies the format of the data being submitted by the form.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

LANG

Specifies which language to use in ISO standard language abbreviation form.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

METHOD

Indicates how the form data should be sent to the server; either GET or POST.

NAME

Specifies the name of the control, bookmark, or application.

STYLE

Inline style sheet for the tag.

TARGET

Window or frame at which to target the contents. If no frame or window exists that matches the specified target, a new window is opened for the specified link. If no target is specified, the default is "_self" for a link within the same site or "_top" if the site is external. Special target values are:
_blank Specifies to load the link into a new unnamed window.
_parent Specifies to load the link into the immediate parent of the document the link is in.
_self Specifies to load the link into the same window the link was clicked in.
_top Specifies to load the link into the full body of the current window.

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

event

Can be one or more of these events:
onclick ;
ondblclick ;
ondragstart ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onreset ;
onselectstart ;
onsubmit

Example

<FORM ACTION="_URL_" METHOD="GET|POST" ENCTYPE="MIME type">
<p> Name:
<input type="text" name="textfield">
<br>
Password:
<input type="password" name="password">
</p>
<p>
<input type="submit" name="Submit" value="Submit">
<input type="reset" name="Reset" value="Reset">
</p>
</FORM>

The code is rendered as:

Name:
Password:

Remarks

When programming the form, all control-like elements are added to the form as named items. In addition, these items are exposed through the Item method on the form.

There can be several forms in a single document, but the Form element can not be nested. (I.e. a form can't contain another form)

This element is a block element. Both the start and end tags are required.

Related Topics

INPUT


HTML Reference: FRAME

FRAME

Description

Specifies an single frame in a FRAMESET .

Syntax

<FRAME
BORDERCOLOR=color
CLASS=Style Sheet class name
DATAFLD=colname
DATASRC=Data Source
FRAMEBORDER=NO | YES | 0 | 1
HEIGHT=n
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
MARGINHEIGHT=n pixels
MARGINWIDTH=n pixels
NAME=window_name | _blank | _parent | _self | _top
NORESIZE=NORESIZE | RESIZE
SCROLLING=AUTO | NO | YES
SRC=url
TITLE=text content
WIDTH=n
event = script
>

Parameter | Description
BORDERCOLOR | Sets border color and must be used with the BORDER attribute, except for frames.
CLASS | Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.
DATAFLD | The column name from the data source object that supplies the bound data.
DATASRC | Indicates the ID of the data source object that supplies the data that is bound to this element.
FRAMEBORDER | Specifies whether or not to display a border for the frame.
HEIGHT | Along with WIDTH, specifies the size at which the element is drawn. This attribute may be initially set in pixels or percentages.
ID | SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. * JAVASCRIPT, JSCRIPT The script is written in JScript. * VBS, VBSCRIPT The script is written in VBScript.
MARGINHEIGHT | Sets the amount of top and bottom margin should be set before displaying the text in a frame.
MARGINWIDTH | Sets the amount of left and right margin should be set before displaying the text in a frame.
NAME | Window or frame at which to target the contents. If no frame or window exists that matches the specified target, a new window is opened for the specified link. If no target is specified, the default is "_self" for a link within the same site or "_top" if the site is external. Special target values are: _blank Specifies to load the link into a new unnamed window. _parent Specifies to load the link into the immediate parent of the document the link is in. _self Specifies to load the link into the same window the link was clicked in. _top Specifies to load the link into the full body of the current window.
NORESIZE | When this attribute is supplied, the frame is not resizable by the user. The default behavior allows the user to resize the frame.
SCROLLING | Specifies that the frame can be scrolled. If set to "AUTO," the browser determines whether scrollbars are necessary.
SRC | Specifies a URL for the associated file.
TITLE | The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.
WIDTH | Along with HEIGHT, sets the initial size of the element. This attribute may be initially set in pixels or percentages.
event | Can be this event: onreadystatechange

Example

<FRAME FRAMEBORDER=0 SCROLLING=AUTO SRC="sample.htm">

Remarks

This element is a block element.

Related Topics

FRAMESET, NOFRAMES


HTML Reference: FRAMESET

FRAMESET

Description

This is the main container for a Frame. Sets the number and size of vertical and horizontal frames for a compound document. Use the FRAME element within FRAMESET to define the content and properties of the individual frames.

Syntax

<FRAMESET
BORDER=pixels
BORDERCOLOR=color
CLASS=Style Sheet class name
COLS=col-widths
FRAMEBORDER=NO | YES | 0 | 1
FRAMESPACING=spacing
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
ROWS=row-heights
TITLE=text content
event=script
>

Parameter | Description
BORDER | Defines the space between the frames in pixels, including the 3D border. For nested FRAMESETS, the border can only be defined for the top-level FRAMESET element.
BORDERCOLOR | Sets border color and must be used with the BORDER attribute, except for frames.
CLASS | Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.
COLS | A comma delimited list of frames to create. Each item in the list contains the initial size of the column. You can specify the column dimensions by percentage (%), pixels, or a relative size (*)
FRAMEBORDER | Specifies whether or not to display a border for the frame.
FRAMESPACING | Creates additional space between the frames in pixels.
ID | SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. * JAVASCRIPT, JSCRIPT The script is written in JScript. * VBS, VBSCRIPT The script is written in VBScript.
ROWS | This takes a list of values, separated by comma marks. Each item in the list contains the initial size of the row.They can represent either absolute pixel, percentage, or relative scaling values.
TITLE | The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.
Event | Can be one or more of these events: onblur onfocus onload onunload

Example

<HTML>
<HEAD>
<TITLE> Frameset example</TITLE>
</HEAD>
<FRAMESET FRAMEBORDER="0" FRAMESPACING="0" BORDER="0" COLS="165,*" >
<FRAME SRC="contents.htm" NAME="contents">
...
</FRAMESET>...

Remarks

A frameset organizes multiple frames on the screen. Only frames, nested FRAMESETelements, and the NOFRAMES tag are valid within a frameset.

This element is a block element. Both the start and end tags are required.

Related Topics

FRAME, NOFRAMES


HTML Reference: HEAD

HEAD

Description

The head of an HTML document is an unordered collection of information that marks the document heading.

Syntax

<HEAD
CLASS=Style Sheet class name
ID=value
TITLE=text content
>

Parameter | Description
CLASS | Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.
ID | SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
TITLE | The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

Example

<HEAD><TITLE>HTML Reference</TITLE></HEAD>

Remarks

The HEAD provides information that does not effect the rendering of the document, but may be of use to the browser. The HEAD falls before the BODY of the document and requires the <TITLE> element between <HEAD> and </HEAD> elements

Related Topics

BASE, LINK, TITLE, META, BASEFONT, BGSOUND


HTML Reference: HR

HR

Description

Draws a horizontal rule to divide sections of text.

Syntax

<HR
ALIGN=CENTER | LEFT | RIGHT
CLASS=Style Sheet class name
COLOR=color
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
NOSHADE
SIZE=n pixels
STYLE=styling
TITLE=text content
WIDTH=n
event = script
>

Parameter

Description

ALIGN

Displays the element left flush, right flush, or centered relative to the display or table.

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

COLOR

Set the color to be used by the font or horizontal rule.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

LANG

Specifies which language to use in ISO standard language abbreviation form.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

NOSHADE

Draws the horizontal rule without 3-D shading.

SIZE

Sets the thick number users wish the horizontal rule to be.

STYLE

Inline style sheet for the tag.

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

WIDTH

Specify an exact width in pixels, or a relative width measured in percent of document width.

event

Can be one or more of these events:
onbeforeupdate ;
onblur ;
onclick ;
ondblclick ;
ondragstart ;
onfocus ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onresize ;
onrowenter ;
onrowexit ;
onselectstart

Example

<hr width="300" align="left" size="3">

The code is rendered as:

Remarks

This element is a block element.


HTML Reference: HTML

HTML

Description

This element identifies the document as containing HTML elements. It should immediately follow the prologue document identifier and serves to surround all of the remaining text, including all other elements. HTML user agents use the presence of this element at the start of a HTML document to ensure that the document is actually HTML, according to the "text/html" MIME type.

Syntax

<HTML
LANG=language
TITLE=text content
>

Parameter | Description
LANG | Specifies which language to use in ISO standard language abbreviation form.
TITLE | The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

Example

<HTML>
<HEAD>
<TITLE>HTML Reference</TITLE>
<BODY>
<P>Hello world
</BODY>
</HTML>

Remarks

This element is a block element.


HTML Reference: Hx

Hx

Description

A Heading element implies all the font changes, paragraph breaks before and after, and white space necessary to render the heading. Use H1 through H6 to specify different sizes and styles of headings.

Syntax

<Hx
ALIGN=CENTER | LEFT | RIGHT
CLASS=Style Sheet class name
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=styling
TITLE=text content
event = script
>

Parameter

Description

x

Sets the heading level. This is an integer from 1 to 6.

ALIGN

Displays the element left flush, right flush, or centered relative to the display or table.

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

LANG

Specifies which language to use in ISO standard language abbreviation form.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

STYLE

Inline style sheet for the tag.

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

event

Can be one or more of these events:
onclick ;
ondblclick ;
ondragstart ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onselectstart

Example

<H1>Heading 1</H1>
<H3>Heading 3</H3>

The code is rendered as:

Heading 1

Heading 3

Remarks

This element is a block element. Both the start and end tags are required.


HTML Reference: I

I

Description

This element specifies that the text should be rendered in italic font, where available.

Syntax

<I
CLASS=Style Sheet class name
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=styling
TITLE=text
event = script
>

Parameter

Description

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

LANG

Specifies which language to use in ISO standard language abbreviation form.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

STYLE

Inline style sheet for the tag.

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

event

Can be one or more of these events:
onclick ;
ondblclick ;
ondragstart ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onselectstart

Example

<I> italic text</I>

The code is rendered as:

italic text

Remarks

Both the start and end tags are required.

Related Topics

ADDRESS, CITE, DFN, EM


HTML Reference: IFRAME

IFRAME

Description

The IFRAME element is used to create in-line floating frames. These are much like standard frames, except they can be anywhere within a standard HTML document.

Syntax

<IFRAME
ALIGN=ABSBOTTOM | ABSMIDDLE | BASELINE | BOTTOM | LEFT | MIDDLE |
  RIGHT | TEXTTOP | TOP
BORDER=pixels
BORDERCOLOR=color
CLASS=Style Sheet class name
DATAFLD=colname
DATASRC=Data Source
FRAMEBORDER=NO | YES | 0 | 1
FRAMESPACING=spacing
HEIGHT=n
HSPACE=n pixels
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
MARGINHEIGHT=n pixels
MARGINWIDTH=n pixels
NAME=window_name | _blank | _parent | _self | _top
NORESIZE=NORESIZE | RESIZE
SCROLLING=AUTO | NO | YES
SRC=url
STYLE=styling
TITLE=text content
VSPACE=n pixels
WIDTH=n
>

Parameter | Description
ALIGN | Specifies the alignment for the control-like element. The possible values of this attribute are: left, right, top, texttop, middle, absmiddle, baseline, bottom, absbottom.
BORDER | Specifies the thickness of a border to be drawn around the element.
BORDERCOLOR | Sets border color and must be used with the BORDER attribute, except for frames.
CLASS | Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.
DATAFLD | The column name from the data source object that supplies the bound data.
DATASRC | Indicates the ID of the data source object that supplies the data that is bound to this element.
FRAMEBORDER | Specifies whether or not to display a border for the frame.
FRAMESPACING | Creates additional space between the frames.
HEIGHT | Along with WIDTH, specifies the size at which the element is drawn. This attribute may be initially set in pixels or percentages.
HSPACE | Along with VSPACE, specifies horizonal margins for the element
ID | SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. * JAVASCRIPT, JSCRIPT The script is written in JScript. * VBS, VBSCRIPT The script is written in VBScript.
MARGINHEIGHT | Sets the amount of top and bottom margin should be set before displaying the text in a frame.
MARGINWIDTH | Sets the amount of left and right margin should be set before displaying the text in a frame.
NAME | Window or frame at which to target the contents. If no frame or window exists that matches the specified target, a new window is opened for the specified link. If no target is specified, the default is "_self" for a link within the same site or "_top" if the site is external. Special target values are: _blank Specifies to load the link into a new unnamed window. _parent Specifies to load the link into the immediate parent of the document the link is in. _self Specifies to load the link into the same window the link was clicked in. _top Specifies to load the link into the full body of the current window.
NORESIZE | When this attribute is supplied, the frame is not resizable by the user. The default behavior allows the user to resize the frame.
SCROLLING | Specifies that the frame can be scrolled. If set to "AUTO," the browser determines whether scrollbars are necessary.
SRC | Specifies a URL for the associated file.
STYLE | Inline style sheet for the tag.
TITLE | The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.
VSPACE | Along with HSPACE, specifies vertical margins for the element.
WIDTH | Along with HEIGHT, sets the initial size of the element. This attribute may be initially set in pixels or percentages.

Version

Supported by Internet Explorer (version 3.0 or above).

Example

<IFRAME NAME="main" width="500" height="150" SRC="HTMLTagFRAME.htm"></IFRAME>

The code is rendered as:

Remarks

Any HTML between these elements will be displayed by browsers that do not support floating frames, while the frame specified in the <IFRAME> elements will be displayed by those browsers that do.

This element is a block element. Both the start and end tags are required.

Related Topics

FRAME


HTML Reference: IMG

IMG

Description

Embeds an image or a video clip in the document.

Syntax

<IMG
ALIGN=ABSBOTTOM | ABSMIDDLE | BASELINE | BOTTOM | LEFT | MIDDLE |
  RIGHT | TEXTTOP | TOP
ALT=alternative text
BORDER=pixels
CLASS=Style Sheet class name
DATAFLD=colname
DATASRC=Data Source
DYNSRC=url
HEIGHT=n
HSPACE=n pixels
ID=value
ISMAP
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
LOOP=n
LOWSRC=url
NAME=name
SRC=url
STYLE=styling
TITLE=text content
USEMAP=url
VSPACE=n pixels
WIDTH=n
event = script
>

Parameter

Description

ALIGN

Specifies the alignment for the image. The possible values of this attribute are: left, right, top, texttop, middle, absmiddle, baseline, bottom, absbottom.

ALT

Optional text as an alternative to the graphic for rendering in non-graphical environments. Alternate text should be provided whenever the graphic is not rendered. Alternate text is mandatory for Level 0 documents.

BORDER

Specifies the thickness of a border to be drawn around the element.

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

DATAFLD

The column name from the data source object that supplies the bound data.

DATASRC

Indicates the ID of the data source object that supplies the data that is bound to this element.

DYNSRC

Specifies the address of a video clip or VRML world to be displayed in the window. Stands for Dynamic Source.

HEIGHT

Along with WIDTH, specifies the size at which the element is drawn. This attribute may be initially set in pixels or percentages.

HSPACE

Along with VSPACE, specifies horizonal margins for the element

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

ISMAP

Identifies the picture as a server-side image map. Image maps allow users to access other documents by clicking different areas in an image. Server-side image maps require a script or other service on the server to process click information. When the user clicks on the image, the server receives the coordinates of the user's click along with the URL of the map. Internet Explorer appends a "?" and a comma-separated pair of x-y coordinates to the HREF attribute in the A element. For further information regarding server-side maps and the content of the map file, check your HTTP server documentation.The ISMAP attribute identifies an image as an image map. Image maps are graphics in which certain regions are mapped to other documents. By clicking on different regions, different resources can be accessed from the same graphic.

LANG

Specifies which language to use in ISO standard language abbreviation form.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

LOOP

Specifies how many times a sound or video will loop when activated. Also specifies how many times the marquee should loop.

LOWSRC

Specifies a lower resolution image to be displayed initially while the document is loading, which is later replaced by the higher quality version SRC.

NAME

Window or frame at which to target the contents. If no frame or window exists that matches the specified target, a new window is opened for the specified link. If no target is specified, the default is "_self" for a link within the same site or "_top" if the site is external. Special target values are:
_blank Specifies to load the link into a new unnamed window.
_parent Specifies to load the link into the immediate parent of the document the link is in.
_self Specifies to load the link into the same window the link was clicked in.
_top Specifies to load the link into the full body of the current window.

SRC

Specifies a URL for the associated file.

STYLE

Inline style sheet for the tag.

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

USEMAP

Identifies the picture as a client-side image map and specifies a MAP to use for responding to the user's clicks. Use the MAP and AREA elements to create the client-side mapping information.

VSPACE

Along with HSPACE, specifies vertical margins for the element.

WIDTH

Along with HEIGHT, sets the initial size of the element. This attribute may be initially set in pixels or percentages.

event

Can be one or more of these events:
onabort ;
onafterupdate ;
onbeforeupdate ;
onblur ;
onclick ;
ondblclick ;
ondragstart ;
onerror ;
onfocus ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onload ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onresize ;
onrowenter ;
onrowexit ;
onselectstart

Example

<img src="image/cp.gif" lowsrc="image/dian.gif"width="100" height="100" align="middle">

Related Topics

AREA, INPUT, MAP


HTML Reference: INPUT

INPUT

Description

The Input element specifies a form input control, which represents a field whose contents may be edited or activated by the user.

Syntax

<INPUT
ACCESSKEY=key
ALIGN=LEFT | CENTER | RIGHT
ALT=alternative text
CLASS=Style Sheet class name
DISABLED
DYNSRC=url
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
LOWSRC=url
MAXLENGTH=n
NAME=name
READONLY
SIZE=n
SRC=url
STYLE=styling
TABINDEX=n
TITLE=text content
TYPE=BUTTON | CHECKBOX | FILE | HIDDEN | IMAGE | PASSWORD | RADIO
  | RESET | SUBMIT | TEXT
VALUE=value
event = script
>

Parameter

Description

ACCESSKEY

Accelerator for the element. Pressing ALT-key selects this element in the user's browser.

ALIGN

Displays the element left flush, right flush, or centered relative to the display or table.

ALT

Optional text as an alternative to the graphic for rendering in non-graphical environments. Alternate text should be provided whenever the graphic is not rendered. Alternate text is mandatory for Level 0 documents.

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

DISABLE

Used to disable an element from receiving any user input, or focus and causes the element to appear "grayed out."It can still display values, text etc., but the user will not be able to make any changes to those values.

DYNSRC

Specifies the address of a video clip or VRML world to be displayed in the window. Stands for Dynamic Source.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

LANG

Specifies which language to use in ISO standard language abbreviation form.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

LOWSRC

Specifies a lower resolution image to be displayed initially while the document is loading, which is later replaced by the higher quality version SRC.

MAXLENGTH

Indicates the maximum number of characters that can be entered into a text field. This can be greater than specified by the SIZE attribute, in which case the field will scroll appropriately. The default number of characters is unlimited.

NAME

Window or frame at which to target the contents. If no frame or window exists that matches the specified target, a new window is opened for the specified link. If no target is specified, the default is "_self" for a link within the same site or "_top" if the site is external. Special target values are:
_blank Specifies to load the link into a new unnamed window.
_parent Specifies to load the link into the immediate parent of the document the link is in.
_self Specifies to load the link into the same window the link was clicked in.
_top Specifies to load the link into the full body of the current window.

READONLY

Causes the element's property to be read only. The INPUT element can still receive the focus but the contents of the control can not be changed. This attribute applies to the PASSWORD and TEXT input types.

SIZE

Specifies the size or precision of a field according to its type.

SRC

Specifies a URL for the associated file.

STYLE

Inline style sheet for the tag.

TABINDEX

Sets the tabbing order for the user to navigate around the main <FORM>. This attribute applies to the BUTTON, CHECKBOX, FILE, PASSWORD, RADIO, RESET, SUBMIT, and TEXT input types.

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

TYPE

Specifies the type of data the field accepts. Defaults to free text. Several types of fields can be defined with the type attribute:

BUTTON

Button Type

A button on the HTML form that is given functionality when used in conjunction with Visual Basic Script, or JavaScript. The NAME attribute is used to give the button a unique name, which can be used to set its function in the script. The VALUE attribute specifies the text that is displayed on the button in the document.

CHECKBOX

Checkbox Type

Used for simple Boolean attributes (weather a field is chosen or not), or for attributes that can take multiple values at the same time. It is represented by a number of check box fields, each of which has the same name. Each selected check box generates a separate name/value pair in the submitted data, even if this results in duplicate names. The default value for check boxes is "on". It requires the NAME and VALUE attributes, optional attributes being CHECKED.

FILE

File Type

A file upload element that allows the user to supply a file as the input.

HIDDEN

Hidden Field Type

With this input type, no field is presented to the user, but the content of the field is sent with the submitted form. This value may be used to transmit state information about client/server interaction.

IMAGE

Image Type

An image field that you can click, causing the form to be immediately submitted. The coordinates of the selected point are measured in pixel units from the upper-left corner of the image, and are returned (along with the other contents of the form) in two name/value pairs. The x-coordinate is submitted under the name of the field with ".x" appended, and the y-coordinate is submitted under the name of the field with ".y" appended. Any VALUE= attribute is ignored. The image itself is specified by the SRC= attribute, exactly as for the IMG element.

PASSWORD

Password Type

It is the same as the TEXT attribute, except that text is not displayed as it is entered.

RADIO

Radio Type

Used for attributes that accept a single value from a set of alternatives. Each radio-button field in the group should be given the same name. Only the selected radio button in the group generates a name/value pair in the submitted data. Radio buttons require an explicit VALUE and NAME attribute. CHECKED is an optional attribute and can be used to specify which options are selected for initial form display.

RESET

Reset Type

When this button is pressed, the specified initial values in the form's fields will be reset. The label to be displayed on the button may be specified just as for the SUBMIT button.

SUBMIT

Submit Type

If a SUBMIT button is pressed, it is to submit a form. The default label is application-specific and if the button has a NAME attribute specified, the button would contribute a name/value pair to the submitted data.

TEXT

Text Type

Used for a single-line text-entry field. Use in conjunction with the SIZE= and MAXLENGTH= attributes to set the maximum amount of text that can be entered.

VALUE

For textual/numerical controls, specifies the default value of the control. For Boolean controls, specifies the value to be returned when the control is turned on. This attribute applies to the BUTTON, CHECKBOX, HIDDEN, PASSWORD, RADIO, RESET, SUBMIT, and TEXT input types.

event

Can be one or more of these events:
onafterupdate ;
onbeforeupdate ;
onblur ;
onchange ;
onclick ;
ondblclick ;
ondragstart ;
onfocus ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onselect ;
onselectstart

Example

<FORM ACTION="_URL_" METHOD="GET|POST" ENCTYPE="MIME type">
<p> Name:
<input type="text" name="textfield">
<br>
Password:
<input type="password" name="password">
</p>
<p>
<input type="submit" name="Submit" value="Submit">
<input type="reset" name="Reset" value="Reset">
</p>
</FORM>

The code is rendered as:

Name:
Password:

Remarks

Objects can be submitted in forms. The NAME is the identifier of the object tag (i.e., <OBJECT NAME=slider CLASSID=...>), and the VALUE is obtained by getting the value of the default property of the control. If any of the following conditions occur, then the object will not become part of the submit string:

  • Object did not instantiate
  • Object does not have an identifier
  • Object does not have a default property to get
  • Default property cannot be coerced into a string

Related Topics

BUTTON, IMG, TEXTAREA, OBJECT


HTML Reference: INS

INS

Description

Indicates that the enclosed text has been inserted, since the document was originally written.

Syntax

<INS
CLASS=Style Sheet class name
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=styling
TITLE=text content
event = script
>

Parameter

Description

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

LANG

Specifies which language to use in ISO standard language abbreviation form.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

STYLE

Inline style sheet for the tag.

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

event

Can be one or more of these events:
onclick ;
ondblclick ;
ondragstart ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup

Version

Along with <DEL>, it is one of the HTML 4.0 elements used to mark document revisions and is currently only supported by Internet Explorer 4.0 or above.

Example

<INS CITE="http://www.Sothink.com" DATETIME="2000-01-01T11:11:11+0:00">New Centry is coming...
</INS>

The code is rendered as:

New Centry is coming...

Remarks

Typically it renders underlined, but any style can be used with the <INS> element.

Both the start and end tags are required.

Related Topics

DEL


HTML Reference: ISINDEX

ISINDEX

Description

The Isindex element tells the browser that the document is an index document. While reading it, the reader may use a keyword search. The document can be queried with a keyword search by adding a question mark to the end of the document address, followed by a list of keywords separated by plus signs.

Syntax

<ISINDEX
CLASS=Style Sheet class name
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=styling
TITLE=text content
PROMPT=text
>

Parameter | Description
CLASS | Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.
ID | SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. * JAVASCRIPT, JSCRIPT The script is written in JScript. * VBS, VBSCRIPT The script is written in VBScript.
STYLE | Inline style sheet for the tag.
TITLE | The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.
PROMPT | Specifies a text prompt message for the input field. This allows any author to choose message to replace the default text of : "This is a searchable index. Enter search keywords."

Version

<ISINDEX> is no longer supported by Internet Explorer from version 4.0.

Example

<ISINDEX ACTION="websearch">

<ISINDEX PROMPT="Any_text_string : ">

Remarks

With HTML 4 this element will be deprecated, with INPUT recommended for use instead.

Related Topics

INPUT


HTML Reference: KBD

KBD

Description

The Keyboard element can be used to indicate text to be be entered at the keyboard and is typically rendered in bold with a fixed-width font. It might commonly be used in an instruction manual.

Syntax

<KBD
CLASS=Style Sheet class name
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=styling
TITLE=text
event = script
>

Parameter

Description

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

LANG

Specifies which language to use in ISO standard language abbreviation form.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

STYLE

Inline style sheet for the tag.

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

event

Can be one or more of these events:
onclick ;
ondblclick ;
ondragstart ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onselectstart

Example

To login to the site, <KBD>please enter "GUEST"</KBD> at the user ID box.

The code is rendered as:

To login to the site, please enter "GUEST" at the user ID box.

Remarks

Both the start and end tags are required.


HTML Reference: LABEL

LABEL

Description

Specifies a label for a control-like element. The content between the start and end tags defines the label text.

Syntax

<LABEL
ACCESSKEY=key
CLASS=Style Sheet class name
DATAFLD=colname
DATAFORMATAS=HTML/TEXT
DATASRC=#ID
FOR=ID
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=styling
TITLE=text content
event = script
>

Parameter

Description

ACCESSKEY

Accelerator for the element. Pressing ALT-key selects this element in the user's browser.

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

DATAFLD

The DATAFLD attribute can be used to specify a data column name from the Data source object that the <LABEL> is bound to. This can only be used on the contained PARAM elements.

DATAFORMATAS

Refers whether bound data is plain text or HTML.

DATASRC

Indicates the ID of the data source object that supplies the data that is bound to this element.

FOR

Specifies the ID for the control-like element the label is for. This is optional when the label is wrapped around the control the label applies to.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

LANG

Specifies which language to use in ISO standard language abbreviation form.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

STYLE

Inline style sheet for the tag.

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

event

Can be one or more of these events:
onclick ;
ondblclick ;
ondragstart ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onselectstart

Version

The <LABEL> element is a new element introduced in HTML 4.0 draft specifications and is currently only supported by Internet Explorer 4.0 and above version.

Example

Make a choice:<BR>
<LABEL FOR="Red">Red : <INPUT TYPE="radio" NAME="Colour"
  VALUE="Red" ID="Red"></LABEL><BR>
<LABEL FOR="Blue">Blue : <INPUT TYPE="radio" NAME="Colour"
  VALUE="Blue" ID="Blue"></LABEL>

It is rendered as:

Make a choice:

Remarks

Labels cannot be nested. Both the start and end tags are required.

Related Topics

SELECT


HTML Reference:LEGEND

LEGEND

Description

Identifies a contained set of fields defined in the FIELDSET element. The LEGEND element must be the first element within the FIELDSET element

Syntax

<LEGEND
ALIGN=BOTTOM | CENTER | LEFT | RIGHT | TOP
CLASS=classname
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=css1-properties
TITLE=text
VALIGN=BOTTOM | TOP
event = script
>

Parameter | Description
ALIGN | CENTER | LEFT | RIGHT | TOP Specifies the alignment of the legend text. BOTTOM--Aligns the legend text bottom center. CENTER--Centers the legend text. LEFT--Left aligns the legend text. RIGHT--Right aligns the legend text. TOP--Aligns the legend text top center.
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. JAVASCRIPT, JSCRIPT--The scripting language is written in JavaScript. VBS, VBSCRIPT--The scripting language is written in VBScript.
STYLE | Specifies an in-line style sheet for the tag.
TITLE | Used to provide advisory information.
VALIGN | Specifies whether the legend text appears at the top or bottom.
event | Can be one or more of these events: onclick ondblclick ondragstart onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup

Version

This element is only supported by Internet Explorer 4.0 and above.

Example

<FIELDSET ID="fld1" STYLE="width:250">
<LEGEND ALIGN="left">Choose a topic</LEGEND>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0"
  WIDTH="200">
<TR>
<TD><LABEL FOR="radEducation">Education</LABEL></TD>
<TD><INPUT TYPE="radio" NAME="topic" VALUE="Education"
  ID="radEducation"></TD>
<TD><LABEL FOR="radInternet">Internet </LABEL></TD>
<TD><INPUT TYPE="radio" NAME="topic" VALUE="Internet"
  ID="radInternet"></TD>
</TR>
...
</TABLE>
</FIELDSET>

The code is rendered as:

Choose a topic
Education | Internet
Game | Music

Remarks

This element is a block element. Both the start and end tags are required.

Related Topics

DIR, MENU, OL, UL, FIELDSET


HTML Reference:LI

LI

Description

Denotes one item of a list. This element is used inside a DIR, MENU, OL, or UL block.

Syntax

<LI
CLASS=classname
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=css1-properties
TITLE=text
TYPE=1 | a | A | i | I
VALUE=value
event = script
>

Parameter | Description
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. JAVASCRIPT, JSCRIPT The scripting language is written in JavaScript. VBS, VBSCRIPT The scripting language is written in VBScript.
STYLE | Specifies an in-line style sheet for the tag.
TITLE | Used to provide advisory information.
TYPE | Changes the style of the list. 1-- List items are numbered. a-- List items are labeled with lowercase letters. A-- List items are labeled with uppercase letters. i-- List items are labeled with lowercase roman numerals. I-- List items are labeled with uppercase roman numerals.
VALUE | Changes the count of ordered lists as they progress.
event | onclick ondblclick ondragstart onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup onselectstart

Example

<DIR> <LI>Art<LI>History<LI>Literature<LI>Sports<LI>Entertainment
<LI>Science</DIR>

Remarks

This element is a block element. The start tag is required, and the end tag is optional.


HTML Reference:LINK

LINK

Description

It is used to specify a typed hyperlink between the document and some other resource.

Syntax

<LINK
DISABLED
HREF=url
ID=value
MEDIA=SCREEN | PRINT | ALL
REL=STYLESHEET
TITLE=text
TYPE="text/css"
>

Parameter | Description
DISABLED | Used to disable an element. This attribute prevents an element from receiving the focus, and causes the element to appear "grayed out."
HREF | Specifies the destination URL or anchor point.
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
MEDIA | Describes the output device for the document. A value of "PRINT" does not affect the on-screen layout. Default value is ALL. SCREEN-- Output is intended for non-paged computer screens. PRINT-- Output is intended for paged, opaque material and for documents on screen viewed in print preview mode. ALL-- Applies to all devices.
REL | The REL attribute gives the relationship(s) described by the hypertext link from the anchor to the target. Values and their semantics will be registered by the HTML registration authority.
TITLE | Used to provide advisory information.
TYPE | Indicates the type of style sheet.

Example

<LINK REL=stylesheet HREF="styles.css" TYPE="text/css">

Remarks

This element may only be used within the HEAD tag.


HTML Reference:LISTING

LISTING

Description

This element is no longer recommended and should not be used in new documents. LISTING renders text in fixed-width type. When authoring new documents, use the PRE element.

Syntax

<LISTING
CLASS=classname
ID=string
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=css1-properties
TITLE=text
event = script
>

Parameter | Description
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. JAVASCRIPT, JSCRIPT --The scripting language is written in JavaScript. VBS, VBSCRIPT-- The scripting language is written in VBScript.
STYLE | Specifies an in-line style sheet for the tag.
TITLE | Used to provide advisory information.
event | Can be one or more of these events: onclick ondblclick ondragstart onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup onselectstart

Version

This element is no longer recommended and should not be used in new documents.

Example

Some might say <LISTING> that two heads </LISTING> are better than one

would render as :

Some might say

that two heads are better than one

Remarks

This element is a block element. Both the start and end tags are required.


HTML Reference:MAP

MAP

Description

Specifies a collection of hot spots for a client-side image map.

Syntax

<MAP
CLASS=classname
ID=value
LANG=language
NAME=name
STYLE=css1-properties
TITLE=text
event = script
>

Parameter | Description
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
NAME | Specifies the name of the window.
STYLE | Specifies an in-line style sheet for the tag.
TITLE | Used to provide advisory information.
event | Can be one or more of these events: onclick ondblclick ondragstart onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup onselectstart

Example

<map name="imagemap sample">
<area shape="rect" coords="144,119,228,150" alt="Click Cancel to canel what you do.">
<area shape="rect" coords="54,119,139,150" alt="Click OK to make sure.">
<area shape="rect" coords="17,83,271,111" alt="Type URL here.">
<area shape="rect" coords="20,36,271,78" alt="Choose URL Type here">
</map>

Remarks

Both the start and end tags are required.

Click Cancel to canel what you do. Click OK to make sure. Type URL here. Choose URL Type here


HTML Reference:MARQUEE

MARQUEE

Description

It is used to create a scrolling text marquee.

Syntax

<MARQUEE
BEHAVIOR=ALTERNATE | SCROLL | SLIDE
BGCOLOR=color
CLASS=classname
DATAFLD=colname
DATAFORMATAS=HTML | TEXT
DATASRC=#ID
DIRECTION=DOWN | LEFT | RIGHT | UP
HEIGHT=n
HSPACE=n
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
LOOP=n
SCROLLAMOUNT=n
SCROLLDELAY=milliseconds
STYLE=css1-properties
TITLE=text
TRUESPEED
VSPACE=n
WIDTH=n
event = script
>

Parameter | Description
BEHAVIOR | How the text scrolls in the marquee.
BGCOLOR | Background color behind the element. For a complete list of colors, see the Internet Explorer color table.
CLASS | Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.
DATAFLD | Column name from the data source object that supplies the bound data.
DATAFORMATAS | Indicates whether bound data is plain text or HTML.
DATASRC | ID of the data source object that supplies the data that is bound to this element.
DIRECTION | Which direction the text should scroll.
HEIGHT | HEIGHT of the MARQUEE in pixels or as a percentage of the screen height.
HSPACE | Along with VSPACE, specifies margins for the element.
ID | SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. JAVASCRIPT, JSCRIPT-- The script is written in JScript. VBS, VBSCRIPT --The script is written in VBScript.
LOOP | Number of times the marquee text will loop.
SCROLLAMOUNT | Number of pixels the text scrolls between each subsequent drawing of the MARQUEE.
SCROLLDELAY | Speed the MARQUEE scrolls in milliseconds.
STYLE | Inline style sheet for the tag.
TITLE | Used to provide advisory information.
TRUESPEED | When present, this attribute indicates that the exact scroll delay value specified is used to move the marquee text. Without this attribute, all scroll delay values of 59 or less are rounded to 60 milliseconds.
VSPACE | Along with HSPACE, specifies margins for the element in pixels.
WIDTH | Returns the calculated width of the marquee in window coordinates. In HTML, this attribute may be initially set in pixels or percentages.
event | Can be one or more of these events: onafterupdate onblur onbounce onclick ondblclick ondragstart onfinish onfocus onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup onresize onrowenter onrowexit onselectstart onstart

Version

Supported by Internet Explorer 4.0 or above version.

Example

<MARQUEE>It is easy to let the text scrolling.</MARQUEE>

would render as:

It is easy to let the text scrolling.

Remarks

Both the start and end tags are required.


HTML Reference:MENU

MENU

Description

Specifies that the following block consists of individual items that begin with the LI element.

Syntax

<MENU
CLASS=classname
ID=value
LANG=language
STYLE=css1-properties
TITLE=text
event = script
>

Parameter | Description
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
STYLE | Specifies an in-line style sheet for the tag.
TITLE | Used to provide advisory information.
event | Can be one or more of these events: onclick ondblclick ondragstart onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup onselectstart

Version

Supported by Internet Explorer 4.0 or above version.

Example

<MENU>
<LI>First item in the list.
<LI>Second item in the list.
<LI>Third item in the list.
</MENU>

would render as

  • First item in the list.
  • Second item in the list.
  • Third item in the list.

    • Remarks

    This element is a block element. Both the start and end tags are required.


HTML Reference: META

META

Description

Provides information about an HTML document to browsers, search engines, and other applications

Syntax

<META
CONTENT=description/url
HTTP-EQUIV=response
NAME=text
TITLE=text
>

Parameter | Description
CONTENT | Specifies meta-information to be associated with the given name or HTTP response header.
 | URL : If a URL is specifies, the URL will be loaded after the specified time has elapsed.
HTTP-EQUIV | Used to bind the CONTENT of the element to an HTTP response header. This information is then used based on the application reading the header.
NAME | Specifies the name of the control, bookmark, or application.
TITLE | Used to provide advisory information.

Example

<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="description" content="This is HTML reference page.">
<meta name="keywords" content="HTML, help, referece,..."

Remarks

This element may only be used within the HEAD tag. The start tag is required, and the end tag is optional.


HTML Reference:NOBR

NOBR

Description

Renders text without line breaking.

Syntax

<NOBR
ID=value
STYLE=css1-properties
TITLE=text
>

Parameter | Description
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
STYLE | Specifies an in-line style sheet for the tag.
TITLE | Used to provide advisory information.

Example

<NOBR>Here's a line of text I don't want to be broken . . . here's the end of the line.</NOBR>

Remarks

The start tag is required, and the end tag is optional.


HTML Reference:NOFRAMES

NOFRAMES

Description

It is used to contain HTML for browsers that do not support FRAMESET elements.

Syntax

<NOFRAMES
ID=value
STYLE=css1-properties
TITLE=text
>

Parameter | Description
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
STYLE | Specifies an in-line style sheet for the tag.
TITLE | Used to provide advisory information.

Example

<FRAMESET>...
<NOFRAMES>You need Internet Explorer 3.0 to view frames!</NOFRAMES>
</FRAMESET>

Remarks

This element is a block element. Both the start and end tags are required.

Related Topics

FRAME, FRAMESET


HTML Reference:NOSCRIPT

NOSCRIPT

Description

Netscape and Internet Explorer now support use of the <NOSCRIPT> ... </NOSCRIPT> container in HTML, which allows authors to write alternative content to cater for those users who browse with scripting capabilities disabled in the browser (or for those using non scriptable browsers).

Syntax

<NOSCRIPT>

Example

<HTML>
<HEAD><TITLE>Welcome to the HTMLib world of JavaScript</TITLE>
<SCRIPT LANGUAGE="JavaScript">
<!--
All of the JavaScript that controls the page goes here
// -->
</SCRIPT>
</HEAD>
<BODY>
<NOSCRIPT>
Sorry, you need a JavaScript capable browser to get the best from this page
</NOSCRIPT>
</BODY>
</HTML>

Remarks

This element is a block element. Both the start and end tags are required.


HTML Reference:OBJECT

OBJECT

Description

Inserts an object, such as an image, document, application, or control, into the HTML document.

Syntax

<OBJECT
ACCESSKEY=key
ALIGN=ABSBOTTOM | ABSMIDDLE | BASELINE | BOTTOM | LEFT | MIDDLE |
  RIGHT | TEXTTOP | TOP
CLASS=classname
CLASSID=id
CODE=url
CODEBASE=url
CODETYPE=media-type
DATA=url
DATAFLD=colname
DATASRC=#ID
HEIGHT=n
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
NAME=name
STYLE=Styling
TABINDEX=n
TITLE=text
TYPE=MIME-type
WIDTH=n
event = script
>

Parameter | Description
ACCESSKEY | Specifies an accelerator for the element. Pressing alt-key selects this element in the user's browser.
ALIGN | Specifies the alignment for the control-like element.
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
CLASSID | Identifies the object implementation. For example, the syntax is CLSID:class-identifier for registered ActiveX controls.
CODE | The name of the file containing the compiled Java class.
CODEBASE | Specifies a URL referencing where to find the implementation of the object.
CODETYPE | Specifies the Internet media type for code.
DATA | Specifies a URL referencing the object's data.
DATAFLD | The column name from the data source object that supplies the bound data. This attribute can be used on both the OBJECT element and the PARAM elements it contains.
DATASRC | Indicates the ID of the data source object that supplies the data that is bound to this element.
HEIGHT | Along with WIDTH, specifies the size at which the element is drawn. This attribute may be initially set in pixels or percentages.
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. JAVASCRIPT, JSCRIPT --The scripting language is written in JavaScript. VBS, VBSCRIPT-- The scripting language is written in VBScript.
NAME | Specifies the name of the control, bookmark, or application.
STYLE | Specifies an in-line style sheet for the tag.
TABINDEX | Sets the tab order position for the object.
TITLE | Used to provide advisory information.
TYPE | Specifies the MIME type for the associated scripting engine; will override any LANGUAGE value.
WIDTH | Along with HEIGHT, sets the initial size of the element. This attribute may be initially set in pixels or percentages.
event | Can be one or more of these events: onafterupdate onbeforeupdate onblur onclick ondblclick ondragstart onfocus onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup onreadystatechange onresize onrowenter onrowexit onselectstart

Example

<OBJECT
CLASSID="clsid:99B42120-6EC7-11CF-A6C7-00AA00A47DD2"
ID=lbl1
WIDTH=250
HEIGHT=250
>
<PARAM NAME="angle" VALUE="45">
<PARAM NAME="alignment" VALUE="2">
<PARAM NAME="BackStyle" VALUE="0">
<PARAM NAME="caption" VALUE="Hello there">
<PARAM NAME="FontName" VALUE="Arial">
<PARAM NAME="FontSize" VALUE="30">
<PARAM NAME="FontBold" VALUE="1">
<PARAM NAME="frcolor" VALUE="8388008">
</OBJECT>

Remarks

Objects can be submitted in forms. This element is a block element. Both the start and end tags are required.

Related Topics

APPLET, EMBED, PARAM


HTML Reference:OL

OL

Description

It is used to present a numbered list of items, sorted by sequence or order of importance and is typically rendered as a numbered list.

Syntax

<OL
CLASS=classname
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
START=n
STYLE=css1-properties
TITLE=text
TYPE=1 | a | A | i | I
event = script
>

Parameter | Description
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. JAVASCRIPT, JSCRIPT-- The scripting language is written in JavaScript. VBS, VBSCRIPT-- The scripting language is written in VBScript.
START | Specifies the starting number for a list.
STYLE | Specifies an in-line style sheet for the tag.
TITLE | Used to provide advisory information.
TYPE | Changes the style of the list. 1-- List items are numbered. a --List items are labeled with lowercase letters. A--List items are labeled with uppercase letters. i-- List items are labeled with lowercase roman numerals. I-- List items are labeled with uppercase roman numerals.
event | Can be one or more of these events: onclick ondblclick ondragstart onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup onselectstart

Example

<OL>
<LI>Sothink HTML Editor is free.
<LI>Sothink HTML Editor is a web page editor.
<LI>Sothink HTML Editor can be download.
</OL>

would render as

  1. Sothink HTML Editor is free.
  2. Sothink HTML Editor is a web page editor
  3. Sothink HTML Editor can be download .

Remarks

This element is a block element. Both the start and end tags are required.

Related Topics

LI


HTML Reference:OPTION

OPTION

Description

It represents one choice, and can take the following attributes. The contents of the Option element is presented to the user to represent the option.

Syntax

<OPTION
CLASS=Style Sheet class name
ID=value
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
SELECTED
VALUE=value
event = script
>

Parameter | Description
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. JAVASCRIPT, JSCRIPT --The scripting language is written in JavaScript. VBS, VBSCRIPT --The scripting language is written in VBScript.
SELECTED | Indicates that this option is initially selected.
VALUE | When present indicates the value to be returned if this option is chosen. The returned value defaults to the contents of the Option element.
event | Can be one or more of these events: ondragstart onselectstart

Example

<SELECT NAME="Products List" SIZE="1">
<option value="1" selected>PRODUCTS LIST</option>
<option value="2">Sothink HTML Editor </option>
<option value="3">COOLMENU</option>
<option value="4">COOLTEXT</option>
<option value="5">SLIDINGMENU</option>
<option value="6">COOLBUTTON</option>
</SELECT>

The code is rendered as:

Remarks

This element is a block element. The start tag is required, and the end tag is optional.

Related Topics

SELECT


HTML Reference: P

P

Description

Indicates a paragraph of text.

Syntax

<P
ALIGN=CENTER | LEFT | RIGHT
CLASS=classname
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=css1-properties
TITLE=text
event = script
>

Parameter | Description
ALIGN | Displays the element left flush, right flush, or centered relative to the display or table.
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. JAVASCRIPT, JSCRIPT --The scripting language is written in JavaScript. VBS, VBSCRIPT --The scripting language is written in VBScript.
STYLE | Specifies an in-line style sheet for the tag.
TITLE | Used to provide advisory information.
event | Can be one or more of these events: onclick ondblclick ondragstart onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup onselectstart

Example

<P>This is a paragraph.</P>

Remarks

This element is a block element. The start tag is required, and the end tag is optional.


HTML Reference:PARAM

PARAM

Description

Sets the property value for a given object.

Syntax

<PARAM
DATAFLD=colname
DATAFORMATAS=HTML | TEXT
DATASRC=#ID
NAME=name
VALUE=value
>

Parameter | Description
DATAFLD | The column name from the data source object that supplies the bound data.
DATAFORMATAS | Indicates whether bound data is plain text or HTML.
DATASRC | Indicates the ID of the data source object that supplies the data that is bound to this element.
NAME | Specifies the name of the parameter.
VALUE | Specifies the property value. The value is passed to the object without change except that any character or numeric character entities are replaced with their corresponding character values.

Related Topics

APPLET, EMBED, OBJECT


HTML Reference:PLAINTEXT

PLAINTEXT

Description

Renders text in fixed-width type without processing tags and disables HTML parsing for the rest of the document.

Syntax

<PLAINTEXT
CLASS=classname
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=css1-properties
TITLE=text
event = script
>

Parameter | Description
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. JAVASCRIPT, JSCRIPT The scripting language is written in JavaScript. VBS, VBSCRIPT The scripting language is written in VBScript.
STYLE | Specifies an in-line style sheet for the tag.
TITLE | Used to provide advisory information.
event | Can be one or more of these events: onclick ondblclick ondragstart onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup onselectstart

Version

it's supported by Internet Explorer 3.02 (and preview versions of 4.0) and versions of Netscape up to 4.01. For new documents, <PRE> is used instead.

Example

I live<PLAINTEXT>in the rainiest part of the world.

It is rendered as:

I live
in the rainiest part of the world.

Remarks

This element is a block element. Both the start and end tags are required.

Related Topics

PRE


HTML Reference: PRE

PRE

Description

Renders text in fixed-width type.

Syntax

<PRE
CLASS=classname
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=css1-properties
TITLE=text
event = script
>

Parameter | Description
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. JAVASCRIPT, JSCRIPT-- The scripting language is written in JavaScript. VBS, VBSCRIPT --The scripting language is written in VBScript.
STYLE | Specifies an in-line style sheet for the tag.
TITLE | Used to provide advisory information.
event | Can be one or more of these events: onclick ondblclick ondragstart onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup onselectstart

Example

<PRE>Here's some plain text.</PRE>

would render as

Here's some plain text.

Remarks

This element is a block element. Both the start and end tags are required.


HTML Reference: Q

Q

Description

This element specifies that the enclosed text is an in-line quote.

Syntax

<Q
CLASS=classname
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=css1-properties
TITLE=text
event = script
>

Parameter | Description
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. JAVASCRIPT, JSCRIPT-- The scripting language is written in JavaScript. VBS, VBSCRIPT-- The scripting language is written in VBScript.
STYLE | Specifies an in-line style sheet for the tag.
TITLE | Used to provide advisory information.
event | Can be one or more of these events: onclick ondblclick ondragstart onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup onselectstart

Example

<P>He said,
<Q>"Hi!"</Q>

Remarks

This element is a block element. Both the start and end tags are required.

Related Topics

BLOCKQUOTE


HTML Reference: S

S

Description

Renders text in strikethrough type.

Syntax

<S
CLASS=classname
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=css1-properties
TITLE=text
event = script
>

Parameter | Description
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. JAVASCRIPT, JSCRIPT --The scripting language is written in JavaScript. VBS, VBSCRIPT --The scripting language is written in VBScript.
STYLE | Specifies an in-line style sheet for the tag.
TITLE | Used to provide advisory information.
event | Can be one or more of these events: onclick ondblclick ondragstart onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup onselectstart

Example

<STRIKE>A line through the text.</STRIKE>

would be rendered as

A line through the text.

Remarks

Both the start and end tags are required.

Related Topics

STRIKE


HTML Reference: SAMP

SAMP

Description

The Sample element can be used to indicate a sequence of literal characters and is typically rendered in a mono spaced font.

Syntax

<SAMP
CLASS=classname
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=css1-properties
TITLE=text
event = script
>

Parameter | Description
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. JAVASCRIPT, JSCRIPT --The scripting language is written in JavaScript. VBS, VBSCRIPT-- The scripting language is written in VBScript.
STYLE | Specifies an in-line style sheet for the tag.
TITLE | Used to provide advisory information.
event | Can be one or more of these events: onclick ondblclick ondragstart onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup onselectstart

Example

A sequence of <SAMP>literal characters</SAMP> commonly renders in a monospaced font.

would render as:

A sequence of literal characters commonly renders in a monospaced font.

Remarks

Both the start and end tags are required.

Related Topics

CODE


HTML Reference: SCRIPT

SCRIPT

Description

It is used to specifies a script for the page that will be interpreted by a script engine.

Syntax

<SCRIPT
CLASS=classname
DEFER
EVENT=eventname
FOR=element
ID=value
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
SRC=url
TITLE=text
TYPE=MIME-type
>

Parameter | Description
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
DEFER | Indicates the script block contains only functions and no in-line script. Deferring the parsing of scripts until they are needed can improve performance by decreasing the time it takes to load a document.
EVENT | Specifies the event the script is being written for.
FOR | Specifies which element is being bound to the event script. A scripting object or element ID can be specified as the element value.
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. This attribute overrides any TYPE= value. JAVASCRIPT, JSCRIPT-- The scripting language is written in JavaScript. VBS, VBSCRIPT --The scripting language is written in VBScript.
SRC | Specifies a URL for the associated file.
TITLE | Used to provide advisory information.
TYPE | Specifies the MIME type for the associated scripting engine.

Version

JavaScript Versioin | Internet Explorer | Netscapte
1.0 | Supported from Version 3.0 | Supported from version 2.0
1.1 | IEx 3.0x doesn't support all functionality. IEx 4.0+ does. | Supported from version 3.0
1.2 | IEx 3.0x throws ''function' not defined' error. Is supported by IEx 4.0+ | Supported by version 4.0

Sample

<SCRIPT LANGUAGE="language" SRC="url">
<!-- Begin to hide script contents from old browsers.
. . . Script functions/routines go here
End the hiding here.-->
</SCRIPT>

Remarks

This element is a block element. Both the start and end tags are required.


HTML Reference: SELECT

SELECT

Description

It allows the user to choose one of a set of alternatives described by textual labels.

Syntax

 <SELECT
ACCESSKEY=key
ALIGN=ABSBOTTOM | ABSMIDDLE | BASELINE | BOTTOM | LEFT | MIDDLE |
  RIGHT | TEXTTOP | TOP
CLASS=classname
DATAFLD=colname
DATASRC=#ID
DISABLED
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
MULTIPLE
NAME=name
SIZE=n
STYLE=css1-properties
TABINDEX=n
event = script
>

Parameter | Description
ACCESSKEY | Specifies an accelerator for the element. Pressing alt-key selects this element in the user's browser.
ALIGN | Specifies the alignment for the control-like element.
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
DATAFLD | The column name from the data source object that supplies the bound data.
DATASRC | Indicates the ID of the data source object that supplies the data that is bound to this element.
DISABLED | Used to disable an element. This attribute prevents an element from receiving the focus, and causes the element to appear "grayed out."
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. JAVASCRIPT, JSCRIPT-- The scripting language is written in JavaScript. VBS, VBSCRIPT-- The scripting language is written in VBScript.
MULTIPLE | Indicates that multiple items in the list can be selected.
NAME | Specifies the name of the control, bookmark, or application.
SIZE | Specifies the size of the control.
STYLE | Specifies an in-line style sheet for the tag.
TABINDEX | Sets the tab order position for the object.
event | Can be one or more of these events: onafterupdate onbeforeupdate onblur onchange onclick ondblclick ondragstart onfocus onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup onresize onrowenter onrowexit onselectstart

Example

<SELECT NAME="Choice">
<OPTION>Sothink
<OPTION>Coolbutton
<OPTION>Coolmenu
<OPTION>Cooltext
<OPTION>Slidingmenu
<OPTION SELECTED>.......
</SELECT>

Remarks

Both the start and end tags are required.

Related Topics

OPTION


HTML Reference: SMALL

SMALL

Description

This element is used to specifies that the enclosed text should be displayed with a relatively smaller font than the current font.

Syntax

<SMALL
CLASS=classname
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=css1-properties
TITLE=text
event = script
>

Parameter | Description
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE | | JSCRIPT | VBS | VBSCRIPT Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. JAVASCRIPT, JSCRIPT --The scripting language is written in JavaScript. VBS, VBSCRIPT --The scripting language is written in VBScript.
STYLE | Specifies an in-line style sheet for the tag.
TITLE | Used to provide advisory information.
event | Can be one or more of these events: onclick ondblclick ondragstart onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup onselectstart

Example

<SMALL>This text is smaller than the current font.</SMALL>

would render as

This text is smaller than the current font.

Remarks

Both the start and end tags are required.


HTML Reference: SPAN

SPAN

Description

The element is used to apply a style to text which doesn't play any structural role, or where use of standard HTML elements is not desirable. It allows a user to define their own method of rendering using style sheets.

Syntax

<SPAN
CLASS=classname
DATAFLD=colname
DATAFORMATAS=HTML | TEXT
DATASRC=#ID
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=css1-properties
TITLE=text
event = script
>

Parameter | Description
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
DATAFLD | The column name from the data source object that supplies the bound data.
DATAFORMATAS | Indicates whether bound data is plain text or HTML.
DATASRC | Indicates the ID of the data source object that supplies the data that is bound to this element.
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. JAVASCRIPT, JSCRIPT-- The scripting language is written in JavaScript. VBS, VBSCRIPT-- The scripting language is written in VBScript.
STYLE | Specifies an in-line style sheet for the tag.
TITLE | Used to provide advisory information.
event | Can be one or more of these events: onclick ondblclick ondragstart onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup onselectstart

Version

Supported by Internet Explorer 4.0 or above version.

Example

<P>This paragraph contains a single <SPAN STYLE="color: yellow">yellow</SPAN> word.

The code is rendered as:

This paragraph contains a single yellow word.

Remarks

Both the start and end tags are required. Example


HTML Reference: STRIKE

STRIKE

Description

Renders text in strikethrough type.

Syntax

<STRIKE
CLASS=classname
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=css1-properties
TITLE=text
event = script
>

Parameter | Description
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. JAVASCRIPT, JSCRIPT --The scripting language is written in JavaScript. VBS, VBSCRIPT --The scripting language is written in VBScript.
STYLE | Specifies an in-line style sheet for the tag.
TITLE | Used to provide advisory information.
event | Can be one or more of these events: onclick ondblclick ondragstart onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup onselectstart

Example

<STRIKE>A line through the text.</STRIKE>

would be rendered as

A line through the text.

Remarks

Both the start and end tags are required

Related Topics

S


HTML Reference: STRONG

STRONG

Description

The Strong element can be used to indicate strong typographic emphasis and is typically rendered in a bold font.

Syntax

<STRONG
CLASS=classname
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=css1-properties
TITLE=text
event = script
>

Parameter | Description
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. JAVASCRIPT, JSCRIPT --The scripting language is written in JavaScript. VBS, VBSCRIPT-- The scripting language is written in VBScript.
STYLE | Specifies an in-line style sheet for the tag.
TITLE | Used to provide advisory information.
event | Can be one or more of these events: onclick ondblclick ondragstart onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup onselectstart

Example

<STRONG>Sothink HTML Editor is a free web page editor.</STRONG>

would render as

Sothink HTML Editor is a free web page editor.

Remarks

Both the start and end tags are required.

Related Topics

ACRONYM, ADDRESS, CITE, EM


HTML Reference: STYLE

HTML Tag STYLE

Description

Specifies the style sheet for the page.

Syntax

<STYLE
DISABLED
MEDIA=SCREEN | PRINT | ALL
TITLE=text
TYPE="text/css"
>

Parameter | Description
DISABLED | Used to disable an element. This attribute prevents an element from receiving the focus, and causes the element to appear "grayed out."
MEDIA | Describes the output device for the document. A value of "PRINT" does not affect the on-screen layout. Default value is ALL. SCREEN --Output is intended for non-paged computer screens. PRINT-- Output is intended for paged, opaque material and for documents on screen viewed in print preview mode. ALL --Applies to all devices.
TITLE | Used to provide advisory information.
TYPE | Indicates the type of style sheet.

Example

<STYLE>
BODY {background: yellow; color: white}
H1 {font: 6pt Arial bold}
P {font: 15pt Arial; text-indent: 0.5in}
A {text-decoration: none; color: blue}
</STYLE>

Remarks

This element may be used within the BODY tag. Both the start and end tags are required.

Related Topics

SUP


HTML Reference: SUB

SUB

Description

The enclosed text should be displayed in subscript, and using a smaller font than the current font.

Syntax

<SUB
CLASS=classname
ID=value

LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=css1-properties
TITLE=text
event = script
>

Parameter | Description
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. JAVASCRIPT, JSCRIPT --The scripting language is written in JavaScript. VBS, VBSCRIPT --The scripting language is written in VBScript.
STYLE | Specifies an in-line style sheet for the tag.
TITLE | Used to provide advisory information.
event | Can be one or more of these events: onclick ondblclick ondragstart onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup onselectstart

Example

This is the main text, with <SUB>this bit</SUB> being subscript.

would render as

This is the main text, with this bit being subscript.

Remarks

Both the start and end tags are required.

Related Topics

SUP


HTML Reference: SUP

SUP

Description

The Superscript element specifies that the enclosed text should be displayed as a superscript and in a smaller font relative to the current font.

Syntax

<SUP
TITLE=text
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
CLASS=classname
STYLE=css1-properties
ID=value
event = script
>

Parameter

Description

TITLE

The TITLE attribute is for advisory information (unless used with a mailto: attribute). The Title attribute should provide the title of the document whose address is given by the HREF attribute. The contents of the title attribute will be displayed in a tooltip during the mouse moves on the link. Internet Explorer 4.0 (and above) is the only browser to implement this.

LANG

Specifies which language to use in ISO standard language abbreviation form.

LANGUAGE

Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.
* JAVASCRIPT, JSCRIPT The script is written in JScript.
* VBS, VBSCRIPT The script is written in VBScript.

CLASS

Class of the tag being defined. This is used to associate a subclassed style sheet with the tag.

STYLE

Inline style sheet for the tag.

ID

SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underscore character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.

events

Can be one or more of these events:
onclick ;
ondblclick ;
ondragstart ;
onhelp ;
onkeydown ;
onkeypress ;
onkeyup ;
onmousedown ;
onmousemove ;
onmouseout ;
onmouseover ;
onmouseup ;
onselectstart

Example

This is the main text, with <SUP>this bit</SUP> being superscript.

would render as :

This is the main text, with this bit being superscript.

Remarks

Both the start and end tags are required.

Related Topics

SUB


HTML Reference: TABLE

TABLE

Description

It is used to wrap all the other table elements,and other table elements will be ignored if they aren't wrapped inside of a <TABLE> ... </TABLE> element.

Syntax

<TABLE
ALIGN=CENTER | LEFT | RIGHT
BACKGROUND=url
BGCOLOR=color
BORDER=n
BORDERCOLOR=color
BORDERCOLORDARK=color
BORDERCOLORLIGHT=color
CELLPADDING=n
CELLSPACING=n
CLASS=classname
COLS=n
DATAPAGESIZE=n
DATASRC=#ID
FRAME=ABOVE | BELOW | BORDER | BOX | INSIDES | LHS | RHS | VOID |
  VSIDES
HEIGHT=n
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
RULES=ALL | COLS | GROUPS | NONE | ROWS
STYLE=css1-properties
TITLE=text
WIDTH=n
event = script
>

Parameter | Description
Align | Specifies how the table should be aligned.
BACKGROUND | Specifies a background picture for the table. The picture is tiled behind the text and graphics in the table, table head, or table cell.
BGCOLOR | Sets the background color behind the element.
BORDER | Specifies the thickness of a border to be drawn around the element.
BORDERCOLOR | Sets border color and must be used with the BORDER attribute, except for frames.
BORDERCOLORDARK | Sets independently, the darker colour to be displayed on a 3-dimensional header cell border. It is the opposite of BORDERCOLORLIGHT. Any of the pre-defined colour names can be used, as well as any colour defined by a rrggbb hex triplet.
BORDERCOLORLIGHT | Sets independently, the lighter colour to be displayed on a 3-dimensional header cell border. It is the opposite of BORDERCOLORDARK. Any of the pre-defined colour names can be used, as well as any colour defined by a rrggbb hex triplet.
CELLPADDING | Specifies the amount of space between cells in a table.
CELLSPACING | Specifies the amount of space between the border of the cell and the contents of the cell.
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
COLS | The number of columns in the table.
DATAPAGESIZE | Sets the number of records displayed in a data bound repeated table.
DATASRC | Indicates the ID of the data source object that supplies the data that is bound to this element.
FRAME | BORDER | BOX | INSIDES | LHS | RHS | VOID | VSIDES-- Specifies which sides of a frame (outside borders) are displayed. The possible values are: BORDER --Displays a border on all sides of the table frame. This is the default. VOID --Removes all outside table borders. ABOVE --Displays a border on the top side of the table frame. BELOW --Displays a border on the bottom side of the table frame. HSIDES-- Displays a border on the top and bottom sides of the table frame. LHS-- Displays a border on the left-hand side of the table frame. RHS --Displays a border on the right-hand side of the table frame. VSIDES --Displays a border on the left and right sides of the table frame. BOX --Displays a border on all sides of the table frame.
HEIGHT | Along with WIDTH, specifies the size at which the element is drawn. This attribute may be initially set in pixels or percentages.
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. JAVASCRIPT, JSCRIPT --The scripting language is written in JavaScript. VBS, VBSCRIPT --The scripting language is written in VBScript.
RULES | Specifies which dividing lines are displayed (inside borders). Specifies which dividing lines (inside borders) are displayed. The possible values are: NONE --Removes all interior table borders. This is the default. GROUPS-- Displays horizontal borders between all table groups. Groups are specified by the THEAD, TBODY, TFOOT, and COLGROUP elements. ROWS --Displays horizontal borders between all table rows. COLS --Displays vertical borders between all table columns. ALL Displays a border on all rows and columns.
STYLE | Specifies an in-line style sheet for the tag.
TITLE | Used to provide advisory information. The contents of the title attribute will be displayed in a ToolTip during the onmouseover event.
WIDTH | Along with HEIGHT, sets the initial size of the element. This attribute may be initially set in pixels or percentages.
event | Can be one or more of these events: onafterupdate onbeforeupdate onblur onclick ondblclick ondragstart onfocus onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup onresize onrowenter onrowexit onscroll onselectstart

Example

<TABLE BORDER=1 WIDTH=80%>
<THEAD>
<TR>
<TH>Heading 1</TH>
<TH>Heading 2</TH>
</TR>
<TBODY>
<TR>
<TD>Row 1, Column 1 text.</TD>
<TD>Row 1, Column 2 text.</TD>
</TR>
<TR>
<TD>Row 2, Column 1 text.</TD>
<TD>Row 2, Column 2 text.</TD>
</TR>
</TABLE>

Remarks

This element is a block element. Both the start and end tags are required.

Related Topics

TD, TR


HTML Reference: TBODY

TBODY

Description

It is used to specify the body section of the table. It is somewhat analogous to the <BODY> element. It doesn't directly affect the rendering of the table on the screen, but is required if RULES wish to be set in the <TABLE>.

Syntax

<TBODY
ALIGN=CENTER | LEFT | RIGHT
BGCOLOR=color
CLASS=classname
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=css1-properties
TITLE=text
VALIGN=BASELINE | BOTTOM | MIDDLE | TOP
event = script
>

Parameter | Description
ALIGN | Displays the element left flush, right flush, or centered relative to the display or table.
BGCOLOR | Sets the background color behind the element.
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. JAVASCRIPT, JSCRIPT --The scripting language is written in JavaScript. VBS, VBSCRIPT-- The scripting language is written in VBScript.
STYLE | Specifies an in-line style sheet for the tag.
TITLE | Used to provide advisory information.
VALIGN | Displays the elements aligned at the top or bottom within the element. BASELINE-- Vertical align to the baseline of the font. BOTTOM --Vertical align to the bottom of the element. MIDDLE-- Vertical align to the middle of the element. TOP --Vertical align to the top of the element.
event | Can be one or more of these events: onclick ondblclick ondragstart onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup onselectstart

Example

<TABLE>
<THEAD>
<TR>
...
</TR>
<TBODY>
<TR>
...</TR>
</TBODY>
</TABLE>

Remarks

This element is exposed for all tables, even if the table did not explicitly define a TBODY element. This element is a block element. The end tags are optional.


HTML Reference: TD

TD

Description

It stands for table data, and specifies a standard table data cell.Table data cells must only appear within table rows.

Syntax

<TD
ALIGN=CENTER | LEFT | RIGHT
BACKGROUND=url
BGCOLOR=color
BORDERCOLOR=color
BORDERCOLORDARK=color
BORDERCOLORLIGHT=color
CLASS=classname
COLSPAN=n
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
NOWRAP
ROWSPAN=n
STYLE=css1-properties
TITLE=text
VALIGN=BASELINE | BOTTOM | MIDDLE | TOP
event = script
>

Parameter | Description
ALIGN | This controls whether text inside the table cell(s) is aligned to the left, right or centre of the cell.
BACKGROUND | Specifies a background picture for the table. The picture is tiled behind the text and graphics in the table, table head, or table cell.
BGCOLOR | Selects the background color and sets behind the element.
BORDERCOLOR | Selects the border color and sets behind the element.
BORDERCOLORDARK | Sets independent border color control over one of the two colors used to draw a 3-D border, opposite of BORDERCOLORLIGHT, and must be used with the BORDER attribute.
BORDERCOLORLIGHT | Sets independent border color control over one of the two colors used to draw a 3-D border, opposite of BORDERCOLORDARK, and must be used with the BORDER attribute.
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
COLSPAN | Specifies how many columns in the TABLE this cell should span.
ID | The ID attribute can be used to either reference a unique style sheet identifier, or to provide a unique name for the <TD> element for scripting purposes.
LANG | Species what language the <TD> element is using.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. JAVASCRIPT,JSCRIPT--The scripting language is written in JavaScript. VBSCRIPT,VBS--The scripting language is written in VBScript.
NOWRAP | The NOWRAP attribute is used when you do not want the browser to automatically perform word wrap.
ROWSPAN | Specifies how many rows in a TABLE this cell should span.
STYLE | Specifies an in-line style sheet for the tag.
TITLE | Used to provide advisory information. The contents of the title attribute will be displayed in a ToolTip during the onmouseover event.
VALIGN | Displays the elements aligned at the top or bottom within the element. BASELINE --Vertical align to the baseline of the font. BOTTOM--Vertical align to the bottom of the element. MIDDLE--Vertical align to the middle of the element. TOP-- Vertical align to the top of the element.
event | Can be one or more of these events: onafterupdate onbeforeupdate onblur onclick ondblclick ondragstart onfocus onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup onresize onrowenter onrowexit onscroll onselectstart

Example

<TD ...> ... </TD>

Remarks

This element is a block element. Both the start and end tags are required. An Address is rendered in an italic typeface and may be indented.

Related Topics

TABLE, TH, TR


HTML Reference:TEXTAREA

TEXTAREA

Description

This element can let users enter multiline of text. Any text between the start tag and end tag is used as the initial value for the control.

Syntax

<TEXTAREA
ACCESSKEY=key
ALIGN=ABSBOTTOM | ABSMIDDLE | BASELINE | BOTTOM | LEFT | MIDDLE |
  RIGHT | TEXTTOP | TOP
CLASS=Style Sheet class name
COLS=n
DATAFLD=colname
DATASRC=#ID
DISABLED
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
NAME=name
READONLY
ROWS=n
STYLE=styling
TABINDEX=n
TITLE=text
WRAP=OFF | PHYSICAL | VIRTUAL
event = script
>

Parameter | Description
ACCESSKEY | Specifies an accelerator for the element. Pressing alt-key selects this element in the user's browser.
ALIGN | Specifies the alignment for the control-like element.
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
COLS | Specifies how many characters wide the text area is.
DATAFLD | The column name from the data source object that supplies the bound data.
DATASRC | Indicates the ID of the data source object that supplies the data that is bound to this element.
DISABLED | Used to disable an element. This attribute prevents an element from receiving the focus, and causes the element to appear "grayed out."
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. JAVASCRIPT, JSCRIPT-- The scripting language is written in JavaScript. VBS, VBSCRIPT-- The scripting language is written in VBScript.
NAME | Specifies the name of the control, bookmark, or application.
READONLY | Causes the element's contents to be read only.
ROWS | Specifies the number of rows tall the text area control should be.
STYLE | Specifies an in-line style sheet for the tag.
TABINDEX | Sets the tab order position for the object.
TITLE | Used to provide advisory information.
WRAP | Specifies how to handle word-wrapping inside the text area. *OFF-- Word-wrapping is disabled (default). *PHYSICAL --The display word-wraps, and the text is transmitted at all wrap points. *VIRTUAL --The display word-wraps, but long lines are sent as one line without new-lines.
event | Can be one or more of these events: onafterupdate onbeforeupdate onblur onchange onclick ondblclick ondragstart onfocus onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup onresize onrowenter onrowexit onscroll onstart onselectstart

Example

<textarea name="the sample of textarea" rows="3" wrap="VIRTUAL" cols="20">This is a sample of text area</textarea>

The code is rendered as:

Remarks

The default font is fixed pitch. Both the start and end tags are required.

Related Topics

INPUT


HTML Reference: TFOOT

TFOOT

Description

It is used to specify the footer section of the table. It doesn't directly affect the rendering of the table on the screen, but is required if RULES wish to be set in the <TABLE>.

Syntax

<TFOOT
ALIGN=CENTER | LEFT | RIGHT
BGCOLOR=color
CLASS=classname
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=css1-properties
TITLE=text
VALIGN=BASELINE | BOTTOM | MIDDLE | TOP
event = script
>

Parameter | Description
ALIGN | Displays the element left flush, right flush, or centered relative to the display or table.
BGCOLOR | Sets the background color behind the element. For a complete list of colors, look at the Internet Explorer color table.
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. JAVASCRIPT, JSCRIPT --The scripting language is written in JavaScript. VBS, VBSCRIPT-- The scripting language is written in VBScript.
STYLE | Specifies an in-line style sheet for the tag.
TITLE | Used to provide advisory information.
VALIGN | Displays the elements aligned at the top or bottom within the element. BASELINE Vertical align to the baseline of the font. BOTTOM --Vertical align to the bottom of the element. MIDDLE-- Vertical align to the middle of the element. TOP-- Vertical align to the top of the element.
event | Can be one or more of these events: onclick ondblclick ondragstart onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup onselectstart

Example

<TABLE>
<TBODY>
<TR>
...
</TR>
<TFOOT>
<TR>
...
</TR>
</TABLE>

Remarks

This element is a block element.


HTML Reference: TH

TH

Description

Draw a row or column heading in a table.

Syntax

<TH
ALIGN=CENTER | LEFT | RIGHT
BACKGROUND=url
BGCOLOR=color
BORDERCOLOR=color
BORDERCOLORDARK=color
BORDERCOLORLIGHT=color
CLASS=classname
COLSPAN=n
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
NOWRAP
ROWSPAN=n
STYLE=css1-properties
TITLE=text
VALIGN=BASELINE | BOTTOM | MIDDLE | TOP
event = script
>

Parameter | Description
ALIGN | This attribute controls whether text inside the table header is aligned to the left, right or centred within the cell.
BACKGROUND | Specifies a background picture for the table. The picture is tiled behind the text and graphics in the table, table head, or table cell.
BGCOLOR | Sets the background color behind the element.
BORDERCOLOR | Sets border color and must be used with the BORDER attribute, except for frames.
BORDERCOLORDARK | Sets independently, the darker colour to be displayed on a 3-dimensional header cell border. It is the opposite of BORDERCOLORLIGHT. Any of the pre-defined colour names can be used, as well as any colour defined by a rrggbb hex triplet.
BORDERCOLORLIGHT | Sets independently, the lighter colour to be displayed on a 3-dimensional header cell border. It is the opposite of BORDERCOLORDARK. Any of the pre-defined colour names can be used, as well as any colour defined by a rrggbb hex triplet.
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
COLSPAN | Specifies how many columns in the TABLE this cell should span.
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Species what language the <TH> element is using.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. JAVASCRIPT, JSCRIPT --The scripting language is written in JavaScript. VBS, VBSCRIPT --The scripting language is written in VBScript.
NOWRAP | The NOWRAP attribute is used when you do not want the browser to automatically perform word wrap.
ROWSPAN | Specifies how many rows in a TABLE this cell should span.
STYLE | Specifies an in-line style sheet for the tag.
TITLE | Used to provide advisory information. The contents of the title attribute will be displayed in a ToolTip during the onmouseover event.
VALIGN | BOTTOM | CENTER | TOP--Displays the elements aligned at the top or bottom within the element. BASELINE --Vertical align to the baseline of the font. BOTTOM--Vertical align to the bottom of the element. MIDDLE-- Vertical align to the middle of the element. TOP-- Vertical align to the top of the element.
event | Can be one or more of these events: onclick ondblclick ondragstart onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup onscroll onselectstart

Example

<TH> ... </TH>

Remarks

This element is a block element. Both the start and end tags are required.

Related Topics

TD, TR


HTML Reference: APPLET

THEAD

Description

This element is used to specify the head section of the table.It doesn't directly affect the rendering of the table on the screen,but is required if rules wish to be set in the table.

Syntax

<THEAD
ALIGN=CENTER | LEFT | RIGHT
BGCOLOR=color
CLASS=classname
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=css1-properties
TITLE=text
VALIGN=BASELINE | BOTTOM | MIDDLE | TOP
event = script
>

Parameter | Description
ALIGN | Displays the element left flush, right flush, or centered relative to the display or table.
BGCOLOR | Sets the background color behind the element.
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. JAVASCRIPT, JSCRIPT-- The scripting language is written in JavaScript. VBS, VBSCRIPT --The scripting language is written in VBScript.
STYLE | Specifies an in-line style sheet for the tag.
TITLE | Used to provide advisory information. The contents of the title attribute will be displayed in a ToolTip during the onmouseover event.
VALIGN | Displays the elements aligned at the top or bottom within the element. BASELINE-- Vertical align to the baseline of the font. BOTTOM --Vertical align to the bottom of the element. MIDDLE --Vertical align to the middle of the element. TOP-- Vertical align to the top of the element.
event | Can be one or more of these events: onclick ondblclick ondragstart onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup onselectstart

Example

<TABLE>
<THEAD>
<TR>
...
</TR>
<TBODY>
<TR>
...
</TR>
</TABLE>

Remarks

This element is a block element.


"Welcome To Internet Explorer!"

TITLE

Description

It should identify the contents of the document and in a global context, and may be used in history lists and as a label for the windows displaying the document.

Syntax

<TITLE
ID=value
TITLE=string
>

Parameter | Description
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
TITLE | Used to provide advisory information.

Example

<HEAD>
<TITLE>"Welcome To Use SothinkWebEditor!"</TITLE>
</HEAD>

Remarks

The Title element must occur within the head of the document and may not contain anchors, paragraph elements, or highlighting. Only one title is allowed in a document.


HTML Reference: TR

TR

Description

Draw a row in a table.The row can contain one or more TD elements.

Syntax

<TR
ALIGN=CENTER | LEFT | RIGHT
BGCOLOR=color
BORDERCOLOR=color
BORDERCOLORDARK=color
BORDERCOLORLIGHT=color
CLASS=classname
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=css1-properties
TITLE=text
VALIGN=BASELINE | BOTTOM | MIDDLE | TOP
event = script
>

Parameter | Description
ALIGN | This controls whether text inside the table cell(s) is aligned to the left, right or centre of the cell.
BGCOLOR | Selects the background color and sets behind the element.
BORDERCOLOR | Selects the border color and sets behind the element.
BORDERCOLORDARK | Sets independent border color control over one of the two colors used to draw a 3-D border, opposite of BORDERCOLORLIGHT, and must be used with the BORDER attribute.
BORDERCOLORLIGHT | Sets independent border color control over one of the two colors used to draw a 3-D border, opposite of BORDERCOLORDARK, and must be used with the BORDER attribute.
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Species what language the <TR> element is using.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. JAVASCRIPT,JSCRIPT--The scripting language is written in JavaScript. VBSCRIPT,VBS--The scripting language is written in VBScript.
STYLE | Specifies an in-line style sheet for the tag.
TITLE | Used to provide advisory information. The contents of the title attribute will be displayed in a ToolTip during the onmouseover event.
VALIGN | Displays the elements aligned at the top or bottom within the element. BASELINE --Vertical align to the baseline of the font. BOTTOM--Vertical align to the bottom of the element. MIDDLE--Vertical align to the middle of the element. TOP-- Vertical align to the top of the element.
event | Can be one or more of these events: onafterupdate onbeforeupdate onblur onclick ondblclick ondragstart onfocus onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup onresize onrowenter onrowexit onselectstart

Example

<TABLE>
<TR>
...
</TR>
<TR>
...
</TR>
</TABLE>

Remarks

This element is a block element. Both the start and end tags are required.

Related Topics

TABLE, TD, TH


HTML Reference: TT

TT

Description

The Teletype element specifies that the text should be rendered in fixed-width typewriter font where available. The required end tag returns the text formatting to normal.

Syntax

<TT
CLASS=classname
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=css1-properties
TITLE=text
event = script
>

Parameter | Description
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. JAVASCRIPT, JSCRIPT --The scripting language is written in JavaScript. VBS, VBSCRIPT --The scripting language is written in VBScript
STYLE | Specifies an in-line style sheet for the tag.
TITLE | Used to provide advisory information.
event | Can be one or more of these events: onclick ondblclick ondragstart onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup onselectstart

Example

<TT>There's some plain text in the paragraph.</TT>

would render as

There's some plain text in the paragraph.

Remarks

Both the start and end tags are required.


HTML Reference: U

U

Description

The Underline elements state that the enclosed text should be rendered, if practical, underlined. The required end tag restores the text to normal.

Syntax

<U
 CLASS=classname
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=css1-properties
TITLE=text
event = script
>

Parameter | Description
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. JAVASCRIPT, JSCRIPT --The scripting language is written in JavaScript. VBS, VBSCRIPT --The scripting language is written in VBScript.
STYLE | Specifies an in-line style sheet for the tag.
TITLE | Used to provide advisory information.
event | Can be one or more of these events: onclick ondblclick ondragstart onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup onselectstart

Example

<U>This paragraph is underlined.</U>

would render as

This paragraph is underlined.

Remarks

Both the start and end tags are required.


HTML Reference: UL

UL

Description

Specifies that a bullet list text will follow.The end tag is required.

Syntax

<UL
CLASS=classname
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=css1-properties
TITLE=text
TYPE=1 | a | A | i | I
event = script
>

Parameter | Description
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Species what language the <ul> element is using.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. JAVASCRIPT,JSCRIPT--The scripting language is written in JavaScript.VBSCRIPT,VBS--The scripting language is written in VBScript.
STYLE | Specifies an in-line style sheet for the tag.
TITLE | Used to provide advisory information.
TYPE | Changes the style of the list. 1-- List items are numbered. a-- List items are labeled with lowercase letters. A-- List items are labeled with uppercase letters. i --List items are labeled with lowercase roman numerals. I--List items are labeled with uppercase roman numerals.
event | Can be one or more of these events: onclick ondblclick ondragstart onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup onselectstart

Example

<UL>
<LI>This is the first bulleted item in the list.
<LI>And this is the second bulleted item in the list.
</UL>

would render as

  • This is the first bulleted item in the list

  • This is the second bulleted item in the list

Remarks

This element is a block element. Both the start and end tags are required.

Related Topics

LI


HTML Reference: VAR

VAR

Description

It can be used to indicate a variable name and is typically rendered in an italic font.

Syntax

<VAR
CLASS=classname
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=css1-properties
TITLE=text
event = script
>

Parameter | Description
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. JAVASCRIPT, JSCRIPT-- The scripting language is written in JavaScript. VBS, VBSCRIPT-- The scripting language is written in VBScript.
STYLE | Specifies an in-line style sheet for the tag.
TITLE | Used to provide advisory information. The contents of the title attribute will be displayed in a ToolTip during the onmouseover event.
event | Can be one or more of these events: onclick ondblclick ondragstart onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup onselectstart

Version

It is only supported by Internet Explorer 4.0 in its Dynamic HTML object model.

Example

When coding, <VAR>LeftIndent()</VAR> must be a variable

would render as :

When coding LeftIndent() must be a variable.

Remarks

Both the start and end tags are required.


HTML Reference: WBR

WBR

Description

This element is for word break. It can insert a soft line break in a block of NOBR text.

Syntax

<WBR
CLASS=Style Sheet class name
ID=value
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=styling
TITLE=text
>

Parameter | Description
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANGUAGE | Specifies which language to use in ISO standard language abbreviation form.
STYLE | Specifies an in-line style sheet for the tag.
TITLE | Used to provide advisory information.

Version

The Element is supported only by Netscape and the Internet Explorer.

Example

<NOBR>This text line will not break, even if you narrow the window. This text line will not break, even if you narrow the window.<WBR>This text line has tag WBR. It will be in another line.</NOBR>

The code is rendered as:

This text line will not break, even if you narrow the window.This text line will not break, even if you narrow the window. This text line has tag WBR. It will be in another line.

Remarks

The <WBR> element does not force a line break (<BR> does that) but simply lets the browser know where a line break is allowed to be inserted if needed.

The start tag is required, and the end tag is optional.

Related Topics

BR


HTML Reference: XMP

XMP

Description

This tag is no longer recommended. It is similar to the <PRE> and <LISTING> elements, but has a different syntax. XMP indicates example text by displaying it in fixed-width type. The required end tag restores the text to normal.

Syntax

<XMP
CLASS=classname
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=css1-properties
TITLE=text
event = script
>

Parameter | Description
CLASS | Specifies the class of the tag being defined. This is used to associate a sub-classed style sheet with the tag.
ID | An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG | Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE | Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT. JAVASCRIPT, JSCRIPT-- The scripting language is written in JavaScript. VBS, VBSCRIPT --The scripting language is written in VBScript.
STYLE | Specifies an in-line style sheet for the tag.
TITLE | Used to provide advisory information.
event | Can be one or more of these events: onclick ondblclick ondragstart onhelp onkeydown onkeypress onkeyup onmousedown onmousemove onmouseout onmouseover onmouseup onselectstart

Version

Supported by Internet Explorer 3.02 and Netscape up to 4.01

Example

The <XMP> Sothink HTML Editor </XMP> is a free web page editor.

Would render as:

The

Sothink HTML Editor is a free web page editor.

Remarks

This element is a block element. Both the start and end tags are required.

Related Topics

LISTING, PLAINTEXT, PRE, TT


Using Sothink HTML Editor: Widget: Index

Widget Index

Widget tool is used to create decorations and special effects for your page: e.g. dynamic button, sliding menu, etc. These Widget tools are all integrated within Sothink HTML Editor . With these tool, the effect you want can be added into your page just by clicking. Coding is not required. All templates and samples are supplied in these tools. Currently, Sothink HTML Editor has such Widget Tools .

If you are not familiar with Sothink HTML Editor , click here to get to know its main workspace area first.

  • Access Widgets

     Install Widget Tools
    Add Widget into Page
    Import Widget
    Save Widget
    Select Widget
    Edit Widget
    Delete Widget

  • Advanced

    Upload Widget
    Using Gallery

  • Related Topics

    Sothink HTML Editor Main Workspace Area
    Widget Tools


Using Sothink HTML Editor: Widget: Install Widget Tools

Install Widget Tools

Download Widget Tool

All users can free download the Sothink Widget Tools from Sothink HTML Editor site http://www.sothink.com/download.htm :

Steps:

  1. Choose a software and then choose a download site from the list.

  2. Click the download button

  3. Save the zipped tool into a folder you define.

Install Widget Tool

All tools are in zip file to be downloaded so we recommend users to use WinZip to extract the tool install files. Here are the steps to install a widget tool :

  1. Extract the install file to a temp folder and click the "setup.exe" file ( or click the "setup.exe" in Winzip);

  2. Install the tool into the directory "...\Program Files\SourceTec\".

Now the widget tools are installed into your system. You can use the tool alone or use it within Sothink HTML Editor .


Using Sothink HTML Editor: Widget: Add Widget into Page

Add Widget into Page

Choose a Widget Template

  1. After you install the widget tools, Sothink HTML Editor will show them at the "Tools Panel" and group them according their types: e.g."Java Applet, JavaScript, DHTML".

  2. Clicking the type's name, e.g. "Java Applet", you will see the Java Widget Tools you installed: e.g. "Sothink CoolMenu, Sothink SlidingMenu ... ";

  3. Click the Tools' name button and its templates will display in the template list. Click one template and right-click to show the pop-up menu. You will see there are four command in this menu. Choose the preview command to preview this template.

    Insert into Page

    Use this command to add the widget into page.

    Rename...

    Rename this template's name

    Delete

    Delete this template

    Preview

    Preview this template

  4. After seeing the templates, please choose one you like.

Add Widgets

There are three ways to help you to add widget into web page. We recommend users to add widget in HTML window.

  • Put cursor in the place you want to insert widget; Right-click and choose "Insert into page" from the pop-up menu.

  • Put cursor in the place you want to insert widget; Double-click one template to insert the code.

  • Click the template and keep mouse into the HTML window. The widget will be dragged to the place where the cursor is (This operation is only valid in HTML Window ) .

The added widget will show in the "widgets box" on widget bar:


Using Sothink HTML Editor: Widget: Import Widget into Page

Import Widget into Page

Before you import a widget, please make sure this widget has already been done in your computer.

Steps:

  1. Put cursor in the place you want to insert widget;

  2. Use the command "Widget/Import Widget..." or click the icon [image] ;

  3. Choose the widget file (*.pgt) from your local disk;

  4. Click "OK" button to finish importing widget.

  5. The imported widget will show in the "widgets box" on toolbar;


Using Sothink HTML Editor: Widget: Save Widget

Save Widget

(This operation is only valid in HTML Window. )

Save Widgets

Before you add a widget into your page, Sothink HTML Editor will request you to save the page firstly;
When you insert a widget, Sothink HTML Editor will automatically to create a "_pgtres" folder to save it. This folder is under the directory that this page is saved. The widget file and the image/audio files used in this widget are all save in this folder.

Save Widgets As Template

You also can save a widget as template. Then next time, you can add it into page from template list directly.

Steps:

  1. Select the widget you want to save as template;

  2. Click the icon [image] on "Widgets Bar" or use the command "Widget/Save as Template" to open the "Save as Template" box;

  3. Give this template name and description;

  4. Click ok button to add this new template. The new template will appear in the template list .

Notes

For more usage of Widgets, please read their help file.


Using Sothink HTML Editor: Widget: Select Widget

Select Widget

(This operation is only valid in HTML Window. )

After you insert widget into page, Sothink will color the code of widget. And before you begin to edit the widget, you need to select it.

There are two ways to select a widget:

  1. Choose the widget in the "Widget List"
    In the widget bar, you can see a widget list box. All widgets you added into the page are listed in the drop-down menu of this box. Clicking a widget's name from the widget list, you are choosing this widget.
    The code for this widget will be emphasized in the HTML code.

  2. Put cursor in the grayed code
    This is the easier way to select widget. Sothink will gray the code of widget. When you put the mouse cursor in the grayed code, this widget is selected.

Notes

For more usage of Widgets, please read their help file.


Using Sothink HTML Editor: Widget: Edit Widget

Edit Widget

After adding the widget into the page, you can edit it in Sothink HTML Editor .

(This operation is only valid in HTML Window. )

Configure Widgets

Steps:

  1. Click the configure icon configure widget or use command "Widgets\Configure..." <Alt+Enter> to start the widget tool ;

  2. Then you can begin your configuration;

  3. After you configuration, Sothink HTML Editor will update the *.pgt file in the folder "_pgtres" automatically.

Rename

The widget's name is default. You can use rename command to give it a name you like.

  1. Select the widget;

  2. Use "Widget/Rename..." command to open the rename box ;

  3. Give the new name and description;

  4. Click "OK". This widget is renamed.

Move

Sometimes you need to re-arrange your page, so you need move the widget. Here is the processed of moving:

  1. Choose the whole code of the widget;
    Sothink HTML Editor will add a description comment at the beginning and end of the widget, which is like this:
    <!--webbot bot="HTMLMarkup" startspan -->
    <!--webbot bot="HTMLMarkup" endspan -->
    The widget code between them is in gray color. Choose the whole code of the widget is to choose the code begin and end by these two comment word.

  2. Use mouse to drag the code to the new place you like or use "cut and paste" to put them in the new location.

Notes

For more usage of Widgets, please read their help file.


Using Sothink HTML Editor: Widget: Delete Widget

Delete Widget

(This operation is only valid in HTML Window. )

Delete

When you do not want to use the widget in the page, you can delete it from the page.

Steps:

  1. Select the widget;
    (Please click here to see how to select widget)

  2. Use the "Widget/Delete"<Ctrl+Del> command or click the [image] button on the widget bar;

  3. A box will pop-up to make sure of your operation. Click "Yes" to finish the delete.

Notes

Although you have deleted the widget from the page, the .pgt and image/audio files used in this widget will still be stored in the "_pgtres" folder for your next time using.

For more usage of Widgets, please read their help file.


Using Sothink HTML Editor: Widget: Upload Widget

Upload Widget

Prepared Work

When you prepare to upload the widget or the page contains widget, there are two points should be referred:

  1. Which files you need to upload?
    -- Except the *.pgt file, you need to upload all the files in "_pgtres" folder. Here is a explanation for the files in "_pgtres" folder:

    2. Support Files | The files are needed when you run the widget.
 | *.class | A file necessary for applet to work
 | *.js | A special file to store JavaScript source code
 | image/audio files | Refers the image or audio files, etc. used in this widget
*.pgt | This is a special format that generated by the widget tools. The *.pgt file is used to record your modification in these tool, so when you open it next time, you can continue your configuration.

  2. The path problem.
    During you create the widget page in Sothink HTML Editor , Sothink HTML Editor will create a folder "_pgtres" to store the widget files (pgt, class, image and audio files). And as we know the support files are necessary for the widget to work. So when you upload the support files:

    • If you do not define the web directory for these files, please upload the "_pgtres" folder.

    • If you want to define these files' web directory, please define it by using the Widget tool alone.

            3.

    Here are the steps of how to set the web path in the Widget tool:

    1. Open the widget tool alone. When you choose image, etc (support files) from your computer, you can see the "Web Path" option. You can define the web path for support files in the "web path" option.

    2. Click the "Copy Code" to copy the HTML code of the widget. Then, clicking the "Insert into" button, the program will let you to choose the file you want to insert the code into;

    3. Check the box of "Using Sothink HTML Editor 's File\import widget..." to start Sothink HTML Editor

    4. Put the cursor in proper place in "HTML" window of Sothink HTML Editor and paste the code.

    5. Then you can upload these files to the directory you defined.

Upload

  • Upload Progress
    Connect with your web site server;
    Upload the *.html, *Class, and other image/audio files according the path in the applet code. If you have not defined the web path for these files, please create a folder named "_pgtres" on your web site to store these files.

  • The mode to transform files
    You can use FTP tools to upload files. But when you upload the *.class file, please use the binary mode. The other mode may cause the corruption of class file.

  • Transform Tool
    You can use Sothink SiteManager to upload the pages. Other FTP tools also can be used.


Using Sothink HTML Editor: Widget: Using Gallery

Using Gallery

(This operation is only valid in HTML Window. )

Using Gallery

You can find a "Gallery" tab in the "Tools Panel". The "Gallery" have such functions:

  • After you add a widget into Gallery, when you want to use this widget on other page, you can import it from the gallery directly;

  • You can import this widget into more than one page;

  • Once you have configured this widget, you can update the gallery. Then use "Synchronize Widgets" command to update the pages which this widget is added into.

Add Widget into Gallery

Steps:

  1. Select a Widget;

  2. Use the "Widget\Add to Gallery" command or click the icon [image] to add this widget into gallery.

  3. Click the tab "Gallery" on the Tools Panel, you can see the widget you added.

Import A Widget from Gallery

After you add a widget into gallery, you can import it from the gallery directly.

When you want to use the widget in Gallery, you can:

  • Put cursor in the place you want to insert applet code in HTML window and double click one template to insert the code. The imported widget will show in the "widgets box" on widget bar;

  • Right-click and choose "Insert into page" from the pop-up menu;

  • Double-click the widget;

  • Click the template and keep mouse to drag the template into the editor window.

This function can let the widget be added into multi-pages.

Synchronize Gallery

You can configure the widget, which is imported from the Gallery. After your configuration, the icon [image] in Widget bar will be high-lighted. That refers you can update the old widget in Gallery by clicking it or use the command "Widget\Synchronize Gallery with Widget".

Synchronize Widget

The widget you have updated may have been imported into other pages. If you also want to update these pages, please follow these steps:

  1. Open the page that was imported this widget;

  2. Select the widget. The icon [image] on widget bar is high-lighted;

  3. You can click this icon or use the "Widget\Synchronize Widget" command to update this widget.

Notes

For more usage of Widgets, please read their help file.


Getting Support: Index

Getting support

  • FAQ
    Sothink HTML Editor FAQ
    Site Manager FAQ

  • Online Help
     Online Help

  • Contact
     Our Contact Information

  • Latest Tech Information
     How to get lastest Technical Information


Getting Support: Sothink HTML Editor FAQ

Sothink HTML Editor FAQ

  1. What's new in Sothink HTML Editor 2.5?
    Sothink HTML Editor 2.5 is the upgraded version of CutePage 2.0. In addition to the basic features, there are such new features.

  2. What is Sothink series?
    The Sothink series consist of Sothink HTML editor, Sothink SiteManager and Widget Tools. So far, we have six Widget Tools: Sothink CoolMenu, CoolText, SlidingMenu, CoolButton and DHTMLMenu.

  3. How can I get Sothink HTML Editor tech support?
    Yes, we provide tech support to every user. For any question or advice, please contact support@sothink.com.

  4. Which platform does Sothink HTML Editor work on?
    Sothink HTML Editor works on Windows 95/98/ NT4.0, (IE4.0 or later ).

  5. What is Widget Tool?
    Widget tool is used to create decorations and special effects for your page: e.g. dynamic button, sliding menu, etc. These Widget tools are all integrated within Sothink HTML Editor . With these tools, the effect you want can be added to your page just by clicking. Coding is not required. All templates and samples are provided in these tools. Currently, Sothink HTML Editor has such Widget Tools .

  6. I lost my registration code of Widget tools. How can I get the key back?
    Please email to support@sothink.com. Tell us the email address you used in registration as well as the registration date. We will check our database and re-mail you the code and installment files.

  7. How can I get Widgets?
    From the download page you can download the Widgets and install them on your system. Please read the License Agreement of every Widget.

  8. Why do I get a warning when switching from the HTML editing mode to the visual mode?
    When you switch from the code editing mode to visual mode, the HTML code will be reformatted because Sothink HTML Editor has used Microsoft DHTML Editing Component. When switch view of windows, the component will reformat the code. But this will not affect the content of your page.
    To get rid of the warning box, check "Don't warn me again" at the bottom of the warning box.

  9. When I switch to the visual mode, my applet code is modified. For example, code <APPLET align=baseline code=slidmenutrial.class codebase=java/class height=480 width=220> will be changed to <APPLET align=baseline code=slidmenutrial.class height=480 width=220> ("codebase=java/class" is lost ). So the applet can not work . How to solve it?
    There are two ways to solve this problem:
    A. Please delete the "align" attribute in the widget code before you switch to the visual mode;
    B. Please add the "codebase=" manually when you finish the page.

  10. When I add link to image, there appears border around the image. How to get rid of it?

    • In HTML window, you can put the cursor within the <img> tag. Then in the Property Panel, you will see a border attribute. Please set it to "0".

    • In Design Window, please select the image first. Then its properties will be shown on the Property Panel. Please set the border value to "0".

  11. When I add an image in Sothink HTML Editor , although the page has been saved, the path of image is still absolute. How to change it to relative?

    • In HTML window, please put the cursor within the <img> tag. Then in the Property Panel, you will see a "src" attribute. Please click the button beside and choose this image again. The path will changed into relative one.

    • In Design window, besides above means, you can select the image by clicking; then right-click and choose "Image" command from the pop-up menu. The image property box will open. Last, please also choose the image again.

  12. In Design window, after I add link to image, I open the hyperlink dialog again. It showes an absolute path for link like "File://d:/...". How to solve it ?
    Please switch into html window and check the link code. Normally, the code is correct although it is shown as absolute path in the dialog.


Getting Support: Sothink HTML Editor SiteManager FAQ

Sothink SiteManager FAQ

  1. What is SiteManager?
    Site Manager is a standalone component that helps to structure your site, verify links site wide and upload files to the remote server. Click here to get more about it.

  2. How to create a new site by using Sothink Site Manager?
    Sothink Site Manager is a tool help users to create and manager web site. Click here to see the steps of "creating a new site".

  3. Why should I define a website?
    You should define a local root folder where to store all the files and a remote server where the files will be uploaded. You can create and edit the files in your local disk in Sothink HTML Editor and then upload them to the remote server. In all, Sothink HTML Editor can help through the whole process of editing and uploading.

  4. How to define site with SiteManager?
    Users can add and change the remote server information, local root folder or to create a new site. Follow these steps.

  5. How can I use the templates in Site Manager?
    Sothink HTML Editor 2.5 contains ten carefully designed templates with different styles that will help you create your web pages easily. You can import these templates in Site Manager and then edit them according to your specific needs in Sothink HTML Editor. After that, you can upload them to the remote server in Site Manager. With Sothink HTML Editor , the strenuous work of creating a web site turns into a snap.

  6. How to create a sitemap?
    First, please set a page as the homepage (Use the command "File/Set as Homepage");
    Then, please click the "Remote Site" icon on toolbar. The site map appears on the right.

  7. How to open a site?
    To open a site created in Sothink SiteManager, please use the command "Site/Open Site..." and choose the site name from the drop-down list.

  8. How to publish site using FTP?
    SiteManager supply the FTP function to publish your web pages. Please follow these steps to upload web page in FTP way.

  9. Can I delete all the orphan files?
    Because the source file, for example, the class file used in applet code "<applet code="coolnav.class"...> can not be analyzed by SiteManager. It will be listed in the orphan file list. So before you delete the orphan files, please check if there is such file.


Getting Support: Online Help

Online Help

Web page

Users can visit our web help page. We have listed some problem and its solutions on the page. You may find your question and answer there.

  • Sothink HTML Editor help

  • The widgets' Help

Form

If you have not found the answer for you problem on the web, please submit your question by using feedback form .
We'll give you promote reply.

Email

For web page problems, please e-mail webmaster@sothink.com ;
For products' problems or tech support, please e-mail support@sothink.com ;
For general questions, please e-mail info@sothink.com


Getting Support: Contact SourceTec Support Team

Contact SourceTec Support Team

Email

For web page problems, please e-mail webmaster@sothink.com ;
For products' problems or tech support, please e-mail support@sothink.com ;
For general questions, please e-mail info@sothink.com

Form

If you have any suggestions, comments or want to report a broken link, please fill out the feedback form. We'll give you promote reply.

Tele

+86(27)87561172

Fax

+86(27)87780023

Postal

Suite 311, 7-4 IBI building,
GuanDong Science & Technology Industry Park
Wuhan, China

Postal Code : 430074

Related Topic

Sothink HTML Editor FAQ, Site Manager FAQ, Online Help, Latest Information


Getting Support: Latest Technical Information

Lastest Technical Information

How to get our latest information

There are 4 ways which can provide users the lastest technical information about Sothink HTML Editor .

  1. Update Box
    Clicking the command "Help/Products Checking", there will be a update information box. You can get our latest news form it.

  2. Visit Our Website
    You can get the lastest technical information from our web site www.Sothink.com .

  3. Subscribe Sourcetec Mailing List
    Thought join SourceTec Mailing List, you can receive our newsletter, which will inform you the latest news of our software. Join now.

  4. Email Contact
    You also can contact us by the email support@sothink.com to get the lastest technical information.

Related Topic

Sothink HTML Editor FAQ, Site Manager FAQ, Online Help, Contact


free webpage space

100Free Web Hosting

Description:
Provide free web hosting; FTP Access Account; unlimited Bandwidth Usage; Multiple Directories Allowed; Super Fast Internet Connections; Growing Webmaster Resources and Corporate and Personal Accounts!

Web space

40Megs

Mode of check in

FTP/Browser

FTP Host

User ID

Password

Port

21

entrance of space

http://signup.100free.com/


free webpage space

Brinkster Free Web Space

Description:
Provide free web space. No Ads on Pages. FTP Access Account and ASP Access, FSO supported.

Web space

30MB

Mode of check in

Browser/ FTP

Ftp Host

User ID

Password

Port

21

entrance of space

http://www.brinkster.com/Join.asp


free webpage space

Dreamwater Free Web Space

Description:
Provide free web space, Free Guestbook, Free Chat Board, Free Form/Email, Free Web Page Templates, Free Clip Art, Free stuff, No Annoying Pop-Up Banners and so on.

Web space

50MB(and more if you need it!)

Mode of check in

Browser

Entrance of space

http://dreamwater.com/signup99.html


free webpage space

Express Page Free Web Space

Description:
Provide free web space. The homepages created by The Express Page homepage processor can be modified as often as you like. The same easy program used to create your homepage is also used to update your homepage.

Web space

50MB

Mode of check in

Browser

Entrance of space

http://www.expage.com/html/f_logon.htm


free webpage space

i-drive Free Personal Page on Web

Description:
i-drive is your free, secure personal Internet space online. It's a place to store your stuff¡ªyour clipped Web pages, MP3s, games, photos, your r¨¦sum¨¦¡ªany file you want to access remotely.

Web space

50MB

Mode of check in

Browser

Entrance of space

http://www.idrive.com/mydrive/accounts/signup1.jsp


free webpage space

Netfirms Free Web Space

Description:
Provide free web space, FREE Domain Hosting, FREE CGI-BIN Support, FREE 24/7 FTP Access, FREE Online Support, FREE Catch-All Email, FREE Search Submission and INSTANT ACTIVATION!

Web space

25MB

Mode of check in

FTP

FTP Host

User ID

Password

Port

21

Entrance of space

http://www.netfirms.com/signup


free webpage space

Tripod Free Web Space

Description:
Provide free web space, FTP Access Account. Give dozens of CGI and JavaScript applicationsand. Have some useful tools and new services.

Web space

50MB

Mode of check in

Browser/FTP

Ftp Host

ftp.tripod.com

User ID

your Tripod member name

Password

your Tripod password

Port

21

Entrance of space

http://ldbauth.lycos.com/cgi-bin/fmayaRegister?m_CBURL=http://www.tripod.lycos.com/bin/membership/gateway?
redirect=/build/welcome/build.html&m_PR=26


free webpage space

WebSamba Free Web Hosting

Description:
Provide free web hosting, FTP Access Account, Standard ASP Scripts, Free Email Account, Free ODBC System DSN Setup, Graphical Site Statistics and Unlimited Bandwidth .

Web space

30MB

Mode of check in

FTP

FTP Host

User ID

Password

Port

21

entrance of space

http://www.websamba.com/registration/


Sothink HTML Editor License

Sothink HTML Editor 2.5 Free Version License Agreement

SourceTec Software Co. LTD

END-USER LICENSE AGREEMENT FOR Sothink HTML Editor 2.5 FREE VERSION, SOURCETEC SOFTWARE CO.LTD.

SOFTWARE PRODUCT(S) IMPORTANT-READ CAREFULLY: This SourceTec End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and SourceTec Software Corporation for the SourceTec software product(s) identified above. By installing, copying, or otherwise using the SOURCETEC SOFTWARE, you agree to be bound by the terms of this EULA. If you do not agree to the terms of this EULA, do not install or use the SOURCETEC SOFTWARE.

The SOURCETEC SOFTWARE is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties.

1.The SOURCETEC SOFTWARE is licensed, not sold.

2.GRANT OF LICENSE. The SOURCETEC SOFTWARE is licensed as follows:
Installation and Use. SourceTec grants you the right to install and use copies of the SOURCETEC SOFTWARE on your computers running validly licensed copies of the operating system for which the SOURCETEC SOFTWARE was designed [for example, Windows 95; Windows NT.]

Backup Copies. You may also make copies of the SOURCETEC SOFTWARE as may be necessary for backup and archival purposes.

3.DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS.

  • Maintenance of Copyright Notices. You must not remove or alter any copyright notices on all copies of the SOURCETEC SOFTWARE.

  • Distribution. On condition that you get permission from SourceTec, you are licensed to make copies of the SOFTWARE as you wish; give exact copies of the original SOFTWARE to anyone; and distribute the SOFTWARE in its unmodified form via electronic means (Internet, BBS's, Shareware distribution libraries, CD-ROMs, etc.) You may charge a distribution fee for the package, but you must not represent in any way that you are selling the SOFTWARE itself.

  • Prohibition on Reverse Engineering, Decompilation, and Disassembly. You may not reverse engineer, decompile, or disassemble the SOURCETEC SOFTWARE, except and only to the extent that such activity is expressly permitted by applicable law not with standing this limitation.

  • Transfer. You may permanently transfer all of your rights under this EULA, provided the recipient agrees to the terms of this EULA.

  • Support Services. SourceTec provide you with support services related to the SOURCETEC SOFTWARE ("Support Services"). Use of Support Services is governed by the SourceTec polices and programs described in the user manual, in online documentation, and/or other SourceTec-provided materials. Any supplemental software code provided to you as part of the Support Services shall be considered part of the SOURCETEC SOFTWARE and subject to the terms and conditions of this EULA. With respect to technical information you provide to SourceTec as part of the Support Services, SourceTec may use such information for its business purposes, including for product support and development. SourceTec will not utilize such technical information in a form that personally identifies you.

  • Compliance with Applicable Laws. You must comply with all applicable laws regarding use of the SOURCETEC SOFTWARE

4.TERMINATION. Without prejudice to any other rights, SourceTec may terminate this EULA if you fail to comply with the terms and conditions of this EULA. In such event, you must destroy all copies of the SOURCETEC SOFTWARE.

5.COPYRIGHT. All title, including but not limited to copyrights, in and to the SOURCETEC SOFTWARE and any copies thereof are owned by SourceTec or its suppliers. All title and intellectual property rights in and to the content which may be accessed through use of the SOURCETEC SOFTWARE is the property of the respective content owner and may be protected by applicable copyright or other intellectual property laws and treaties. This EULA grants you no rights to use such content. All rights not expressly granted are reserved by SourceTec.

6.NO WARRANTIES. SourceTec expressly disclaims any warranty for the Sothink HTML Editor SOFTWARE. THE SOURCETEC SOFTWARE AND ANY RELATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OR MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NONINFRINGEMENT. THE ENTIRE RISK ARISING OUT OF USE OR PERFORMANCE OF THE SOFTWARE PRODUCT REMAINS WITH YOU.

7.LIMITATION OF LIABILITY. To the maximum extent permitted by applicable law, in no event shall SourceTec or its suppliers be liable for any special, incidental, indirect, or consequential damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use the SOURCETEC SOFTWARE or the provision of or failure to provide Support Services, even if SourceTec has been advised of the possibility of such damages. In any case, SourceTec's entire liability under any provision of this EULA shall be limited to the greater of the amount actually paid by you for the SOFTWARE PRODUCT or US$5.00; provided however, if you have entered into a SourceTec Support Services Agreement, SourceTec's entire liability regarding Support Services shall be governed by the terms of that agreement. Because some countries and jurisdictions do not allow the exclusion or limitation of liability, the above limitation may not apply to you.

Should you have any questions concerning this EULA, or if you desire to contact SourceTec for any reason, please contact with the Email address webmaster@sothink.com.


Upgrading to Professional Version

Upgrade to Standard Version

Sothink HTML Editor 2.5 is distributed in two versions: Free version and Standard version. The Free version costs you nothing while the Standard version is charged. The limitation for free version is:

  • There is only one file can be opened and edited in Free version for each time
  • There is a notice bar on the top of edit window.
  • Do not share tech support service

In Sothink HTML Editor Standard version, there is not such limitations. Upgrade now!


Sothink HTML Editor Help Index

Sothink HTML Editor Help Index Page

Sothink HTML Editor Information

This section includes a company profile, Sothink HTML Editor introduction, features description, and a detailed account about Sothink HTML Editor widgets.

Step by Step Tutorial

In this step-by-step tutorial, you will be guided all the way from creating a web page to uploading files and documents to the remote server.

Using Sothink HTML Editor

This section covers the detailed information on how to use Sothink HTML Editor including Sothink HTML Editor workspace and dialogs description, how to create a web page, setting options, preview the web page, user defined tags, publishing web site and how to use Sothink Widgets to add special effects.

HTML Reference

HTML tags reference.

Getting Support

Getting support online from SourceTec's website and support team from SourceTec Software.

License for Free Version

License for Standard Version

Upgrading to Standard Version

Information on how to upgrade from free version to standard version.

Sothink CoolMenu

insert a pop-up menu applet to web page.

Sothink SlidingMenu

insert a sliding menu applet to web page.

Sothink CoolButton

WYSIWYG web page navigation button maker.

Sothink CoolText

create animated banner for web pages


Sothink HTML Editor License

Sothink HTML Editor 2.5 Standard Version License Agreement

SourceTec Software Co. LTD

END-USER LICENSE AGREEMENT FOR SOURCETEC SOFTWARE CO.LTD.

SOFTWARE PRODUCT(S) IMPORTANT-READ CAREFULLY: This SourceTec End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and SourceTec Software Co. LTD for the SourceTec software product(s) identified above. By installing, copying, or otherwise using the Sothink SOFTWARE, you agree to be bound by the terms of this EULA. If you do not agree to the terms of this EULA, do not install or use the Sothink SOFTWARE.

1.GRANT OF LICENSE:

Install and use the Software on a single computer and make one copy of the Software in machine-readable form solely for backup purposes. You must reproduce on any such copy all copyright notices and any other proprietary legends on the original copy of the Software. Install the Software on a storage device, such as a network server, and run the Software on an internal network, provided the number of concurrent users does not exceed the number of copies of the Software purchased. A copy of the Software must be purchased for each such user. If you have purchased a multi-pack license for the Software product, such as a Ten-Pack license, or a license to make multiple installations of the Software, you may concurrently use the number of copies of the Software authorized by that purchase. Make copies of the End-User Product and distribute those copies for use solely by yourself or personnel employed by you, or by another party, solely for its own internal purposes.

2.COPYRIGHT:

The SOFTWARE is owned by SourceTec Software Co. LTD and is protected by People's Republic of China copyright laws and international treaty provisions. You may not copy the printed materials accompanying the SOFTWARE (if any), nor print copies of any user documentation provided in on-line or electronic form.

3.OTHER RESTRICTION:

You may not make or distribute copies of the Software, or electronically transfer the Software from one computer to another or over a network. You may not decompile, reverse engineer, disassemble, or otherwise reduce the Software to a human-perceivable form. You may not rent, lease or sublicense the Software. You may not modify the Software or create derivative works based upon the Software.

4.SUPPORT SERVICES:

SourceTec provides tech support services related to the Sothink SOFTWARE ("Support Services"). Use of Support Services is governed by SourceTec polices and programs described in the user manual, in online documentation, and/or other SourceTec-provided materials. Any supplemental software code provided to you as part of the Support Services shall be considered part of the Sothink SOFTWARE and subject to the terms and conditions of this EULA. With respect to technical information you provide to SourceTec as part of the Support Services, SourceTec may use such information for its business purposes, including for product support and development. SourceTec will not utilize such technical information in a form that personally identifies you.

5. TERMINATION:

Without prejudice to any other rights, SourceTec may terminate this EULA if you fail to comply with the terms and conditions of this EULA. In such event, you must destroy all copies of the Sothink SOFTWARE.

6. NO WARRANTIES:

SourceTec expressly disclaims any warranty for the Sothink SOFTWARE. THE Sothink SOFTWARE AND ANY RELATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OR MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NONINFRINGEMENT. THE ENTIRE RISK ARISING OUT OF USE OR PERFORMANCE OF THE SOFTWARE PRODUCT REMAINS WITH YOU.

7. LIMITATION OF LIABILITY

To the maximum extent permitted by applicable law, in no event shall SourceTec or its suppliers be liable for any special, incidental, indirect, or consequential damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use the Sothink SOFTWARE or the provision of or failure to provide Support Services, even if SourceTec has been advised of the possibility of such damages.

This EULA is governed by the laws of P.R. China. Should you have any questions concerning this EULA, or if you desire to contact SourceTec for any reason, please contact with the Email address support@Sothink.com.


Using Sothink HTML Editor: Edit HTML Page File: Add Email

Add Email

Users can add email to text or images. Whenever the text or image is clicked in browing, the email application installed in user's disk will be started.

In HTML Window

The first way:

  1. If it is text to which you want to add email link, select it. If it is an image, select the <IMG src="file path"> tag

  2. Click the [image] icon on the toolbar or choose "Insert/Email" command to open the Email dialog

  3. Type the email address in the URL field

    The Description field shows the selected text or image code to which you want to add the link

  4. Click OK to close the dialog

The second way:

  1. If it is text to which you want to add email link, select it. If it is an image, select the <IMG src="file path"> tag

  2. Click the [image] icon on the tool bar or choose "Insert/Hyperlink" to open the Hyperlink dialog box

  3. Input the email address in the URL field. You should add "mailto:" before the address. Leave the "Target frame" field blank

  4. Click OK to close the dialog

Note

If it is text to which you want to add an email link, you don't have to input the text first. Put the cursor where you want the text to be, click open the Email dialog, input text in the Description field and finish other steps.

In Design Window

Steps:

  1. Select the text or image to which you want to add an email link

  2. Click the [image] icon or Choose "Inset/Hyperlink" to open the Hyperlink dialog box

  3. Select "mailto:" from the type drop-down list

  4. Input the email address in the URL field

  5. Click OK

Related Topics

Edit Page Change Email

Workspace Email Dialog

HTML Reference <A>


Using Sothink HTML Editor: Edit HTML Page File: Change Email

Change Email

Users can change email link they have set beforehand.

In HTML Window

Steps:

  1. Put the cursor inside the <A href="mailto:emailadress"> tag. The attributes will be displayed on the Properties Panel

  2. Delete the email address after "mailto:" in the HREF field and type in a new address

In Design Window

Steps:

  1. Select the text or image whose email link you want to change

  2. Click the [image] icon on the toolbar or choose "Insert/Hyperlink" to open the Hyperlink dialog box

  3. Delete the email address after "mailto:" in URL field

  4. Input the new email address

Note

If it is text whose email link you want to change, you can also select it and change the link in HREF field on the Properties Panel

Related Topics

Edit Page Add Email

Workspace Email Dialog

Workspace Main Workspace Area

HTML Reference <A>


Using Sothink HTML Editor:Edit Page File:how to edit line

Edit Line

In HTML Window

Steps:

  1. Locate the cursor inside the <HR> tag and the property values of the line will be shown on the Properties Panel

  2. Change the property values directly on the panel

In Design Window

Steps:

  1. Click on the line and select it and the property values of the line will be shown on the Properties Panel

  2. Change the property values of the line directly on the panel

Example

<HR align=left color=#004080 SIZE=8 width=200>

Related Topics

Edit Page Add Line

Workspace Main Workspace Area

HTML Reference <HR>


Using Sothink HTML Editor: Setting Options: Index

Setting Index

This selection explains the Setting commands in the menu bar. With these commands, you can easily configure the interface of Sothink HTML Editor and make it work in your way.

  • Configuration

  • External Web Browsers

  • HTML Keywords


Using Sothink HTML Editor: Site Management: New a Site

New a Site

Creating a new site is the first step in building your own web site. You should at first create a local folder to be the root folder of your site files. All the files of the site will be stored under this root folder. You should create a local site for each web site you work on. You can add additional information about FTP preference, web server, etc. when you are ready to upload files to the web server through which visitors gain access to your web pages.

Steps:

  1. *Choose "Site/New Site" command from the menu bar to open the dialog box or click the "New Site" icon on the toolbar

  2. *In the Local Info tab, enter a name for the site in the name field. The name will be used to identify the site if multi sites are created. In the local root folder field, type an absolute path for the local root folder. All the documents belonging to the site will be stored under this root folder. You can also click the browse button next to the field to navigate to and select a folder. If the folder doesn't exist, Sothink HTML Editor will prompt you to create the new folder. If you want to import a template into the root folder, click the "Import Site from Template" tab.

  3. Click the Web Server Info tab. Enter the following information about the web server on the left column:

    FTP Host: host name of the FTP host to which you upload files for your web site.
    Port: the port through which you connect to the FTP server
    User ID/Password: your login name and password
    Host Directory: the name of the host directory at the remote site where documents visible to the public are stored (also known as the site root)
    Save: check this box to save the password. If you uncheck it, each time you connect to the web server, you will be prompted to enter password

  4. Click the SiteMap Info tab. Click the browse button to navigate to and select a file to be the index page of the site. An index page must be defined if you want to view the site map. A site map displays a hierarchical structure of the site starting from the index page.

  5. Click OK to close the dialog box

Note

Step 3 and 4 are not required when you create a new site. You can finish them at any time necessary. But step 1 and 2 are prerequisite for a new site since it designates a place in your local disk to hold the local site.

Related Topics

Define a Site

Import a Site

View Sites


Using Sothink HTML Editor: Add Special Effects: Java Applet

Add Special Effects: Java Applet

Java is a programming language that allows the development of lightweight applications (applets) that can be embedded in Web pages. Avoid coding the applet user selves, Sothink HTML Editor has it series tools to let users add applet into page without coding. These tools are Java button, menu, sliding-down menu, and animated text tool.

  • Navigation Menu

Sothink CoolMenu is a tool to create Java pop-up menu. It does not require any HTML and Java code knowledge. This is an easy-to-use tool that you can master it and create your own Java menu in few minutes.

Sample Image:

Features:

  • Easy to use. Doesn't require any coding
  • Three menu states property(mouse over, clicking, normal)
  • Multi-level menu support
  • Audio, image file support
  • Work with Sothink HTML Editor perfectly
  • Can be used alone
  • Implement various effects: buttons, image maps, coolbars, etc
  • Support users to define web directory of image/audio/class files during configuration
  • Specify the pop-up direction of sub-menu item
  • Provide templates to make work easier

    • To get more info, please visit http://www.sothink.com/webtools/coolmenu/index.htm

    • Applet Button

    Sothink CoolButton is a WYSIWYG web page navigation button maker that can create a neat, efficient Java button applet (CoolButton) with no need of programming. Suitable for any web designers.

    Sample Image:

    Features:

  • Create applet buttons by "clicking" or "draw"
  • WYSIWYG drag and drop preview control
  • Three statuses supported (normal, mouse over, clicking)
  • Unlimited number of buttons
  • Use Image(s) on buttons
  • Arrange Button's size, position by "drag-drop"
  • Undo support
  • Use any color for fading and more fading style choices
  • Define the web path for image/audio or Java class file
  • Work with Sothink HTML Editor perfectly
  • Can be used alone

    • To get more information, please visit http://www.sothink.com/webtools/coolbutton/index.htm

    • Sliding Menu

    With Sothink SlidingMenu, you could implement applets of various effects: Sliding Tree, Radio Buttons and other special effects. It also provides pre-made templates to make your work easier.

    Sample image:

    Features:

  • Easy to use. Doesn't require any coding
  • Three menu states property(mouse over, mouse click, normal)
  • Implement various effects: Sliding Tree, image maps, color button, etc
  • Audio, image support
  • Multi-level menu support
  • Specify sub-menu sliding speed
  • Work with Sothink HTML Editor perfectly
  • Can be used alone
  • Provides templates to make work easier
  • "User defined template" support
  • Support users to define web directory for files during configuration

    • To get more info, please visit http://www.sothink.com/webtools/slidingmenu/index.htm

    • Scrolling Text/Banner

    Sothink CoolText creates animated banner for web pages. The wizard guide users create the banner step by step. One banner supports the different effect. You even can use all the effects in one banner.

    Sample Image:

    Features:

  • Easy to use. Doesn't require any coding
  • Create neat, efficient Java banner easily
  • Implement various effects: Scrolling Text; Typing; Smash, etc.
  • Support multi-effects in one banner
  • Audio, image support
  • Work with Sothink HTML Editor perfectly
  • Can be used alone
  • Support users to define web directory for files during configuration ;
  • Specify showing in and exit speed;
  • User defined template support;
  • Provide great text special-effects for item label;
  • Clipboard support;
  • Provide templates to make work easier .
  • Friendly operate interface with guild text on;
  • Supply three ways to add Applet banner into web page;

    • To get more info, please visit http://www.sothink.com/webtools/cooltext/index.htm

    Related Topics

    JavaScript, DHTML, Add Widgets into Page


Using Sothink HTML Editor:Index

Sothink 2.1 Dialog Box Index

  • Format

Font
Color
Page Property
Paragraph Property
Page Transition

  • Insert

Header
Image
Hyperlink
 Email
Comment
Special Character
Line
List

  • Table

Insert Table
Table Property
Cell Property

  • Form Field

Form
Push Button
Check Box
Radio Button
Hidden Field
One-Line Text Box
Text Area
Dropdown List
Menu Item
Image

  • Frame

Setting Frame

  • Widget

Save As Template
Rename Widget
Rename Template

  • Option

External Web Browser
HTML Keywords

  • Configration

     General
    Edit
    Design
    Color
    File association

  • Edit

Replace
Find

  • Site Manager

Preference
Site Definition
Define Sites
Import
Check Links
Change links
Update links

  • Get Tech Info

Subscribe Newsletter
Product Checking Report
Product Introduction

  • Warning
  • Related Topic